*FILE PREPARATION SECTION.  CAN BE SKIPPED IF THE .SAV FILE HAS ALREADY BEEN FINALIZED.
*Prepared By: Geoffrey Greenwell.
*U.S. Census Bureau.
*geoffrey.parke.greenwell@census.gov.
*tel:(301) 763-3467.

*Title: To merge sparate SPSS files into their final state
*Purpose: To gather the sections and merge.
*Data: Part A : Section 1 Household Roster.
*Procedure:

*open the SPSS file that contains the data for primary variables to compute the household composition.
*see SPSS syntax Part_A.sps for details on the creation of this file.
*--------------------------------------------------------------------------------------------------------------------------.
*BELOW THIS LINE FOR COMPUTATION OF HOUSEHOLD COMPOSITION AND REFERENCE FILE.


*Step 1:  Retrieve file and filter out non household members.  Presumably this means they do not share meals with the household.

GET FILE='C:\Sierra Leone_Household Survey_2003\Sector\RosterInfo.sav'.

SORT CASES BY
  hhid (A) pid (A) .


MATCH FILES /TABLE=*
 /FILE='C:\Sierra Leone_Household Survey_2003\Sectional\Edu_Sec2A.sav'
 /RENAME (chiefdom district ea hhnum rectype region urbrur = d0 d1 d2 d3 d4
  d5 d6)
 /BY hhid pid
 /DROP= d0 d1 d2 d3 d4 d5 d6.
EXECUTE.

MATCH FILES /TABLE=*
 /FILE='C:\Sierra Leone_Household Survey_2003\Sectional\Edu_Sec2B.sav'
 /RENAME (chiefdom district ea hhnum rectype region urbrur = d0 d1 d2 d3 d4
  d5 d6)
 /BY hhid pid
 /DROP= d0 d1 d2 d3 d4 d5 d6.
EXECUTE.

MATCH FILES /TABLE=*
 /FILE='C:\Sierra Leone_Household Survey_2003\Sectional\Edu_Sec2C.sav'
 /RENAME (chiefdom district ea hhnum rectype region urbrur = d0 d1 d2 d3 d4
  d5 d6)
 /BY hhid pid
 /DROP= d0 d1 d2 d3 d4 d5 d6.
EXECUTE.

SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Sector\Education.sav'.

GET FILE='C:\Sierra Leone_Household Survey_2003\Sector\RosterInfo.sav'.

SORT CASES BY
  hhid (A) pid (A) .

MATCH FILES /TABLE=*
 /FILE='C:\Sierra Leone_Household Survey_2003\Sectional\Hlth_Sec3A.sav'
 /RENAME (chiefdom district ea hhnum rectype region urbrur = d0 d1 d2 d3 d4
  d5 d6)
 /BY hhid pid
 /DROP= d0 d1 d2 d3 d4 d5 d6.
EXECUTE.

MATCH FILES /TABLE=*
 /FILE='C:\Sierra Leone_Household Survey_2003\Sectional\Hlth_Sec3B.sav'
 /RENAME (chiefdom district ea hhnum rectype region urbrur = d0 d1 d2 d3 d4
  d5 d6)
 /BY hhid pid
 /DROP= d0 d1 d2 d3 d4 d5 d6.
EXECUTE.

MATCH FILES /TABLE=*
 /FILE='C:\Sierra Leone_Household Survey_2003\Sectional\Hlth_Sec3C.sav'
 /RENAME (chiefdom district ea hhnum rectype region urbrur = d0 d1 d2 d3 d4
  d5 d6)
 /BY hhid pid
 /DROP= d0 d1 d2 d3 d4 d5 d6.
EXECUTE.

MATCH FILES /TABLE=*
 /FILE='C:\Sierra Leone_Household Survey_2003\Sectional\Hlth_Sec3D.sav'
 /RENAME (chiefdom district ea hhnum rectype region urbrur = d0 d1 d2 d3 d4
  d5 d6)
 /BY hhid pid
 /DROP= d0 d1 d2 d3 d4 d5 d6.
EXECUTE.

SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Sector\Health.sav'.


GET FILE='C:\Sierra Leone_Household Survey_2003\Sector\RosterInfo.sav'.

MATCH FILES /TABLE=*
 /FILE='C:\Sierra Leone_Household Survey_2003\Sectional\Occ_Sec4A.sav'
 /RENAME (chiefdom district ea hhnum rectype region urbrur = d0 d1 d2 d3 d4
  d5 d6)
 /BY hhid pid
 /DROP= d0 d1 d2 d3 d4 d5 d6.
EXECUTE.

MATCH FILES /FILE=*
 /FILE='C:\Sierra Leone_Household Survey_2003\Sectional\Occ_Sec4B.sav'
 /RENAME (chiefdom district ea hhnum rectype region urbrur = d0 d1 d2 d3 d4
  d5 d6)
 /BY hhid pid
 /DROP= d0 d1 d2 d3 d4 d5 d6.
EXECUTE.

MATCH FILES /TABLE=*
 /FILE='C:\Sierra Leone_Household Survey_2003\Sectional\Occ_Sec4C.sav'
 /RENAME (chiefdom district ea hhnum rectype region urbrur = d0 d1 d2 d3 d4
  d5 d6)
 /BY hhid pid
 /DROP= d0 d1 d2 d3 d4 d5 d6.
EXECUTE.

MATCH FILES /TABLE=*
 /FILE='C:\Sierra Leone_Household Survey_2003\Sectional\Occ_Sec4F.sav'
 /RENAME (chiefdom district ea hhnum rectype region urbrur = d0 d1 d2 d3 d4
  d5 d6)
 /BY hhid pid
 /DROP= d0 d1 d2 d3 d4 d5 d6.
EXECUTE.

MATCH FILES /TABLE=*
 /FILE='C:\Sierra Leone_Household Survey_2003\Sectional\Occ_Sec4G.sav'
 /RENAME (chiefdom district ea hhnum rectype region urbrur = d0 d1 d2 d3 d4
  d5 d6)
 /BY hhid pid
 /DROP= d0 d1 d2 d3 d4 d5 d6.
EXECUTE.

MATCH FILES /TABLE=*
 /FILE='C:\Sierra Leone_Household Survey_2003\Sectional\Occ_Sec4H.sav'
 /RENAME (chiefdom district ea hhnum rectype region urbrur = d0 d1 d2 d3 d4
  d5 d6)
 /BY hhid pid
 /DROP= d0 d1 d2 d3 d4 d5 d6.
EXECUTE.

SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Sector\Occupation.sav'.


GET FILE='C:\Sierra Leone_Household Survey_2003\Sector\RosterInfo.sav'.

MATCH FILES /TABLE=*
 /RENAME (district region urbrur = d0 d1 d2)
 /FILE='C:\Sierra Leone_Household Survey_2003\Sectional\Migration_Sec5.sav'
 /RENAME (chiefdom district ea hhnum rectype region urbrur = d3 d4 d5 d6 d7
  d8 d9)
 /BY hhid pid
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8 d9.
EXECUTE.

SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Sector\Migration.sav'.



*Integrating the Enterprise file

GET FILE='C:\Sierra Leone_Household Survey_2003\Sectional\Enterprise_Sec10A.sav'.

MATCH FILES /TABLE=*
 /RENAME (chiefdom ea hhnum = d0 d1 d2)
 /FILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Sectional\Enterprise_Sec10D.sav'
 /RENAME (chiefdom district ea hhnum rectype region urbrur = d3 d4 d5 d6 d7
  d8 d9)
 /BY hhid eid
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8 d9.
EXECUTE.

MATCH FILES /TABLE=*
 /FILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Sectional\Enterprise_Sec10E.sav'
 /RENAME (chiefdom district ea hhnum rectype region urbrur = d0 d1 d2 d3 d4
  d5 d6)
 /BY hhid eid
 /DROP= d0 d1 d2 d3 d4 d5 d6.
EXECUTE.

SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Sector\Non_Farm_Enterprise.sav'.

GET FILE='C:\Sierra Leone_Household Survey_2003\Sectional\Enterprise_Sec10B_1.sav'.

IF (s10bq5a>0) AExp = s10bq5a .
VARIABLE LABELS AExp 'Annual Expenditure' .
EXECUTE .

IF (s10bq6a>0) AExp = s10bq6a
VARIABLE LABELS AExp 'Annual Expenditure' .
EXECUTE .

IF (s10bq7a>0) AExp = s10bq7a*3 .
VARIABLE LABELS AExp 'Annual Expenditure' .
EXECUTE .


IF (s10bq12a>0) AExp = s10bq12a .
VARIABLE LABELS AExp 'Annual Expenditure' .
EXECUTE .

IF (s10bq13a>0) AExp = s10bq13a.
VARIABLE LABELS AExp 'Annual Expenditure' .
EXECUTE .

IF (s10bq14a>0) AExp = s10bq14a*3 .
VARIABLE LABELS AExp 'Annual Expenditure' .
EXECUTE .

FILTER OFF.
USE ALL.
SELECT IF(s10bq2a=1).
EXECUTE .

SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\InterFiles\Section10_B.sav'.


AGGREGATE
  /OUTFILE='C:\Sierra Leone_Household'+
 ' Survey_2003\InterFiles\Enterprise_Annual_Exp.sav'
  /BREAK=hhid
  /aexp_1 'Total Annual Expenditures' = SUM(aexp).

GET FILE='C:\Sierra Leone_Household Survey_2003\InterFiles\Enterprise_Annual_Exp.sav'.

SORT CASES BY
  hhid (A) .

COMPUTE EID = 1 .
EXECUTE .


SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\InterFiles\Enterprise_Annual_Exp.sav'.

GET FILE='C:\Sierra Leone_Household Survey_2003\Sectional\Enterprise_Sec10B_2.sav'.
*See process manual for the computation of annualization.


IF (s10bq5b>0) AExp = s10bq5b .
VARIABLE LABELS AExp 'Annual Expenditure' .
EXECUTE .

IF (s10bq6b>0) AExp = s10bq6b.
VARIABLE LABELS AExp 'Annual Expenditure' .
EXECUTE .

IF (s10bq7b>0) AExp = s10bq7b*3.
VARIABLE LABELS AExp 'Annual Expenditure' .
EXECUTE .


IF (s10bq12b>0) AExp = s10bq12b .
VARIABLE LABELS AExp 'Annual Expenditure' .
EXECUTE .

IF (s10bq13b>0) AExp = s10bq13b .
VARIABLE LABELS AExp 'Annual Expenditure' .
EXECUTE .

IF (s10bq14b>0) AExp = s10bq14b*3 .
VARIABLE LABELS AExp 'Annual Expenditure' .
EXECUTE .


FILTER OFF.
USE ALL.
SELECT IF(s10bq2b=1).
EXECUTE .

SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\InterFiles\Section10_B_2.sav'.


AGGREGATE
  /OUTFILE='C:\Sierra Leone_Household'+
 ' Survey_2003\InterFiles\Enterprise_Annual_Exp_2.sav'
  /BREAK=hhid
  /aexp_1 'Total Annual Expenditures' = SUM(aexp).

GET FILE='C:\Sierra Leone_Household Survey_2003\InterFiles\Enterprise_Annual_Exp_2.sav'.

SORT CASES BY
  hhid (A) .

COMPUTE EID = 2 .
EXECUTE .


SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\InterFiles\Enterprise_Annual_Exp_2.sav'.


GET FILE='C:\Sierra Leone_Household Survey_2003\Sector\Non_Farm_Enterprise.sav'.

SORT CASES BY
   eid (A) hhid (A) .


MATCH FILES /FILE=*
 /TABLE='C:\Sierra Leone_Household'+
 ' Survey_2003\InterFiles\Enterprise_Annual_Exp.sav'
 /BY eid hhid.
EXECUTE.


MATCH FILES /FILE=*
 /TABLE='C:\Sierra Leone_Household'+
 ' Survey_2003\InterFiles\Enterprise_Annual_Exp_2.sav'
 /BY eid hhid.
EXECUTE.

IF (sysmis(aexp_1)) aexp_1 = 0 .
EXECUTE .

COMPUTE arev = s10dq6*26 .
VARIABLE LABELS arev 'Total Annual Revenues' .
EXECUTE .

SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Sector\Non_Farm_Enterprise.sav'.

GET FILE='C:\Sierra Leone_Household Survey_2003\Sectional\Enterprise_Sec10C_1.sav'.


SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Sectional\Enterprise_Assets_1.sav'.

ADD FILES /FILE=*
 /RENAME (s10c1q1b s10c1q1c s10c1q2b s10c1q2c s10c1q3b s10c1q3c s10c1q4b
  s10c1q4c s10c1q5 s10c1q6 s10c1q7 s10c1q8 s10c1q9 = d0 d1 d2 d3 d4 d5 d6 d7
  d8 d9 d10 d11 d12)
 /FILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Sectional\Enterprise_Sec10C_1.sav'
 /RENAME (s10c1q1a s10c1q1c s10c1q2a s10c1q2c s10c1q3a s10c1q3c s10c1q4a
  s10c1q4c s10c1q5 s10c1q6 s10c1q7 s10c1q8 s10c1q9 = d13 d14 d15 d16 d17 d18
  d19 d20 d21 d22 d23 d24 d25) s10c1q1b=s10c1q1a s10c1q2b=s10c1q2a
  s10c1q3b=s10c1q3a s10c1q4b=s10c1q4a
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18 d19
  d20 d21 d22 d23 d24 d25.
EXECUTE.

SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Sectional\Enterprise_Assets_1.sav'.

ADD FILES /FILE=*
 /FILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Sectional\Enterprise_Sec10C_1.sav'
 /RENAME (s10c1q1a s10c1q1b s10c1q2a s10c1q2b s10c1q3a s10c1q3b s10c1q4a
  s10c1q4b s10c1q5 s10c1q6 s10c1q7 s10c1q8 s10c1q9 = d0 d1 d2 d3 d4 d5 d6 d7
  d8 d9 d10 d11 d12) s10c1q1c=s10c1q1a s10c1q2c=s10c1q2a s10c1q3c=s10c1q3a
  s10c1q4c=s10c1q4a
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12.
EXECUTE.

SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Sectional\Enterprise_Assets_1.sav'.

AGGREGATE
  /OUTFILE='C:\Sierra Leone_Household Survey_2003\InterFiles\Agg_Assets.sav'
  /BREAK=hhid
  /Assets 'Sales Price of assets' = SUM(s10c1q2a).

GET FILE='C:\Sierra Leone_Household Survey_2003\InterFiles\Agg_Assets.sav'.

FILTER OFF.
USE ALL.

SELECT IF(assets>0).
EXECUTE .

COMPUTE EID = 1 .
EXECUTE .

SORT CASES BY
  hhid (A) .

SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\InterFiles\Agg_Assets.sav'.

*------------------------------SECOND ENTERPRISE

GET FILE='C:\Sierra Leone_Household Survey_2003\Sectional\Enterprise_Sec10C_2.sav'.


SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Sectional\Enterprise_Assets_2.sav'.

ADD FILES /FILE=*
 /RENAME (s10c2q1b s10c2q1c s10c2q2b s10c2q2c s10c2q3b s10c2q3c s10c2q4b
  s10c2q4c s10c2q5 s10c2q6 s10c2q7 s10c2q8 s10c2q9 = d0 d1 d2 d3 d4 d5 d6 d7
  d8 d9 d10 d11 d12)
 /FILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Sectional\Enterprise_Sec10C_2.sav'
 /RENAME (s10c2q1a s10c2q1c s10c2q2a s10c2q2c s10c2q3a s10c2q3c s10c2q4a
  s10c2q4c s10c2q5 s10c2q6 s10c2q7 s10c2q8 s10c2q9 = d13 d14 d15 d16 d17 d18
  d19 d20 d21 d22 d23 d24 d25) s10c2q1b=s10c2q1a s10c2q2b=s10c2q2a
  s10c2q3b=s10c2q3a s10c2q4b=s10c2q4a
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18 d19
  d20 d21 d22 d23 d24 d25.
EXECUTE.

SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Sectional\Enterprise_Assets_2.sav'.

ADD FILES /FILE=*
 /FILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Sectional\Enterprise_Sec10C_2.sav'
 /RENAME (s10c2q1a s10c2q1b s10c2q2a s10c2q2b s10c2q3a s10c2q3b s10c2q4a
  s10c2q4b s10c2q5 s10c2q6 s10c2q7 s10c2q8 s10c2q9 = d0 d1 d2 d3 d4 d5 d6 d7
  d8 d9 d10 d11 d12) s10c2q1c=s10c2q1a s10c2q2c=s10c2q2a s10c2q3c=s10c2q3a
  s10c2q4c=s10c2q4a
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12.
EXECUTE.

SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Sectional\Enterprise_Assets_2.sav'.

AGGREGATE
  /OUTFILE='C:\Sierra Leone_Household Survey_2003\InterFiles\Agg_Assets_2.sav'
  /BREAK=hhid
  /Assets 'Sales Price of assets' = SUM(s10c2q2a).

GET FILE='C:\Sierra Leone_Household Survey_2003\InterFiles\Agg_Assets_2.sav'.

FILTER OFF.
USE ALL.

SELECT IF(assets>0).
EXECUTE .

COMPUTE EID = 2 .
EXECUTE .

SORT CASES BY
  hhid (A) .

SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\InterFiles\Agg_Assets_2.sav'.



GET FILE='C:\Sierra Leone_Household Survey_2003\Sector\Non_Farm_Enterprise.sav'.

SORT CASES BY
   eid (A) hhid (A) .


MATCH FILES /FILE=*
 /TABLE='C:\Sierra Leone_Household'+
 ' Survey_2003\InterFiles\Agg_Assets.sav'
 /BY eid hhid.
EXECUTE.


MATCH FILES /FILE=*
 /TABLE='C:\Sierra Leone_Household'+
 ' Survey_2003\InterFiles\Agg_Assets_2.sav'
 /BY eid hhid.
EXECUTE.


IF (sysmis(assets)) assets = 0 .
EXECUTE .



SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Sector\Non_Farm_Enterprise.sav'.

*Add current expenditures on ssets.



GET FILE='C:\Sierra Leone_Household Survey_2003\Sectional\Enterprise_Sec10C_1.sav'.

AGGREGATE
  /OUTFILE='C:\Sierra Leone_Household Survey_2003\InterFiles\Investments.sav'
  /BREAK=hhid
  /ASTPUR 'Value of investments in current year' = SUM(s10c1q6) /ASTSLD
  'Divestments in current year' = SUM(s10c1q8).

GET FILE='C:\Sierra Leone_Household Survey_2003\InterFiles\Investments.sav'.

SORT CASES BY
  hhid (A) .

COMPUTE EID = 1 .
EXECUTE .

SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\InterFiles\Investments.sav'.


GET FILE='C:\Sierra Leone_Household Survey_2003\Sectional\Enterprise_Sec10C_2.sav'.

AGGREGATE
  /OUTFILE='C:\Sierra Leone_Household Survey_2003\InterFiles\Investments_2.sav'
  /BREAK=hhid
  /ASTPUR 'Value of investments in current year' = SUM(s10c2q6) /ASTSLD
  'Divestments in current year' = SUM(s10c2q8).

GET FILE='C:\Sierra Leone_Household Survey_2003\InterFiles\Investments_2.sav'.

SORT CASES BY
  hhid (A) .

COMPUTE EID = 2 .
EXECUTE .

SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\InterFiles\Investments_2.sav'.



GET FILE='C:\Sierra Leone_Household Survey_2003\Sector\Non_Farm_Enterprise.sav'.

SORT CASES BY
   eid (A) hhid (A) .

MATCH FILES /FILE=*
 /TABLE='C:\Sierra Leone_Household'+
 ' Survey_2003\InterFiles\Investments.sav'
 /BY eid hhid.
EXECUTE.


MATCH FILES /FILE=*
 /TABLE='C:\Sierra Leone_Household'+
 ' Survey_2003\InterFiles\Investments_2.sav'
 /BY eid hhid.
EXECUTE.



IF (sysmis(astpur)) astpur = 0 .
EXECUTE .

IF (sysmis(astsld)) astsld = 0 .
EXECUTE .
if sysmis(s10aq21) s10aq21=0.
EXECUTE.

SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Sector\Non_Farm_Enterprise.sav'.

*Computing the actual net revenues for a check.
*These seem to be overstated so a ratio is used to annualize based on the value of the ordinary annualied to the annual.

GET FILE='C:\Sierra Leone_Household Survey_2003\Sectional\Enterprise_Sec10E.sav'.

IF (s10e1t=6) HHNet = s10e1a*1 .
EXECUTE .
IF (s10e1t=5) HHNet = s10e1a*3 .
EXECUTE .
IF (s10e1t=4) HHNet = s10e1a*5 .
EXECUTE .
IF (s10e1t=3) HHNet = s10e1a*20 .
EXECUTE .
IF (s10e1t=2) HHNet = s10e1a*30 .
EXECUTE .
IF (s10e1t=1) HHNet = s10e1a*100 .
EXECUTE .
.


IF (s10e2t=6) PerNet = s10e2a*1 .
EXECUTE .
IF (s10e2t=5) PerNet = s10e2a*3 .
EXECUTE .
IF (s10e2t=4) PerNet = s10e2a*5 .
EXECUTE .
IF (s10e2t=3) PerNet = s10e2a*20 .
EXECUTE .
IF (s10e2t=2) PerNet = s10e2a*30 .
EXECUTE .
IF (s10e2t=1) PerNet = s10e2a*100 .
EXECUTE .


IF (s10e4t=6) OHHNet = s10e4a*1 .
EXECUTE .
IF (s10e4t=5) OHHNet = s10e4a*3 .
EXECUTE .
IF (s10e4t=4) OHHNet = s10e4a*5 .
EXECUTE .
IF (s10e4t=3) OHHNet = s10e4a*20 .
EXECUTE .
IF (s10e4t=2) OHHNet = s10e4a*30 .
EXECUTE .
IF (s10e4t=1) OHHNet = s10e4a*100 .
EXECUTE .


IF (s10e6t=6) SavNet = s10e6a*1 .
EXECUTE .
IF (s10e6t=5) SavNet = s10e6a*3 .
EXECUTE .
IF (s10e6t=4) SavNet = s10e6a*5 .
EXECUTE .
IF (s10e6t=3) SavNet = s10e6a*20 .
EXECUTE .
IF (s10e6t=2) SavNet = s10e6a*30 .
EXECUTE .
IF (s10e6t=1) SavNet = s10e6a*100 .
EXECUTE .


IF (s10e8t=6) OthNet = s10e8a*1 .
EXECUTE .
IF (s10e8t=5) OthNet = s10e8a*3 .
EXECUTE .
IF (s10e8t=4) OthNet = s10e8a*5 .
EXECUTE .
IF (s10e8t=3) OthNet = s10e8a*20 .
EXECUTE .
IF (s10e8t=2) OthNet = s10e8a*30 .
EXECUTE .
IF (s10e8t=1) OthNet = s10e8a*100 .
EXECUTE .

IF (sysmis(HHNET)) HHNET = 0 .
EXECUTE.
IF (sysmis(PerNET)) PerNET = 0 .
EXECUTE.
IF (sysmis(OHHNET)) OHHNET = 0 .
EXECUTE.
IF (sysmis(SavNET)) SavNET = 0 .
EXECUTE.
IF (sysmis(OthNET)) OthNET = 0 .
EXECUTE.



COMPUTE NetComp = hhnet+pernet+ohhnet+savnet+othnet .
VARIABLE LABELS NetComp 'Copmute Net Income (Section E)' .
EXECUTE .

SORT CASES BY
  eid(A) hhid (A) .


SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\InterFiles\NetComputed.sav'.

GET FILE='C:\Sierra Leone_Household Survey_2003\Sector\Non_Farm_Enterprise.sav'.

SORT CASES BY
  eid(A) hhid (A) .

MATCH FILES /TABLE=*
 /FILE='C:\Sierra Leone_Household Survey_2003\InterFiles\NetComputed.sav'
 /RENAME (chiefdom district ea hhnet hhnum ohhnet othnet pernet rectype
  region s10e10 s10e1a s10e1t s10e2a s10e2t s10e3 s10e4a s10e4t s10e5 s10e6a
  s10e6t s10e7 s10e8a s10e8t s10e9 savnet urbrur = d0 d1 d2 d3 d4 d5 d6 d7 d8
  d9 d10 d11 d12 d13 d14 d15 d16 d17 d18 d19 d20 d21 d22 d23 d24 d25 d26)
 /BY eid hhid
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18 d19
  d20 d21 d22 d23 d24 d25 d26.
EXECUTE.

SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Sector\Non_Farm_Enterprise.sav'.

*Computing an agriculture summary file.

GET FILE='C:\Sierra Leone_Household Survey_2003\Sectional\Agri__Plots_Sec8B1.sav'.


AGGREGATE
  /OUTFILE='C:\Sierra Leone_Household Survey_2003\InterFiles\Agg_Roster.sav'
  /BREAK=hhid s8bq1
  /Size 'Farm size' = SUM(s8bq4) /FVAL 'Farm Value' = SUM(s8bq7) /rent 'Paid'+
 ' in rent' = SUM(s8bq9) /LLord 'Percentage to landlord' = SUM(s8bq10).

*Compiling the comodities for archving.

GET FILE='C:\Sierra Leone_Household Survey_2003\Sectional\HouseExp_Sec9B.sav'.
EXECUTE.


FILTER OFF.
USE ALL.
SELECT IF(s9bq1=1).
EXECUTE .


IF (s9bq3>0) Ann_Prch = s9bq3 .
VARIABLE LABELS Ann_Prch 'Annual Purchases of item' .
EXECUTE .

IF (s9bq6>0) Ann_Prch = s9bq6*4 .
VARIABLE LABELS Ann_Prch 'Annual Purchases of item' .
EXECUTE .


AGGREGATE
  /OUTFILE='C:\Sierra Leone_Household'+
 ' Survey_2003\InterFiles\Archive\Section_9B.sav'
  /BREAK=hhid s9bq0
  /FDP 'Annual food purchsaes' = SUM(ann_prch).

GET FILE='C:\Sierra Leone_Household Survey_2003\InterFiles\Archive\Section_9B.sav'.
EXECUTE.


SORT CASES BY hhid s9bq0 .
CASESTOVARS
 /ID = hhid
 /INDEX = s9bq0
 /GROUPBY = INDEX .


var lab
	fdp.1 'Fresh Pepper '
	/fdp.2 'Salt  '
	/fdp.3 'Pepper (Dried) '
	/fdp.4 'Spices and other condiments '
	/fdp.5 'Other miscellaneous food '
	/fdp.6 'Bitter Kola '
	/fdp.7 'Kola Nut '
	/fdp.99 'Cookry '
	/fdp.100 'Bread and Buns '
	/fdp.101 'Maize-Cob (fresh) '
	/fdp.102 'Maize-Flour Dough '
	/fdp.103 'Millet Grain '
	/fdp.104 'Millet Flour '
	/fdp.105 'Rice (Paddy Grain) Local '
	/fdp.106 'Rice (Paddy Grain) Imported '
	/fdp.107 'Guinea Corn '
	/fdp.108 'Sorghum '
	/fdp.109 'Bananas '
	/fdp.110 'Cassava Roots '
	/fdp.111 'Cassava Gari '
	/fdp.112 'Plantain '
	/fdp.113 'Sweet Potato '
	/fdp.114 'Coco Yams '
	/fdp.115 'Yams '
	/fdp.116 'Other Grains and flours '
	/fdp.117 'Cassava (Other Forms) '
	/fdp.118 'Other Roots and Tubers '
	/fdp.119 'Other starchy products '
	/fdp.200 'Bacon '
	/fdp.201 'Fresh Cow meat (no bone) '
	/fdp.202 'Chicken '
	/fdp.203 'Mutton '
	/fdp.204 'Pork '
	/fdp.205 'Meat Sausage '
	/fdp.206 'Bush Fowl '
	/fdp.207 'Guinea Fowl '
	/fdp.208 'Other domestic poultry '
	/fdp.209 'Fresh Cow Meat (Bone) '
	/fdp.210 'Goat '
	/fdp.211 'Pigs Feet '
	/fdp.212 'Ham '
	/fdp.213 'Other domestic meat '
	/fdp.214 'Wild meat '
	/fdp.300 'Dried Fish '
	/fdp.301 'Smoked Fish '
	/fdp.302 'Shell Fish '
	/fdp.303 'Fried Fish '
	/fdp.304 'Fresh Fish '
	/fdp.305 'Cfdped Fish '
	/fdp.400 'Eggs '
	/fdp.401 'Milk '
	/fdp.402 'Other Egg '
	/fdp.403 'Milk Powder '
	/fdp.404 'Baby Milk '
	/fdp.405 'Tinned Milk (unsweetened) '
	/fdp.406 'Other Milk Products '
	/fdp.500 'Palm Oil '
	/fdp.501 'Palm Kernel Oil '
	/fdp.502 'Groundnut oil '
	/fdp.503 'Coconut Oil '
	/fdp.504 'Other nuts and seeds '
	/fdp.505 'Margarine '
	/fdp.506 'Other vegetable oil/fats '
	/fdp.507 'Animal fats '
	/fdp.508 'Palm Nuts '
	/fdp.509 'Ground Nuts (roasted or raw) '
	/fdp.510 'Coconuts '
	/fdp.511 'Shea Butter '
	/fdp.600 'Watermelon '
	/fdp.601 'Paw paw '
	/fdp.602 'Oranges Tangerine '
	/fdp.603 'Mangoes '
	/fdp.604 'Pineapples '
	/fdp.605 'Other Fresh Fruit '
	/fdp.606 'Cfdped fruit '
	/fdp.700 'Bambara Beans '
	/fdp.701 'Cowpeas (Small) '
	/fdp.702 'Broad beans '
	/fdp.703 'Other pulses or legumes '
	/fdp.704 'Avocado pears '
	/fdp.705 'Tomatoes '
	/fdp.706 'Onions '
	/fdp.707 'Carrots '
	/fdp.708 'Okra '
	/fdp.709 'Gardens eggs cucumbers '
	/fdp.710 'Cabbage/Lettuce '
	/fdp.711 'Spinach/Other Leafy Vegetables '
	/fdp.712 'Other vegetables '
	/fdp.713 'Cabbage '
	/fdp.800 'Biscuits '
	/fdp.801 'Honey '
	/fdp.802 'Sugar '
	/fdp.803 'Ice cream lollipop '
	/fdp.804 'Jams '
	/fdp.805 'Confectionary not frozen '
	/fdp.900 'Fruit juices '
	/fdp.901 'Coffee '
	/fdp.902 'Chocolate '
	/fdp.903 'Tea '
	/fdp.904 'Softdrinks '
	/fdp.905 'Local and imported beer '
	/fdp.906 'Palm Wine '
	/fdp.907 'Bamboo Wine '
	/fdp.908 'Omole and local spirits '
	/fdp.909 'Gin/Sassman '
	/fdp.910 'Other alcoholic '
	/fdp.911 'Other non-alcoholic '
	/fdp.998 'Health care personal; hygiene '
	/fdp.999 'Tobacco '.



SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Sector\Food_Expenditures.sav'.
EXECUTE.

*Own Consumption.

* Step 1: Filtering out items not consumed.
GET FILE='C:\Sierra Leone_Household Survey_2003\Sectional\HouseExp_Sec8H.sav'.

FILTER OFF.
USE ALL.
SELECT IF(s8hq1=1).
EXECUTE .


*Step 2a: Replacing blanks with 0.  This will be better done through the data edit program.  Since this is filtered based on response to s8hq1.

IF (sysmis(s8hq3)) s8hq3 = 0 .
EXECUTE .
IF (sysmis(s8hq4)) s8hq4 = 0 .
EXECUTE .
IF (sysmis(s8hq5)) s8hq5 = 0 .
EXECUTE .
IF (sysmis(s8hq6)) s8hq6 = 0 .
EXECUTE .
IF (sysmis(s8hq7)) s8hq7 = 0 .
EXECUTE .
IF (sysmis(s8hq8)) s8hq8 = 0 .
EXECUTE .


*Step 2b: Computing the total unit consumption


COMPUTE Unit_Con = s8hq3 + s8hq4 + s8hq5 +s8hq6 +s8hq7 +s8hq8 .
VARIABLE LABELS Unit_Con 'Units Consumed' .
EXECUTE .

*Step 2c(b): Annualize and value the output according to the 30 day cycle

IF (unit_con>0) AnCon =  unit_con*(365/30)*s8hq10 .
EXECUTE .

AGGREGATE
  /OUTFILE='C:\Sierra Leone_Household'+
 ' Survey_2003\InterFiles\Archive\Section_8H.sav'
  /BREAK=hhid s8hq0
  /own = SUM(ancon).


GET FILE='C:\Sierra Leone_Household Survey_2003\InterFiles\Archive\Section_8H.sav'.
SELECT IF(s8hq0>0).
EXECUTE .


SORT CASES BY hhid s8hq0 .

CASESTOVARS
 /ID = hhid
 /INDEX = s8hq0
 /GROUPBY = INDEX .


var lab
own.1		"Fresh Pepper"	
/own.101	"Maize-Cob (fresh)"	
/own.102	"Maize-Flour Dough"	
/own.103	"Millet Grain"	
/own.104	"Millet Flour"	
/own.105	"Rice (Paddy Grain) Local"	
/own.107	"Guinea Corn"	
/own.108	"Sorghum"	
/own.109	"Bananas"	
/own.110	"Cassava Roots"	
/own.111	"Cassava Gari"	
/own.112	"Plantain"	
/own.113	"Sweet Potato	"	
/own.114	"Coco Yams	"	
/own.115	"Yams	"	
/own.116	"Other Grains and flours	"	
/own.117	"Cassava (Other Forms)	"	
/own.118	"Other Roots and Tubers	"	
/own.202	"Chicken	"	
/own.203	"Mutton	"	
/own.204	"Pork	"	
/own.206	"Bush Fowl	"	
/own.208	"Other domestic poultry	"	
/own.209	"Fresh Cow Meat (Bone)	"	
/own.210	"Goat	"	
/own.213	"Other domestic meat	"	
/own.214	"Wild meat	"	
/own.304	"Fresh Fish	"	
/own.400	"Eggs	"	
/own.401	"Milk	"	
/own.500	"Palm Oil	"	
/own.503	"Coconut Oil	"	
/own.504	"Other nuts and seeds	"	
/own.508	"Palm Nuts	"	
/own.509	"Ground Nuts (roasted or raw)	"	
/own.510	"Coconuts	"	
/own.511	"Shea Butter	"	
/own.600	"Watermelon	"	
/own.601	"Paw paw	"	
/own.602	"Oranges Tangerine	"	
/own.603	"Mangoes	"	
/own.604	"Pineapples	"	
/own.605	"Other Fresh Fruit	"	
/own.700	"Bambara Beans	"	
/own.701	"Cowpeas (Small)	"	
/own.703	"Other pulses or legumes	"	
/own.704	"Avocado pears	"	
/own.705	"Tomatoes	"	
/own.706	"Onions	"	
/own.707	"Carrots	"	
/own.708	"Okra	"	
/own.709	"Gardens eggs cucumbers	"	
/own.710	"Cabbage/Lettuce	"	
/own.711	"Spinach/Other Leafy Vegetables	"	
/own.712	"Other vegetables	"	
/own.910	"Other alcoholic	"	
/own.911	"Other non-alcoholic	".	
			
SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Sector\Consumption_Own_Produce.sav'.
EXECUTE.


*Frequent non food.

GET FILE='C:\Sierra Leone_Household Survey_2003\Sectional\HouseExp_Sec9A2.sav'.
EXECUTE.

FILTER OFF.
USE ALL.
SELECT IF(s9A2q1=1).
EXECUTE .


IF (s9A2q3>0) Ann_NF = s9A2q3 .
VARIABLE LABELS Ann_NF 'Annual Purchases of item' .
EXECUTE .

IF (s9A2q6>0) Ann_NF = s9A2q6*4 .
VARIABLE LABELS Ann_NF 'Annual Purchases of item' .
EXECUTE .


AGGREGATE
  /OUTFILE='C:\Sierra Leone_Household'+
 ' Survey_2003\InterFiles\Archive\Section9A2.sav'
  /BREAK=hhid s9a2q0
  /fnf= SUM(ann_nf).

GET FILE='C:\Sierra Leone_Household Survey_2003\InterFiles\Archive\Section9A2.sav'.
*eliminate strange codes.

SELECT IF(s9a2q0<>155 and s9a2q0<>161 and s9a2q0<>253 and s9a2q0<>277).
EXECUTE .

SORT CASES BY hhid s9a2q0 .
CASESTOVARS
 /ID = hhid
 /INDEX = s9a2q0
 /GROUPBY = INDEX .
FILTER OFF.
USE ALL.

var lab
fnf.278 "Water Charges	"	
/fnf.279 "Kerosene and other liquid fuel (incl. Palm Kernel Oil)	"	
/fnf.280 "Gas for Cooking	"	
/fnf.281 "Charcoal	"	
/fnf.282 "Firewood and Other Solid fuel	"	
/fnf.283 "Repairs to Clothing	"	
/fnf.284 "Repairs to Footwear	"	
/fnf.285 "Repairs to Soft Furnishings	"	
/fnf.286 "Repairs to Furniture and Fittings	"	
/fnf.287 "Repairs to Appliances	"	
/fnf.288 "Soap and Washing Powder	"	
/fnf.289 "Insecticides  Disinfectants and Household Cleaners	"	
/fnf.290 "Matches	"	
/fnf.291 "Toilet paper	"	
/fnf.292 "Light Globes / Bulbs	"	
/fnf.293 "Candles	"	
/fnf.294 "Other Non-durable goods	"	
/fnf.295 "Household services (Lawns Boy  Washman  etc.)	"	
/fnf.296 "Cooks	"	
/fnf.297 "Baby Sitters / Day Care Attendants  Nfnfies   Cleaners	"	
/fnf.298 "Gardeners	"	
/fnf.299 "Security Guards	"	
/fnf.300 "Washmen	"	
/fnf.301 "Plumbing & Repairs	"	
/fnf.302 "Furniture and Furnishing Hire	"	
/fnf.303 "Pain Killers (Aspirin.)	"	
/fnf.304 "Antibiotics	"	
/fnf.305 "Anti malaria medicines	"	
/fnf.306 "Other Medical and Pharmaceutical Products	"	
/fnf.307 "Medical Services such as Doctor or Healer and other Medical	"	
/fnf.308 "Car	"	
/fnf.309 "Motorcycle	"	
/fnf.310 "Bicycle	"	
/fnf.311 "Boat	"	
/fnf.312 "Other Personal Transport Equipment	"	
/fnf.313 "Tyres  Tubes  Pants	"	
/fnf.314 "Other Accessories	"	
/fnf.315 "Petrol	"	
/fnf.316 "Diesel	"	
/fnf.317 "Oil & Grease	"	
/fnf.318 "Chiffonier and Driver Services	"	
/fnf.319 "Other Equipment  including repairs & serving	"	
/fnf.320 "Road a rail Transport	"	
/fnf.321 "Inland water Transport	"	
/fnf.322 "Air Transport	"	
/fnf.323 "Ocean Transport	"	
/fnf.324 "Other Transport	"	
/fnf.325 "Postal Charges (Including stamps and courier services)	"	
/fnf.326 "Telegrams  Telephones  Faxes  etc	"	
/fnf.327 "School Fees and Related Charges	"	
/fnf.328 "School Books and Stationery	"	
/fnf.329 "School Transport	"	
/fnf.330 "Boarding Lodging at School	"	
/fnf.331 "Other Expenses on Education	"	
/fnf.332 "School Uniform	"	
/fnf.333 "TV  Video  Radio  Cassette Player	"	
/fnf.334 "Musical Instruments	"	
/fnf.335 "Camera  Video Camera and Other Durable Photographic Equipmen	"	
/fnf.336 "Typewriter  Binoculars  Sports Equipment	"	
/fnf.337 "Other Accessories and Repairs	"	
/fnf.338 "Books and Magazines	"	
/fnf.339 "Newspapers	"	
/fnf.340 "Transistor Batteries / Films & Other Non-Durable Photo Items	"	
/fnf.341 "Other Non-durable Items	"	
/fnf.342 "Football Cinema  Video Tickets and Charges	"	
/fnf.343 "Membership of Sports  Video Societies and Other Clubs	"	
/fnf.344 "Stationery Supplies  Wring Pad  Pens  Pall Pens  Pencils  I	"	
/fnf.345 "Drawing Equipment and Accessories	"	
/fnf.346 "Other Items and Repairs	"	
/fnf.347 "Personal Care Services	"	
/fnf.348 "Barber Beauty Saloon	"	
/fnf.349 "Other Personal Care services	"	
/fnf.350 "Stationery Supplies  Wring Pad  Pens  Ball Pens  Pencils  I	"	
/fnf.351 "Drawing Equipment and Accessories	"	
/fnf.352 "Other Items and Repairs	"	
/fnf.353 "Services of Barber  Beauty Shops  and Others	"	
/fnf.354 "Personal Care Services	"	
/fnf.355 "Barber Beauty Salon	"	
/fnf.356 "Other Personal Care services	"	
/fnf.357 "Goods for Personal Care (eg. Razor Blades  Cosmetics  Powder	"	
/fnf.358 "Writing and Drawing Equipment and Supplies	"	
/fnf.359 "Expenditure in Restaurants and Hotels	"	
/fnf.360 "Financial Services (N.E.S = Not Elsewhere Specified)	"	
/fnf.361 "Jewellery & Watcher	"	
/fnf.362 "Other Personal Goods	"	
/fnf.363 "Package Tours	"	
/fnf.364 "Goods N.E.C	"	
/fnf.365 "Other Services (N.E.S)	".	

			
SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Sector\Frequently_Purchased_NonFood.sav'.
EXECUTE.

*Infrequent Consumption.

GET FILE='C:\Sierra Leone_Household Survey_2003\Sectional\HouseExp_Sec9A1.sav'.
EXECUTE.

FILTER OFF.
USE ALL.
SELECT IF(s9A1q1=1).
EXECUTE .


IF (s9A1q2<12) Ann_Prch = s9A1q3 .
VARIABLE LABELS Ann_Prch 'Annual Purchases of item' .
EXECUTE .

IF (s9A1q2>=12) Ann_Prch = s9A1q4*4 .
VARIABLE LABELS Ann_Prch 'Annual Purchases of item' .
EXECUTE .


AGGREGATE
  /OUTFILE='C:\Sierra Leone_Household'+
 ' Survey_2003\InterFiles\Archive\Section9A1.sav'
  /BREAK=hhid s9a1q0
  /inf= SUM(ann_prch).

*eliminate strange codes.




GET FILE='C:\Sierra Leone_Household Survey_2003\InterFiles\Archive\Section9A1.sav'.

SELECT IF(s9a1q0<>45 and s9a1q0<>47 and s9a1q0<>60 and s9a1q0<>103 and s9a1q0<>105 and s9a1q0<>119 and s9a1q0<>129 and s9a1q0<>241 and s9a1q0<>257 and s9a1q0<>258 and s9a1q0<>260).
EXECUTE .


SORT CASES BY hhid s9a1q0 .
CASESTOVARS
 /ID = hhid
 /INDEX = s9a1q0
 /GROUPBY = INDEX .

var lab
INF.201	"Cotton	"	
/INF.202	"Silk	"	
/INF.203	"Hand Loomed Cloth	"	
/INF.204	"Polyester Material	"	
/INF.205	"All Other Clothing Material (Natural fibre or otherwise)	"	
/INF.206	"Tailoring Charges	"	
/INF.207	"Suit / Safari Suit	"	
/INF.208	"Smock or Other Hand Woven Garment	"	
/INF.209	"Dress (ladies/girls)	"	
/INF.210	"Trousers  Slacks  Shorts  Blouse  Shirts	"	
/INF.211	"Underwear (Incl.Vests and Underpants)	"	
/INF.212	"Other Readymade Clothes	"	
/INF.213	"Mens Shoes	"	
/INF.214	"Mens Slippers	"	
/INF.215	"Ladies Shoes	"	
/INF.216	"Ladies Slippers	"	
/INF.217	"Boys shoes	"	
/INF.218	"Girls shoes	"	
/INF.219	"Repair of footwear	"	
/INF.220	"House / Property Rates	"	
/INF.221	"Basic Rates	"	
/INF.222	"Bed sheets  Bed Cover  Blanket  Curtains	"	
/INF.223	"Mattress  Pillow & Cases	"	
/INF.224	"Bed / Sleeping Mats	"	
/INF.225	"Chair	"	
/INF.226	"Table	"	
/INF.227	"Carpet and other floor covering	"	
/INF.228	"Cupboards/Wardrobes Repairs	"	
/INF.229	"Other furniture and fixtures	"	
/INF.230	"Electric fan	"	
/INF.231	"Air Conditioner /  Air Cooler	"	
/INF.232	"Fridge and Freezers	"	
/INF.233	"Electric Iron	"	
/INF.234	"Washing Machine and dryer	"	
/INF.235	"Electric Kettle	"	
/INF.236	"Gas or Electric Stoves	"	
/INF.244	"Spectacles and contact Lenses	"	
/INF.245	"Wheelchairs	"	
/INF.246	"Crutches	"	
/INF.247	"Other appliances (medical)	"	
/INF.248	"Dentist fees	"	
/INF.249	"Nurse  Midwives etc.Fees	"	
/INF.250	"Traditional and  Spiritual Healers	"	
/INF.251	"Pharmacist Fees (Consultation)	"	
/INF.252	"Other Medical Practitioners	"	
/INF.253	"Headache pills	"	
/INF.254	"Other medicines	"	
/INF.266	"Cars or Motor Vehicle	"	
/INF.267	"Motor Cycles	"	
/INF.268	"Bicycles	"	
/INF.269	"Tyres	"	
/INF.270	"Radio   Wireless and Cassette/Radio	"	
/INF.271	"T.V. Sets  Video  Video  Camera	"	
/INF.272	"Other (phonogram  C/D players  music systems)	"	
/INF.273	"Camera and photographic equipment	"	
/INF.274	"Sports Equipments	"	
/INF.275	"Musical Instruments	"	
/INF.276	"Jewellery(watches  rings etc)	"	
/INF.277	"Other personal goods	".
	
SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Sector\NOTFrequently_Purchased_NonFood.sav'.
EXECUTE.

*Producing a food expenditure file.

GET FILE='C:\Sierra Leone_Household Survey_2003\Sector\Food_Expenditures.sav'.
EXECUTE.

MATCH FILES /FILE=*
 /FILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Sector\Consumption_Own_Produce.sav'
 /BY hhid.
EXECUTE.

SAVE OUTFILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Sector\Food_Consumption_Purchase_Own_Con.sav'
  /COMPRESSED.

GET FILE='C:\Sierra Leone_Household Survey_2003\Sector\Frequently_Purchased_NonFood.sav'.

MATCH FILES /FILE=*
 /FILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Sector\NOTFrequently_Purchased_NonFood.sav'
 /BY hhid.
EXECUTE.

SAVE OUTFILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Sector\NonFood_Consumption.sav'
  /COMPRESSED.


*-----------------------------------------------------------------------------------------------------------------
*Agricultural section.





GET FILE='C:\Sierra Leone_Household Survey_2003\Sectional\Agri__Plots_Sec8B1.sav'.
EXECUTE.

*land owned

FILTER OFF.
USE ALL.
SELECT IF(s8bq5<>3).
EXECUTE .



AGGREGATE
  /OUTFILE='C:\Sierra Leone_Household Survey_2003\InterFiles\Archive\Section'+
 ' 8B_plots_Own.sav'
  /BREAK=hhid
  /s8bq4_1 'Total acreage owned by houeshold' = SUM(s8bq4) /s8bq7_1 'Total'+
 ' value of acreage declared' = SUM(s8bq7).

GET FILE='C:\Sierra Leone_Household Survey_2003\Sectional\Agri__Plots_Sec8B1.sav'.

EXECUTE.
FILTER OFF.
USE ALL.
SELECT IF(s8bq5=3).
EXECUTE .

AGGREGATE
  /OUTFILE='C:\Sierra Leone_Household Survey_2003\InterFiles\Archive\Section'+
 ' 8B_plots_Rent.sav'
  /BREAK=hhid
  /s8bq4_2 'Acreeage rented' = SUM(s8bq4) /s8bq9_1 'Cost of rental' =
  SUM(s8bq9) /s8bq10_1 'Proportion of crop given to landlord' = SUM(s8bq10).

GET FILE='C:\Sierra Leone_Household Survey_2003\Sectional\Agri__Land_Sec8A1.sav.'.


SORT CASES BY
  hhid (A) .



MATCH FILES /FILE=*
 /FILE='C:\Sierra Leone_Household Survey_2003\InterFiles\Archive\Section'+
 ' 8B_plots_Own.sav'
 /BY hhid.
EXECUTE.


MATCH FILES /FILE=*
 /FILE='C:\Sierra Leone_Household Survey_2003\InterFiles\Archive\Section'+
 ' 8B_plots_Rent.sav'
 /BY hhid.
EXECUTE.

SAVE OUTFILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Sector\Agricultural_Household.sav'
  /COMPRESSED.

GET FILE='C:\Sierra Leone_Household Survey_2003\Sectional\Agri_Livestock_Sec8A2.sav.'.
FILTER OFF.

SORT CASES BY
  hhid (A) .

AGGREGATE
  /OUTFILE='C:\Sierra Leone_Household'+
 ' Survey_2003\InterFiles\Archive\Livestock.sav'
  /BREAK=hhid
  /s8aq23_1 'Value of livestock raised' = SUM(s8aq23) /s8aq26_1 'Value of'+
 ' livestock sold' = SUM(s8aq26) /s8aq29_1 'Value of livestock purchased' =
  SUM(s8aq29) /s8aq31_1 'Rental income from livestock rental' = SUM(s8aq31).

GET FILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Sector\Agricultural_Household.sav'.

MATCH FILES /FILE=*
 /FILE='C:\Sierra Leone_Household'+
 ' Survey_2003\InterFiles\Archive\Livestock.sav'
 /BY hhid.
EXECUTE.

SAVE OUTFILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Sector\Agricultural_Household.sav'
  /COMPRESSED.

GET FILE='C:\Sierra Leone_Household Survey_2003\Sectional\Agri_Equipment_Sec8A3.sav'.
FILTER OFF.

SORT CASES BY
  hhid (A) .



AGGREGATE
  /OUTFILE='C:\Sierra Leone_Household'+
 ' Survey_2003\InterFiles\Archive\Equipment.sav'
  /BREAK=hhid
  /s8aq35_1 'Value of assets owned by houseold' = SUM(s8aq35) /s8aq37_1
  'Revenue from assets rented by household' = SUM(s8aq37) /s8aq39_1 'Revenue'+
 ' from sale of farm assets' = SUM(s8aq39).

GET FILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Sector\Agricultural_Household.sav'.

MATCH FILES /FILE=*
 /FILE='C:\Sierra Leone_Household'+
 ' Survey_2003\InterFiles\Archive\Equipment.sav'
 /BY hhid.
EXECUTE.

SAVE OUTFILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Sector\Agricultural_Household.sav'
  /COMPRESSED.

GET FILE='C:\Sierra Leone_Household Survey_2003\Sectional\Agri_Harvest_Sec8C1.sav'.
FILTER OFF.

SORT CASES BY
  hhid (A) .



AGGREGATE
  /OUTFILE='C:\Sierra Leone_Household'+
 ' Survey_2003\InterFiles\Archive\Harvest1.sav'
  /BREAK=hhid
  /s8cq8_1 'Value of Agricultural sales through main outlet' = SUM(s8cq8)
 /s8cq11_1 'Value of agricultural sales through secondary outlet' =
  SUM(s8cq11) /s8cq13_1 'Total declared value of harvest' = SUM(s8cq13)
 /s8cq17_1 'Number of men employed by the household' = MEAN(s8cq17m) /s8cq17_2
  'Number of women emloyed by the household' = MEAN(s8cq17f).

GET FILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Sector\Agricultural_Household.sav'.

MATCH FILES /FILE=*
 /FILE='C:\Sierra Leone_Household'+
 ' Survey_2003\InterFiles\Archive\Harvest1.sav'
 /BY hhid.
EXECUTE.

SAVE OUTFILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Sector\Agricultural_Household.sav'
  /COMPRESSED.

IF (sysmis(s8bq4_1)) s8bq4_1 = 0 .
EXECUTE .
IF (sysmis(s8bq4_2)) s8bq4_2 = 0 .
EXECUTE .
IF (sysmis(s8bq7_1)) s8bq7_1 = 0 .
EXECUTE .
IF (sysmis(s8bq9_1)) s8bq9_1 = 0 .
EXECUTE .
IF (sysmis(s8bq10_1)) s8bq10_1 = 0 .
EXECUTE .
IF (sysmis(s8aq23_1)) s8aq23_1 = 0 .
EXECUTE .
IF (sysmis(s8aq26_1)) s8aq26_1 = 0 .
EXECUTE .
IF (sysmis(s8aq29_1)) s8aq29_1 = 0 .
EXECUTE .
IF (sysmis(s8aq31_1)) s8aq31_1= 0 .
EXECUTE .
IF (sysmis(s8aq35_1)) s8aq35_1 = 0 .
EXECUTE .
IF (sysmis(s8aq37_1)) s8aq37_1 = 0 .
EXECUTE .
IF (sysmis(s8aq39_1)) s8aq39_1 = 0 .
EXECUTE .
IF (sysmis(s8cq8_1)) s8cq8_1= 0 .
EXECUTE .
IF (sysmis(s8cq11_1)) s8cq11_1 = 0 .
EXECUTE .
IF (sysmis(s8cq13_1)) s8cq13_1 = 0 .
EXECUTE .
IF (sysmis(s8cq17_1)) s8cq17_1= 0 .
EXECUTE .
IF (sysmis(s8cq17_2)) s8cq17_2 = 0 .
EXECUTE .

SAVE OUTFILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Sector\Agricultural_Household.sav'
  /COMPRESSED.

GET FILE='C:\Sierra Leone_Household Survey_2003\Sectional\Agri_OtherSales_Sec8E.sav.'.
FILTER OFF.

SORT CASES BY
  hhid (A) .



IF (sysmis(s8eq1)) s8eq1 = 0 .
EXECUTE .
IF (sysmis(s8eq2)) s8eq2 = 0 .
EXECUTE .
IF (sysmis(s8eq3)) s8eq3 = 0 .
EXECUTE .
IF (sysmis(s8eq4)) s8eq4 = 0 .
EXECUTE .
IF (sysmis(s8eq5)) s8eq5 = 0 .
EXECUTE .
IF (sysmis(s8eq6)) s8eq6 = 0 .
EXECUTE .
IF (sysmis(s8eq7)) s8eq7 = 0 .
EXECUTE .
IF (sysmis(s8eq8)) s8eq8 = 0 .
EXECUTE .
IF (sysmis(s8eq9)) s8eq9 = 0 .
EXECUTE .
IF (sysmis(s8eq10)) s8eq10 = 0 .
EXECUTE .
IF (sysmis(s8eq11)) s8eq11 = 0 .
EXECUTE .
IF (sysmis(s8eq12)) s8eq12 = 0 .
EXECUTE .
IF (sysmis(s8eq13)) s8eq13 = 0 .
EXECUTE .



COMPUTE OInc = s8eq1+s8eq2+s8eq3 + s8eq4 + s8eq5 + s8eq6 + s8eq7 + s8eq8 +
  s8eq9 + s8eq10 + s8eq11 + s8eq12 + s8eq13 .
VARIABLE LABELS OInc 'Other sources of revenue' .
EXECUTE .



SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Interfiles\Archive\Agri_OtherSales_Sec8E.sav.'.
FILTER OFF.

GET FILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Sector\Agricultural_Household.sav'.

MATCH FILES /FILE=*
 /FILE='C:\Sierra Leone_Household'+
 ' Survey_2003\InterFiles\Archive\Agri_OtherSales_Sec8E.sav'
 /RENAME (chiefdom district ea hhnum rectype region s8eq1 s8eq10 s8eq11
  s8eq12 s8eq13 s8eq2 s8eq3 s8eq4 s8eq5 s8eq6 s8eq7 s8eq8 s8eq9 urbrur = d0 d1
  d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18 d19)
 /BY hhid
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18
  d19.
EXECUTE.

IF (sysmis(oinc)) oinc = 0 .
EXECUTE .

SAVE OUTFILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Sector\Agricultural_Household.sav'
  /COMPRESSED.

GET FILE='C:\Sierra Leone_Household Survey_2003\Sectional\Agri_Inputs_Sec8F.sav.'.
FILTER OFF.

AGGREGATE
  /OUTFILE='C:\Sierra Leone_Household'+
 ' Survey_2003\InterFiles\Archive\Ag_Inputs.sav'
  /BREAK=hhid
  /s8fq2_1 'Total Agricultural inputs' = SUM(s8fq2).


GET FILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Sector\Agricultural_Household.sav'.

MATCH FILES /FILE=*
 /FILE='C:\Sierra Leone_Household'+
 ' Survey_2003\InterFiles\Archive\Ag_Inputs.sav'
 /BY hhid.
EXECUTE.

IF (sysmis(s8fq2_1)) s8fq2_1 = 0 .
EXECUTE .


SAVE OUTFILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Sector\Agricultural_Household.sav'
  /COMPRESSED.


MATCH FILES /FILE=*
 /TABLE='C:\Sierra Leone_Household Survey_2003\AggData\EXFDPRD.sav'
 /RENAME (fdbevpr fdbrd fddairpr fdfatspr fdfishpr fdfrutpr fdmeatpr fdvegpr
  = d0 d1 d2 d3 d4 d5 d6 d7)
 /BY hhid
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7.
EXECUTE.

SAVE OUTFILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Sector\Agricultural_Household.sav'
  /COMPRESSED.

MATCH FILES /FILE=*
 /TABLE='C:\Sierra Leone_Household Survey_2003\AggData\HHEXP.sav'
 /RENAME (aeexp aeexpdr ctry_adq edtexp fao_adq fdtot fdtotby fdtotdr fdtotpr
  fpindex hhexp hhexpdr hhsize hhsize_1 hltexp month nfdfqtot nfdiqtot nfdtot
  nfdtotdr nfdtotpr nfpindex pcexp pcexpdr quinttr rnthh sharefd totp year =
  d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18 d19 d20
  d21 d22 d23 d24 d25 d26 d27 d28)
 /BY hhid
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18 d19
  d20 d21 d22 d23 d24 d25 d26 d27 d28.
EXECUTE.


SAVE OUTFILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Sector\Agricultural_Household.sav'
  /COMPRESSED.


*Adding other items together




*TRANSFERS------------------------------------------------------------------------------------------------------------------------------
*Transfers OUT.
GET FILE='C:\Sierra Leone_Household Survey_2003\Sectional\IncomeTransOUT_Sec11BA.sav'.
FILTER OFF.

IF (sq11ba6=1) OAnnC = sq11ba8*52 .
VARIABLE LABELS OAnnC 'Annual cash transfers out' .
EXECUTE .

IF (sq11ba6=2) OAnnC = sq11ba8*12 .
VARIABLE LABELS OAnnC 'Annual cash transfers out' .
EXECUTE .


IF (sq11ba6=3) OAnnC = sq11ba8*4 .
VARIABLE LABELS OAnnC 'Annual cash transfers out' .
EXECUTE .


IF (sq11ba6=4) OAnnC = sq11ba8 .
VARIABLE LABELS OAnnC 'Annual cash transfers out' .
EXECUTE .


IF (sq11ba6=5) OAnnC = sq11ba8 .
VARIABLE LABELS OAnnC 'Annual cash transfers out' .
EXECUTE .

IF (sq11ba6=6) OAnnC = sq11ba8 .
VARIABLE LABELS OAnnC 'Annual cash transfers out' .
EXECUTE .

*Food transfers

IF (sq11ba6=1) OAnnF = sq11ba9*52 .
VARIABLE LABELS OAnnF 'Annual food transfers out' .
EXECUTE .

IF (sq11ba6=2) OAnnF = sq11ba9*12 .
VARIABLE LABELS OAnnF 'Annual food transfers out' .
EXECUTE .


IF (sq11ba6=3) OAnnF = sq11ba9*4 .
VARIABLE LABELS OAnnF 'Annual food transfers out' .
EXECUTE .


IF (sq11ba6=4) OAnnF = sq11ba9 .
VARIABLE LABELS OAnnF 'Annual food transfers out' .
EXECUTE .


IF (sq11ba6=5) OAnnF = sq11ba9 .
VARIABLE LABELS OAnnF 'Annual food transfers out' .
EXECUTE .

IF (sq11ba6=6) OAnnF = sq11ba9 .
VARIABLE LABELS OAnnF 'Annual food transfers out' .
EXECUTE .

*Other transfers

IF (sq11ba6=1) OAnnO = sq11ba10*52 .
VARIABLE LABELS OAnnO 'Annual other transfers out' .
EXECUTE .

IF (sq11ba6=2) OAnnO = sq11ba10*12 .
VARIABLE LABELS OAnnO 'Annual other transfers out' .
EXECUTE .


IF (sq11ba6=3) OAnnO = sq11ba10*4 .
VARIABLE LABELS OAnnO 'Annual other transfers out' .
EXECUTE .


IF (sq11ba6=4) OAnnO = sq11ba10 .
VARIABLE LABELS OAnnO 'Annual other  transfers out' .
EXECUTE .


IF (sq11ba6=5) OAnnO = sq11ba10 .
VARIABLE LABELS OAnnO 'Annual other  transfers out' .
EXECUTE .

IF (sq11ba6=6) OAnnO = sq11ba10 .
VARIABLE LABELS OAnnO 'Annual other transfers out' .
EXECUTE .

AGGREGATE
  /OUTFILE='C:\Sierra Leone_Household'+
 ' Survey_2003\InterFiles\Archive\Transfer_OUT.sav'
  /BREAK=hhid
  /annc_1 'Annual Transfers OUT-CASH' = SUM(Oannc) /annf_1 'Annual Transfers OUT'+
 '-FOOD' = SUM(Oannf) /anno_1 'Annual transfers OUT-OTHER' = SUM(Oanno).



*Transfers_IN


GET FILE='C:\Sierra Leone_Household Survey_2003\Sectional\IncomeTransIN_Sec11BB.sav'.
FILTER OFF.

IF (sq11bb6=1) IAnnC = sq11bb8*52 .
VARIABLE LABELS IAnnC 'Annual cash transfers in' .
EXECUTE .

IF (sq11bb6=2) IAnnC = sq11bb8*12 .
VARIABLE LABELS IAnnC 'Annual cash transfers in' .
EXECUTE .


IF (sq11bb6=3) IAnnC = sq11bb8*4 .
VARIABLE LABELS IAnnC 'Annual cash transfers in' .
EXECUTE .


IF (sq11bb6=4) IAnnC = sq11bb8 .
VARIABLE LABELS IAnnC 'Annual cash transfers in' .
EXECUTE .


IF (sq11bb6=5) IAnnC = sq11bb8 .
VARIABLE LABELS IAnnC 'Annual cash transfers in' .
EXECUTE .

IF (sq11bb6=6) IAnnC = sq11bb8 .
VARIABLE LABELS IAnnC 'Annual cash transfers in' .
EXECUTE .

*Food transfers

IF (sq11bb6=1) IAnnF = sq11bb9*52 .
VARIABLE LABELS IAnnF 'Annual food transfers in' .
EXECUTE .

IF (sq11bb6=2) IAnnF = sq11bb9*12 .
VARIABLE LABELS IAnnF 'Annual food transfers in' .
EXECUTE .


IF (sq11bb6=3) IAnnF = sq11bb9*4 .
VARIABLE LABELS IAnnF 'Annual food transfers in' .
EXECUTE .


IF (sq11bb6=4) IAnnF = sq11bb9 .
VARIABLE LABELS IAnnF 'Annual food transfers in' .
EXECUTE .


IF (sq11bb6=5) IAnnF = sq11bb9 .
VARIABLE LABELS IAnnF 'Annual food transfers in' .
EXECUTE .

IF (sq11bb6=6) IAnnF = sq11bb9 .
VARIABLE LABELS IAnnF 'Annual food transfers in' .
EXECUTE .

*Other transfers

IF (sq11bb6=1) IAnnO = sq11bb10*52 .
VARIABLE LABELS IAnnO 'Annual other transfers in' .
EXECUTE .

IF (sq11bb6=2) IAnnO = sq11bb10*12 .
VARIABLE LABELS IAnnO 'Annual other transfers in' .
EXECUTE .


IF (sq11bb6=3) IAnnO = sq11bb10*4 .
VARIABLE LABELS IAnnO 'Annual other transfers in' .
EXECUTE .


IF (sq11bb6=4) IAnnO = sq11bb10 .
VARIABLE LABELS IAnnO 'Annual other  transfers in' .
EXECUTE .


IF (sq11bb6=5) IAnnO = sq11bb10 .
VARIABLE LABELS IAnnO 'Annual other  transfers in' .
EXECUTE .

IF (sq11bb6=6) IAnnO = sq11bb10 .
VARIABLE LABELS IAnnO 'Annual other transfers in' .
EXECUTE .



AGGREGATE
  /OUTFILE='C:\Sierra Leone_Household'+
 ' Survey_2003\InterFiles\Archive\Transfer_IN.sav'
  /BREAK=hhid
  /iannc_1 'Annual Transfers IN-CASH' = SUM(iannc) /iannf_1 'Annual Transfers IN'+
 '-FOOD' = SUM(iannf) /ianno_1 'Annual transfers IN-OTHER' = SUM(ianno).



GET FILE='C:\Sierra Leone_Household Survey_2003\InterFiles\Archive\Transfer_OUT.sav'.
FILTER OFF.


IF (sysmis(annc_1)) annc_1 = 0 .
EXECUTE .

IF (sysmis(annf_1)) annf_1 = 0 .
EXECUTE .


IF (sysmis(anno_1)) anno_1 = 0 .

EXECUTE .
COMPUTE TOTALO = annc_1+annf_1+anno_1 .
VARIABLE LABELS TOTALO 'Total Transfers Out' .
EXECUTE .



MATCH FILES /FILE=*
 /FILE='C:\Sierra Leone_Household'+
 ' Survey_2003\InterFiles\Archive\Transfer_IN.sav'
 /BY hhid.
EXECUTE.


IF (sysmis(annc_1)) annc_1 = 0 .
EXECUTE .

IF (sysmis(annf_1)) annf_1 = 0 .
EXECUTE .


IF (sysmis(anno_1)) anno_1 = 0 .
EXECUTE .


IF (sysmis(iannc_1)) iannc_1 = 0 .
EXECUTE .


IF (sysmis(iannf_1)) iannf_1 = 0 .
EXECUTE .


IF (sysmis(ianno_1)) ianno_1 = 0 .
EXECUTE .


IF (sysmis(totalo)) totalo = 0 .
EXECUTE .


COMPUTE TOTALI = iannc_1+iannf_1+ianno_1 .
EXECUTE .


COMPUTE net = totali-totalo .
VARIABLE LABELS net 'Net Transfers' .
EXECUTE .


SAVE OUTFILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Sector\Section11_12_Other_items.sav'
  /COMPRESSED.

MATCH FILES /FILE=*
 /FILE='C:\Sierra Leone_Household Survey_2003\Sectional\Misc_Sec11C.sav'
 /BY hhid.
EXECUTE.

MATCH FILES /FILE=*
 /FILE='C:\Sierra Leone_Household Survey_2003\Sectional\Misc_Sec11C.sav'
 /RENAME (chiefdom district ea hhnum rectype region urbrur = d0 d1 d2 d3 d4
  d5 d6)
 /BY hhid
 /DROP= d0 d1 d2 d3 d4 d5 d6.
EXECUTE.



IF (sysmis(annc_1)) annc_1 = 0 .
EXECUTE .

IF (sysmis(annf_1)) annf_1 = 0 .
EXECUTE .


IF (sysmis(anno_1)) anno_1 = 0 .
EXECUTE .


IF (sysmis(iannc_1)) iannc_1 = 0 .
EXECUTE .


IF (sysmis(iannf_1)) iannf_1 = 0 .
EXECUTE .


IF (sysmis(ianno_1)) ianno_1 = 0 .
EXECUTE .


IF (sysmis(totalo)) totalo = 0 .
EXECUTE .


COMPUTE TOTALI = iannc_1+iannf_1+ianno_1 .
EXECUTE .


IF (sysmis(s11cq1)) s11cq1 = 0 .
EXECUTE .


IF (sysmis(s11cq2)) s11cq2 = 0 .
EXECUTE .



IF (sysmis(s11cq3)) s11cq3 = 0 .
EXECUTE .



IF (sysmis(s11cq4)) s11cq4 = 0 .
EXECUTE .



IF (sysmis(s11cq5)) s11cq5 = 0 .
EXECUTE .



IF (sysmis(s11cq6)) s11cq6 = 0 .
EXECUTE .



IF (sysmis(s11cq7)) s11cq7 = 0 .
EXECUTE .



IF (sysmis(s11cq8)) s11cq8 = 0 .
EXECUTE .



IF (sysmis(s11cq9)) s11cq9 = 0 .
EXECUTE .



IF (sysmis(s11cq10)) s11cq10 = 0 .
EXECUTE .



IF (sysmis(s11cq11)) s11cq11 = 0 .
EXECUTE .



IF (sysmis(s11cq12)) s11cq1 = 0 .
EXECUTE .



IF (sysmis(s11cq13)) s11cq13))  = 0 .
EXECUTE .



IF (sysmis(s11cq14)) s11cq14 = 0 .
EXECUTE .



IF (sysmis(s11cq15)) s11cq15 = 0 .
EXECUTE .



IF (sysmis(s11cq16)) s11cq16 = 0 .
EXECUTE .



IF (sysmis(s11cq17)) s11cq17 = 0 .
EXECUTE .



IF (sysmis(s11cq18)) s11cq18 = 0 .
EXECUTE .



IF (sysmis(s11cq19)) s11cq19 = 0 .
EXECUTE .



IF (sysmis(s11cq20)) s11cq20 = 0 .
EXECUTE .



IF (sysmis(s11cq21)) s11cq21= 0 .
EXECUTE .



IF (sysmis(s11cq22)) s11cq22 = 0 .
EXECUTE .



IF (sysmis(s11cq23)) s11cq23 = 0 .
EXECUTE .

IF (sysmis(s11cq24)) s11cq24 = 0 .
EXECUTE .



IF (sysmis(s11dq1)) s11dq1 = 0 .
EXECUTE .



IF (sysmis(s11dq2)) s11dq2 = 0 .
EXECUTE .



IF (sysmis(s11dq3)) s11dq3 = 0 .
EXECUTE .


IF (sysmis(s11dq4)) s11dq4 = 0 .
EXECUTE .


IF (sysmis(s11dq5)) s11dq5 = 0 .
EXECUTE .


SAVE OUTFILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Sector\Section11_12_Other_items.sav'
  /COMPRESSED.

GET FILE='C:\Sierra Leone_Household Survey_2003\Sectional\Credits_Sec12A.sav.'.
FILTER OFF.

AGGREGATE
  /OUTFILE='C:\Sierra Leone_Household'+
 ' Survey_2003\InterFiles\Archive\Loans.sav'
  /BREAK=hhid
  /s12aq6_1 'Total amount of credits secured in the last years' = SUM(s12aq6)
  /s12aq9_1 'Total amount of credit repaod' = SUM(s12aq9).

GET FILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Sector\Section11_12_Other_items.sav'.
 
MATCH FILES /FILE=*
 /FILE='C:\Sierra Leone_Household Survey_2003\InterFiles\Archive\Loans.sav'
 /BY hhid.
EXECUTE.

SAVE OUTFILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Sector\Section11_12_Other_items.sav'
  /COMPRESSED.

IF (sysmis(s12aq6_1)) s12aq6_1= 0 .
EXECUTE .
IF (sysmis(s12aq9_1)) s12aq9_1= 0 .
EXECUTE .


COMPUTE NLiabi = s12aq6_1-s12aq9_1 .
VARIABLE LABELS NLiabi 'Net household loan outstanding' .
EXECUTE .

GET FILE='C:\Sierra Leone_Household Survey_2003\Sectional\Credits_Sec12B.sav'.
FILTER OFF.

FILTER OFF.
USE ALL.
SELECT IF(s12bq0>=301).
EXECUTE .

FILTER OFF.
USE ALL.
SELECT IF(s12bq0<=324).
EXECUTE .

SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Sectional\Credits_Sec12B.sav'.
FILTER OFF.

AGGREGATE
  /OUTFILE='C:\Sierra Leone_Household'+
 ' Survey_2003\InterFiles\Archive\Assets.sav'
  /BREAK=hhid
  /s12bq2_1 'Average age of all assets' = MEAN(s12bq2a) /s12bq2_2 'Average'+
 ' age of all assets' = MEAN(s12bq2b) /s12bq3_1 'Purchase price of all assets'
  = SUM(s12bq3a) /s12bq3_2 'Purchase price of all assets' = SUM(s12bq3b)
 /s12bq4_1 'Current value of assets' = SUM(s12bq4a) /s12bq4_2 'Current value'+
 ' of assets' = SUM(s12bq4b).

GET FILE='C:\Sierra Leone_Household Survey_2003\InterFiles\Archive\Assets.sav'.

FILTER OFF.

IF (sysmis(s12bq3_1)) s12bq3_1= 0 .
EXECUTE .
IF (sysmis(s12bq3_2)) s12bq3_2= 0 .
EXECUTE .
IF (sysmis(s12bq4_1)) s12bq4_1= 0 .
EXECUTE .
IF (sysmis(s12bq4_2)) s12bq4_2= 0 .
EXECUTE .


COMPUTE APurch = s12bq3_1+s12bq3_2 .
VARIABLE LABELS APurch 'Asset purchsaes' .
EXECUTE .

COMPUTE AVal = s12bq4_1+s12bq4_2 .
VARIABLE LABELS APurch 'Asset purchsaes' .
EXECUTE .



SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\InterFiles\Archive\Assets.sav'.


GET FILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Sector\Section11_12_Other_items.sav'.
 
MATCH FILES /FILE=*
 /RENAME (s12bq2_1 s12bq2_2 s12bq3_1 s12bq3_2 s12bq4_1 s12bq4_2 = d0 d1 d2 d3
  d4 d5)
 /FILE='C:\Sierra Leone_Household Survey_2003\InterFiles\Archive\Assets.sav'
 /RENAME (s12bq2_1 s12bq2_2 s12bq3_1 s12bq3_2 s12bq4_1 s12bq4_2 = d6 d7 d8 d9
  d10 d11)
 /BY hhid
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11.
EXECUTE.


SAVE OUTFILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Sector\Section11_12_Other_items.sav'.

GET FILE='C:\Sierra Leone_Household Survey_2003\Sectional\Credits_Sec12C.sav'.
FILTER OFF.

AGGREGATE
  /OUTFILE='C:\Sierra Leone_Household'+
 ' Survey_2003\InterFiles\Archive\Savings.sav'
  /BREAK=hhid
  /save 'Current Value of savings' = SUM(s12cq4) /Add 'Amount added to'+
 ' savings' = SUM(s12cq5) /Withd 'Amount withdrawn from savings' = SUM(s12cq6).

GET FILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Sector\Section11_12_Other_items.sav'.


MATCH FILES /FILE=*
 /FILE='C:\Sierra Leone_Household Survey_2003\InterFiles\Archive\Savings.sav'
 /BY hhid.
EXECUTE.

MATCH FILES /FILE=*
 /FILE='C:\Sierra Leone_Household Survey_2003\AggData\HHEXP.sav'
 /RENAME (aeexp aeexpdr ctry_adq edtexp fao_adq fdtot fdtotby fdtotdr fdtotpr
  fpindex hhexp hhexpdr hhsize hhsize_1 hltexp month nfdfqtot nfdiqtot nfdtot
  nfdtotdr nfdtotpr nfpindex pcexp pcexpdr quinttr rnthh sharefd totp year =
  d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18 d19 d20
  d21 d22 d23 d24 d25 d26 d27 d28)
 /BY hhid
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18 d19
  d20 d21 d22 d23 d24 d25 d26 d27 d28.
EXECUTE.



IF (sysmis(anno_1)) anno_1 = 0 .
EXECUTE .


IF (sysmis(iannc_1)) iannc_1 = 0 .
EXECUTE .


IF (sysmis(iannf_1)) iannf_1 = 0 .
EXECUTE .


IF (sysmis(ianno_1)) ianno_1 = 0 .
EXECUTE .


IF (sysmis(totalo)) totalo = 0 .
EXECUTE .


COMPUTE TOTALI = iannc_1+iannf_1+ianno_1 .
EXECUTE .


IF (sysmis(s11cq1)) s11cq1 = 0 .
EXECUTE .


IF (sysmis(s11cq2)) s11cq2 = 0 .
EXECUTE .



IF (sysmis(s11cq3)) s11cq3 = 0 .
EXECUTE .



IF (sysmis(s11cq4)) s11cq4 = 0 .
EXECUTE .



IF (sysmis(s11cq5)) s11cq5 = 0 .
EXECUTE .



IF (sysmis(s11cq6)) s11cq6 = 0 .
EXECUTE .



IF (sysmis(s11cq7)) s11cq7 = 0 .
EXECUTE .



IF (sysmis(s11cq8)) s11cq8 = 0 .
EXECUTE .



IF (sysmis(s11cq9)) s11cq9 = 0 .
EXECUTE .



IF (sysmis(s11cq10)) s11cq10 = 0 .
EXECUTE .



IF (sysmis(s11cq11)) s11cq11 = 0 .
EXECUTE .



IF (sysmis(s11cq12)) s11cq1 = 0 .
EXECUTE .



IF (sysmis(s11cq13)) s11cq13 = 0 .
EXECUTE .



IF (sysmis(s11cq14)) s11cq14 = 0 .
EXECUTE .



IF (sysmis(s11cq15)) s11cq15 = 0 .
EXECUTE .



IF (sysmis(s11cq16)) s11cq16 = 0 .
EXECUTE .



IF (sysmis(s11cq17)) s11cq17 = 0 .
EXECUTE .



IF (sysmis(s11cq18)) s11cq18 = 0 .
EXECUTE .



IF (sysmis(s11cq19)) s11cq19 = 0 .
EXECUTE .



IF (sysmis(s11cq20)) s11cq20 = 0 .
EXECUTE .



IF (sysmis(s11cq21)) s11cq21= 0 .
EXECUTE .



IF (sysmis(s11cq22)) s11cq22 = 0 .
EXECUTE .



IF (sysmis(s11cq23)) s11cq23 = 0 .
EXECUTE .

IF (sysmis(s11cq24)) s11cq24 = 0 .
EXECUTE .



IF (sysmis(s11dq1)) s11dq1 = 0 .
EXECUTE .



IF (sysmis(s11dq2)) s11dq2 = 0 .
EXECUTE .



IF (sysmis(s11dq3)) s11dq3 = 0 .
EXECUTE .


IF (sysmis(s11dq4)) s11dq4 = 0 .
EXECUTE .


IF (sysmis(s11dq5)) s11dq5 = 0 .
EXECUTE .
IF (sysmis(apurch)) apurch= 0 .
EXECUTE .
IF (sysmis(aval)) aval= 0 .
EXECUTE .
IF (sysmis(save)) save= 0 .
EXECUTE .
IF (sysmis(add)) add= 0 .
EXECUTE .
IF (sysmis(withd)) withd= 0 .
EXECUTE .

SAVE OUTFILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Sector\Section11_12_Other_items.sav'.


*Getting the community questionnaire.

GET FILE='C:\Sierra Leone_Household Survey_2003\Sectional\Comm_Demographics.sav'.


SORT CASES BY
  caseid (A) .


SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Sectional\Comm_Demographics.sav'.

GET FILE='C:\Sierra Leone_Household Survey_2003\Sectional\Comm_Economics.sav.'.

SORT CASES BY
  caseid (A) .


SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Sectional\Comm_Economics.sav.'.

GET FILE='C:\Sierra Leone_Household Survey_2003\Sectional\Comm_Demographics.sav'.

MATCH FILES /FILE=*
 /FILE='C:\Sierra Leone_Household Survey_2003\Sectional\Comm_Economics.sav'
 /RENAME (chief comm district ea region urbrur = d0 d1 d2 d3 d4 d5)
 /BY caseid
 /DROP= d0 d1 d2 d3 d4 d5.
EXECUTE.

SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Sector\Community.sav.'.

GET FILE='C:\Sierra Leone_Household Survey_2003\Sectional\Comm_Education.sav'.

SORT CASES BY
  caseid (A) .


SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Sectional\Comm_Education.sav'.

GET FILE='C:\Sierra Leone_Household Survey_2003\Sector\Community.sav.'.

MATCH FILES /FILE=*
 /FILE='C:\Sierra Leone_Household Survey_2003\Sectional\Comm_Education.sav'
 /RENAME (chief comm district ea region urbrur = d0 d1 d2 d3 d4 d5)
 /BY caseid
 /DROP= d0 d1 d2 d3 d4 d5.
EXECUTE.

SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Sector\Community.sav.'.

GET FILE='C:\Sierra Leone_Household Survey_2003\Sectional\Comm_Health.sav.'

SORT CASES BY
  caseid (A) .


SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Sectional\Comm_Health.sav.'.

GET FILE='C:\Sierra Leone_Household Survey_2003\Sector\Community.sav.'.

MATCH FILES /FILE=*
 /FILE='C:\Sierra Leone_Household Survey_2003\Sectional\Comm_Health.sav'
 /RENAME (chief comm district ea region urbrur = d0 d1 d2 d3 d4 d5)
 /BY caseid
 /DROP= d0 d1 d2 d3 d4 d5.
EXECUTE.

SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Sector\Community.sav.'.


GET FILE='C:\Sierra Leone_Household Survey_2003\Sectional\Comm_Agriculture.sav.'

SORT CASES BY
  caseid (A) .


SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Sectional\Comm_Agriculture.sav.'

GET FILE='C:\Sierra Leone_Household Survey_2003\Sector\Community.sav.'.

MATCH FILES /FILE=*
 /FILE='C:\Sierra Leone_Household Survey_2003\Sectional\Comm_Agriculture.sav'
 /RENAME (chief comm district ea region urbrur = d0 d1 d2 d3 d4 d5)
 /BY caseid
 /DROP= d0 d1 d2 d3 d4 d5.
EXECUTE.

SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Sector\Community.sav.'.

