*FILE PREPARATION SECTION.  CAN BE SKIPPED IF THE .SAV FILE HAS ALREADY BEEN FINALIZED.
*Prepared By: Geoffrey Greenwell.
*U.S. Census Bureau.
*geoffrey.parke.greenwell@census.gov.
*tel:(301) 763-3467.

*Title: Education
*Purpose: To gather the variables from the raw data required for calculating education.
*Data: Part A : Section 2: 
*This also includes a portion which computes some Education data (used for 6 month sector reviews)

*Preparing the eudcation files 



*--------------------------------------------------------------------------------------------------------------------------.
include 'C:\Sierra Leone_Household Survey_2003\Programs\SPSS\Universe\education.sps'.

*Step 2: Aggregate household expenditure on education and save out file.

GET FILE='C:\Sierra Leone_Household Survey_2003\Sectional\Edu_Sec2A.sav'.
FILTER OFF.
USE ALL.
SELECT IF(s2aq4=1).
EXECUTE .



SORT CASES BY
  hhid (A)  .
AGGREGATE
  /OUTFILE='C:\Sierra Leone_Household Survey_2003\AggData\Exedu.sav'
  /BREAK=hhid
  /EDTUITIO 'School Fees' = SUM(s2aq6) /EDOTH1 "Contributions to teacher's"+
 " assoc." = SUM(s2aq7) /EDUNIFMS 'Uniforms' = SUM(s2aq8) /EDBOOKS 'Books' =
  SUM(s2aq9) /EDTRNSP 'Transport' = SUM(s2aq10) /EDRMBRD 'Room and Board' =
  SUM(s2aq11) /EDEXTRA 'Extra activities' = SUM(s2aq12) /EDOTH2 'Other' =
  SUM(s2aq13) /Schol 'Scholarship' = SUM(s2aq16)   /pid_1'Children in shcool' = N(pid).


*Step 3: Open up the aggregate file.

GET FILE='C:\Sierra Leone_Household Survey_2003\AggData\Exedu.sav'.

*replacing blanks with 0

IF (sysmis(edtuitio)) edtuitio = 0 .
EXECUTE .
IF (sysmis(edunifms)) edunifms = 0 .
EXECUTE .
IF (sysmis(edbooks)) edbooks = 0 .
EXECUTE .
IF (sysmis(edtrnsp)) edtrnsp = 0 .
EXECUTE .
IF (sysmis(edrmbrd)) edrmbrd = 0 .
EXECUTE .
IF (sysmis(edextra)) edextra = 0 .
EXECUTE .
IF (sysmis(edoth1)) edoth1 = 0 .
EXECUTE .
IF (sysmis(edoth2)) edoth2 = 0 .
EXECUTE .

*finish calculating the aggregates.

COMPUTE EDOTH = edoth1+edoth2 .
EXECUTE .

COMPUTE EDTEXP = edtuitio+edoth1+edunifms+edbooks+edtrnsp+edrmbrd+edextra
 +edoth2 .
EXECUTE .


SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\AggData\EXEDU.sav'.
