
*Prepared By: Geoffrey Greenwell.
*U.S. Census Bureau.
*geoffrey.parke.greenwell@census.gov.
*tel:(301) 763-3467.

*Title: To compute total household aggregate.
*Purpose: To gather the variables from the different aggregate files and form a total
*Data: See World Banl Aggregate

*Computing Index----------------------------------------------------------

GET FILE='C:\Sierra Leone_Household Survey_2003\Sectional\Date_Interview.sav'.

SORT CASES BY
  region (A) year (A) month (A) .

SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Sectional\Date_Interview.sav'.

GET FILE='C:\Sierra Leone_Household Survey_2003\Sectional\COLregion.sav'.

SORT CASES BY
  region (A) year (A) month (A) .
EXECUTE.

SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Sectional\COLregion.sav'.

GET FILE='C:\Sierra Leone_Household Survey_2003\Sectional\Date_Interview.sav'.

SORT CASES BY
 region (A) year (A) month (A) .

MATCH FILES /FILE=*
 /TABLE='C:\Sierra Leone_Household Survey_2003\Sectional\COLregion.sav'
 /BY region year month.
EXECUTE.

SORT CASES BY
  hhid (A) .

SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Sectional\Date_Interview.sav'.

*Building File------------------------------------------------

GET FILE='C:\Sierra Leone_Household Survey_2003\AggData\HHSize.sav'.

*Matching price indices and date of interview.



MATCH FILES /FILE=*
 /TABLE='C:\Sierra Leone_Household Survey_2003\Sectional\Date_Interview.sav'
 /RENAME (chiefdom day district ea hhnum rectype region urbrur = d1 d2 d3 d4
  d5 d6 d7 d8)
 /BY hhid
 /DROP= d1 d2 d3 d4 d5 d6 d7 d8.
EXECUTE.



MATCH FILES /FILE=*
 /TABLE='C:\Sierra Leone_Household Survey_2003\AggData\EXFDBUY.sav'
 /RENAME (v1 v10 v11 v2 v3 v4 v5 v6 v7 v8 v9 = d0 d1 d2 d3 d4 d5 d6 d7 d8 d9
  d10)
 /BY hhid
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10.
EXECUTE.



MATCH FILES /FILE=*
 /TABLE='C:\Sierra Leone_Household Survey_2003\AggData\EXFDPRD.sav'
 /RENAME (v1 v2 v3 v4 v5 v6 v7 v8 = d0 d1 d2 d3 d4 d5 d6 d7)
 /BY hhid
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7.
EXECUTE.

IF (sysmis(fdtotby)) fdtotby = 0 .
EXECUTE .
IF (sysmis(fdtotpr)) fdtotpr = 0 .
EXECUTE .


COMPUTE FDTOT = fdtotby+fdtotpr .
VARIABLE LABELS FDTOT 'Total annual household food expenditure in current'+
 ' local prices' .
EXECUTE .

COMPUTE FDTOTDR = fdtot/fpindex .
VARIABLE LABELS FDTOTDR 'Total annual hhd food expenditure in regionally'+
 ' deflated current prices' .
EXECUTE .


USE ALL.
SELECT IF(fdtotdr>0).
EXECUTE .


MATCH FILES /FILE=*
 /TABLE='C:\Sierra Leone_Household Survey_2003\AggData\EXNFDFQ.sav'
 /RENAME (rntactl rntif v1 v2 v3 v4 v5 v6 v7 v8 = d0 d1 d2 d3 d4 d5 d6 d7 d8
  d9)
 /BY hhid
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8 d9.
EXECUTE.


SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\AggData\HHEXP.sav'.

SORT CASES BY
  hhid (A) .

MATCH FILES /FILE=*
 /TABLE='C:\Sierra Leone_Household Survey_2003\AggData\EXNFDINFQ.sav'
 /RENAME (nfdcerem nfdinves nfdsappl nfdusevl = d1 d2 d3 d4)
 /BY hhid
 /DROP=  d1 d2 d3 d4.
EXECUTE.

MATCH FILES /FILE=*
 /TABLE='C:\Sierra Leone_Household Survey_2003\AggData\EXHLTH.sav'
 /RENAME (hlcnslt hlcon hlhospt hlmedc hlpost hlprev hltrsp paid prenat = d0
  d1 d2 d3 d4 d5 d6 d7 d8)
 /BY hhid
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8.
EXECUTE.

MATCH FILES /FILE=*
 /TABLE='C:\Sierra Leone_Household Survey_2003\AggData\EXEDU.sav'
 /RENAME (edbooks edextra edoth edoth1 edoth2 edrmbrd edtrnsp edtuitio
  edunifms pid_1 schol = d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10)
 /BY hhid
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10.
EXECUTE.

IF (sysmis(hltexp)) hltexp = 0 .
EXECUTE .
IF (sysmis(edtexp)) edtexp = 0 .
EXECUTE .

IF (sysmis(nfdfqtot)) nfdfqtot = 0 .
EXECUTE .

IF (sysmis(nfdiqtot)) nfdiqtot = 0 .
EXECUTE .

*Not adding non farm.  These need to be checked as they may be high and already included in the diary.

COMPUTE NFDTOT = edtexp+hltexp+rnthh+nfdfqtot+nfdiqtot .
EXECUTE .

COMPUTE NFDTOTDR = NFDTOT/nfpindex .
VARIABLE LABELS NFDTOTDR 'Total annual hhd non-food expenditures in regionally deflated current prices'.
EXECUTE .

COMPUTE HHEXP = FDTOT+ NFDTOT .
VARIABLE LABELS HHEXP 'Total annual household expenditure in local current prices'.
EXECUTE .

COMPUTE HHEXPDR = FDTOTDR+ NFDTOTDR .
VARIABLE LABELS HHEXPDR  'Total annual household expenditure in regionally deflated current prices'.	
EXECUTE .


COMPUTE SHAREFD = fdtotdr/hhexpdr .
VARIABLE LABELS SHAREFD 'Share of food expenditure ' .
EXECUTE .

SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\AggData\HHEXP.sav'.

*NOTE: USED ADULT EQUIVALENT TO COMPUTE HH PER CAPITA

COMPUTE PCEXP = hhexp/hhsize .
VARIABLE LABELS PCEXP 'Per capita expenditure in current local prices ' .
EXECUTE .

COMPUTE PCEXPDR = hhexpdr/hhsize .
VARIABLE LABELS PCEXPDR 'Per capita expenditure in regionally deflated current prices ' .
EXECUTE .


COMPUTE AEEXP = hhexp/ctry_adq .
VARIABLE LABELS AEEXP 'Adult Equivalent expenditure in current local prices ' .
EXECUTE .

COMPUTE AEEXPDR = hhexpdr/ctry_adq .
VARIABLE LABELS PCEXP 'Adult Equivalent expenditure in current local prices ' .
EXECUTE .


SORT CASES BY
  aeexpdr (A) .

*Household quintiles by per capita income.


CREATE
  /hhsize_1=CSUM(hhsize).

*Calculating Population quintiles by percapita.

IF (hhsize_1<=4583) QuintTR = 1 .
EXECUTE .

IF (hhsize_1>4583 and hhsize_1<=4583*2) QuintTR = 2.
EXECUTE .

IF (hhsize_1>4583*2 and hhsize_1<=4583*3) QuintTR = 3.
EXECUTE .

IF (hhsize_1>4583*3 and hhsize_1<=4583*4) QuintTR = 4.
EXECUTE .

IF (hhsize_1>4583*4) QuintTR = 5.
EXECUTE .


COMPUTE aecondr = fdtotdr/ctry_adq .
EXECUTE .

COMPUTE aenfd = nfdtotdr/ctry_adq .
EXECUTE .



SORT CASES BY
  hhid (A) .

*Tagging those who households that are poor.  This is not the poverty line until it is weighted by the cumulative people found in poverty.

IF (aeexpdr<=770680) TotP = 1 .
EXECUTE .

IF (aeexpdr>770680) TotP = 2 .
EXECUTE .


SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\AggData\HHEXP.sav'.

MATCH FILES /FILE=*
 /TABLE='C:\Sierra Leone_Household Survey_2003\Sectional\House_Sec7.sav'
 /RENAME (chiefdom ea hhnum rectype s7aq1 s7aq2 s7aq3 s7aq4m s7aq4y s7aq5
  s7aq6 s7bq10 s7bq11 s7bq12 s7bq12a s7bq12b s7bq7 s7bq8 s7bq9 s7cq13 s7cq14t
  s7cq14v s7cq15 s7cq16 s7cq17 s7cq18 s7cq19t s7cq19v s7cq20 s7dq21 s7dq22c
  s7dq22d s7dq23 s7dq24a s7dq24t s7dq25 s7dq26 s7dq27 s7dq28 s7dq29 s7dq29t
  s7dq30 s7dq31 s7dq32 s7dq32t s7dq33 s7eq34 s7eq35 s7eq36 s7eq37 s7fq38
  s7fq39a s7fq39b s7fq39c s7fq40 s7fq41a s7fq41b s7fq41c s7fq42 s7fq43 s7fq44
  s7fq45 s7fq46 s7fq47 s7fq48 s7fq49 s7fq50 s7fq51 s7fq52 = d0 d1 d2 d3 d4 d5
  d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18 d19 d20 d21 d22 d23 d24 d25
  d26 d27 d28 d29 d30 d31 d32 d33 d34 d35 d36 d37 d38 d39 d40 d41 d42 d43 d44
  d45 d46 d47 d48 d49 d50 d51 d52 d53 d54 d55 d56 d57 d58 d59 d60 d61 d62 d63
  d64 d65 d66 d67 d68)
 /BY hhid
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18 d19
  d20 d21 d22 d23 d24 d25 d26 d27 d28 d29 d30 d31
d32 d33 d34 d35 d36 d37 d38 d39 d40 d41 d42 d43 d44 d45 d46 d47 d48 d49 d50
  d51 d52 d53 d54 d55 d56 d57 d58 d59 d60 d61 d62 d63 d64 d65 d66 d67 d68.
EXECUTE.

SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\AggData\HHEXP.sav'.

WEIGHT
  BY hhsize .
FREQUENCIES
  VARIABLES=totp
  /ORDER=  ANALYSIS .
