*FILE PREPARATION SECTION.  CAN BE SKIPPED IF THE .SAV FILE HAS ALREADY BEEN FINALIZED.
*Prepared By: Geoffrey Greenwell.
*U.S. Census Bureau.
*geoffrey.parke.greenwell@census.gov.
*tel:(301) 763-3467.

*Title: Part_A_Section.SPS.
*Purpose: To split the raw data files into their respective SPSS files which can be used for section reviews and for computing aggregates.
*Data: Part A 
*Procedure: This section is designed to take the raw ASCII data file and make SPSS sectional files.  

*open the SPSS file that contains the data for primary variables to compute the household composition.
*see SPSS syntax Part_A.sps for details on the creation of this file.
*Will process all the sections for education and store them in the sectional folder.


*-----------------------------------------------------------------------------------------------------------------------------------
*SECTION SUMMARY: DATE OF VISIT
*-----------------------------------------------------------------------------------------------------------------------------------


GET
  FILE='C:\Sierra Leone_Household Survey_2003\Raw_Data\Part_A.sav'.
EXECUTE.

*select only those rows that have a 'rectype' = 02.  This is equivalent to the CSPro TYPEVALUE ID in the data dictionary.

select if (rectype = '02').
execute.

*write the data back out to an ASCII text file with a .tmp extension in the temp directory.

WRITE OUTFILE='C:\Sierra Leone_Household Survey_2003\Raw_Data\Temp\Date_Interview.tmp'
  TABLE /ALL.
EXECUTE.




*-----------------------------------------------------------------------------------------------------------------------------------
*SECTION 1: HOUSEHOLD ROSTER...HOUSEHOLD ROSTER...HOUSEHOLD ROSTER
*-----------------------------------------------------------------------------------------------------------------------------------


GET
  FILE='C:\Sierra Leone_Household Survey_2003\Raw_Data\Part_A.sav'.
EXECUTE.

*select only those rows that have a 'rectype' = 04.  This is equivalent to the CSPro TYPEVALUE ID in the data dictionary.

select if (rectype = '04').
execute.

*write the data back out to an ASCII text file with a .tmp extension in the temp directory.

WRITE OUTFILE='C:\Sierra Leone_Household Survey_2003\Raw_Data\Temp\HHRoster_Sec1.tmp'
  TABLE /ALL.
EXECUTE.


*-----------------------------------------------------------------------------------------------------------------------------------
*SECTION 2: EDUCATION.....EDUCATION.....EDUCATION.....EDUCATION.....EDUCATION
*-----------------------------------------------------------------------------------------------------------------------------------


GET
  FILE='C:\Sierra Leone_Household Survey_2003\Raw_Data\Part_A.sav'.
EXECUTE.

*select only those rows that have a 'rectype' = 05.  This is equivalent to the CSPro TYPEVALUE ID in the data dictionary.

select if (rectype = '05').
execute.

*write the data back out to an ASCII text file with a .tmp extension in the temp directory.

WRITE OUTFILE='C:\Sierra Leone_Household Survey_2003\Raw_Data\Temp\Edu_Sec2A.tmp'
  TABLE /ALL.
EXECUTE.

GET
  FILE='C:\Sierra Leone_Household Survey_2003\Raw_Data\Part_A.sav'.
EXECUTE.

*select only those rows that have a 'rectype' = 06.  This is equivalent to the CSPro TYPEVALUE ID in the data dictionary.

select if (rectype = '06').
execute.

*write the data back out to an ASCII text file with a .tmp extension in the temp directory.

WRITE OUTFILE='C:\Sierra Leone_Household Survey_2003\Raw_Data\Temp\Edu_Sec2B.tmp'
  TABLE /ALL.
EXECUTE.

GET
  FILE='C:\Sierra Leone_Household Survey_2003\Raw_Data\Part_A.sav'.
EXECUTE.

*select only those rows that have a 'rectype' = 07.  This is equivalent to the CSPro TYPEVALUE ID in the data dictionary.

select if (rectype = '07').
execute.

*write the data back out to an ASCII text file with a .tmp extension in the temp directory.

WRITE OUTFILE='C:\Sierra Leone_Household Survey_2003\Raw_Data\Temp\Edu_Sec2C.tmp'
  TABLE /ALL.
EXECUTE.


*-----------------------------------------------------------------------------------------------------------------------------------
*SECTION 3: HEALTH.....HEALTH.....HEALTH.....HEALTH.....HEALTH
*-----------------------------------------------------------------------------------------------------------------------------------



GET
  FILE='C:\Sierra Leone_Household Survey_2003\Raw_Data\Part_A.sav'.
EXECUTE.

*select only those rows that have a 'rectype' = 08.  This is equivalent to the CSPro TYPEVALUE ID in the data dictionary...HEALTH EXP

select if (rectype = '08').
execute.

*write the data back out to an ASCII text file with a .tmp extension in the temp directory.

WRITE OUTFILE='C:\Sierra Leone_Household Survey_2003\Raw_Data\Temp\Hlth_Sec3A.tmp'
  TABLE /ALL.
EXECUTE.

GET
  FILE='C:\Sierra Leone_Household Survey_2003\Raw_Data\Part_A.sav'.
EXECUTE.
*select only those rows that have a 'rectype' = 09.  This is equivalent to the CSPro TYPEVALUE ID in the data dictionary...PREV HEALTH

select if (rectype = '09').
execute.

*write the data back out to an ASCII text file with a .tmp extension in the temp directory.

WRITE OUTFILE='C:\Sierra Leone_Household Survey_2003\Raw_Data\Temp\Hlth_Sec3B.tmp'
  TABLE /ALL.
EXECUTE.

GET
  FILE='C:\Sierra Leone_Household Survey_2003\Raw_Data\Part_A.sav'.
EXECUTE.

*select only those rows that have a 'rectype' = 10.  This is equivalent to the CSPro TYPEVALUE ID in the data dictionary...POSTNATAL


select if (rectype = '10').
execute.

*write the data back out to an ASCII text file with a .tmp extension in the temp directory.

WRITE OUTFILE='C:\Sierra Leone_Household Survey_2003\Raw_Data\Temp\Hlth_Sec3C.tmp'
  TABLE /ALL.
EXECUTE.

GET
  FILE='C:\Sierra Leone_Household Survey_2003\Raw_Data\Part_A.sav'.
EXECUTE.

*select only those rows that have a 'rectype' = 11.  This is equivalent to the CSPro TYPEVALUE ID in the data dictionary...PRE NATAL


select if (rectype = '11').
execute.

*write the data back out to an ASCII text file with a .tmp extension in the temp directory.

WRITE OUTFILE='C:\Sierra Leone_Household Survey_2003\Raw_Data\Temp\Hlth_Sec3D.tmp'
  TABLE /ALL.
EXECUTE.
*-----------------------------------------------------------------------------------------------------------------------------------
*SECTION 4: OCCUPATION...OCCUPATION...OCCUPATION...OCCUPATION...OCCUPATION
*-----------------------------------------------------------------------------------------------------------------------------------

GET
  FILE='C:\Sierra Leone_Household Survey_2003\Raw_Data\Part_A.sav'.
EXECUTE.

*select only those rows that have a 'rectype' = 012.  This is equivalent to the CSPro TYPEVALUE ID in the data dictionary...Occupation

select if (rectype = '12').
execute.

*write the data back out to an ASCII text file with a .tmp extension in the temp directory.

WRITE OUTFILE='C:\Sierra Leone_Household Survey_2003\Raw_Data\Temp\Occ_Sec4A.tmp'
  TABLE /ALL.
EXECUTE.

GET
  FILE='C:\Sierra Leone_Household Survey_2003\Raw_Data\Part_A.sav'.
EXECUTE.
*select only those rows that have a 'rectype' = 13.  This is equivalent to the CSPro TYPEVALUE ID in the data dictionary...Main Occ

select if (rectype = '13').
execute.

*write the data back out to an ASCII text file with a .tmp extension in the temp directory.

WRITE OUTFILE='C:\Sierra Leone_Household Survey_2003\Raw_Data\Temp\Occ_Sec4B.tmp'
  TABLE /ALL.
EXECUTE.

GET
  FILE='C:\Sierra Leone_Household Survey_2003\Raw_Data\Part_A.sav'.
EXECUTE.

*select only those rows that have a 'rectype' = 14.  This is equivalent to the CSPro TYPEVALUE ID in the data dictionary...


select if (rectype = '14').
execute.

*write the data back out to an ASCII text file with a .tmp extension in the temp directory.

WRITE OUTFILE='C:\Sierra Leone_Household Survey_2003\Raw_Data\Temp\Occ_Sec4C.tmp'
  TABLE /ALL.
EXECUTE.

GET
  FILE='C:\Sierra Leone_Household Survey_2003\Raw_Data\Part_A.sav'.
EXECUTE.

*select only those rows that have a 'rectype' = 15.  This is equivalent to the CSPro TYPEVALUE ID in the data dictionary...


select if (rectype = '15').
execute.

*write the data back out to an ASCII text file with a .tmp extension in the temp directory.

WRITE OUTFILE='C:\Sierra Leone_Household Survey_2003\Raw_Data\Temp\Occ_Sec4F.tmp'
  TABLE /ALL.
EXECUTE.


GET
  FILE='C:\Sierra Leone_Household Survey_2003\Raw_Data\Part_A.sav'.
EXECUTE.

*select only those rows that have a 'rectype' = 16.  This is equivalent to the CSPro TYPEVALUE ID in the data dictionary...


select if (rectype = '16').
execute.

*write the data back out to an ASCII text file with a .tmp extension in the temp directory.

WRITE OUTFILE='C:\Sierra Leone_Household Survey_2003\Raw_Data\Temp\Occ_Sec4G.tmp'
  TABLE /ALL.
EXECUTE.

GET
  FILE='C:\Sierra Leone_Household Survey_2003\Raw_Data\Part_A.sav'.
EXECUTE.

*select only those rows that have a 'rectype' = 17.  This is equivalent to the CSPro TYPEVALUE ID in the data dictionary...


select if (rectype = '17').
execute.

*write the data back out to an ASCII text file with a .tmp extension in the temp directory.

WRITE OUTFILE='C:\Sierra Leone_Household Survey_2003\Raw_Data\Temp\Occ_Sec4H.tmp'
  TABLE /ALL.
EXECUTE.

GET
  FILE='C:\Sierra Leone_Household Survey_2003\Raw_Data\Part_A.sav'.
EXECUTE.

*select only those rows that have a 'rectype' = 18.  This is equivalent to the CSPro TYPEVALUE ID in the data dictionary...PRE NATAL


select if (rectype = '18').
execute.

*write the data back out to an ASCII text file with a .tmp extension in the temp directory.

WRITE OUTFILE='C:\Sierra Leone_Household Survey_2003\Raw_Data\Temp\Occ_Sec4J.tmp'
  TABLE /ALL.
EXECUTE.


*-----------------------------------------------------------------------------------------------------------------------------------
*SECTION 5: MIGRATION...MIGRATION...MIGRATION
*-----------------------------------------------------------------------------------------------------------------------------------

GET
  FILE='C:\Sierra Leone_Household Survey_2003\Raw_Data\Part_A.sav'.
EXECUTE.

*select only those rows that have a 'rectype' = 19.  This is equivalent to the CSPro TYPEVALUE ID in the data dictionary.

select if (rectype = '19').
execute.

*write the data back out to an ASCII text file with a .tmp extension in the temp directory.

WRITE OUTFILE='C:\Sierra Leone_Household Survey_2003\Raw_Data\Temp\Migration_Sec5.tmp'
  TABLE /ALL.
EXECUTE.




*-----------------------------------------------------------------------------------------------------------------------------------
*SECTION 7: HOUSE.....HOUSE.....HOUSE.....HOUSE.....HOUSE
*-----------------------------------------------------------------------------------------------------------------------------------

GET
  FILE='C:\Sierra Leone_Household Survey_2003\Raw_Data\Part_A.sav'.
EXECUTE.

*select only those rows that have a 'rectype' = 21.  This is equivalent to the CSPro TYPEVALUE ID in the data dictionary.

select if (rectype = '21').
execute.

*write the data back out to an ASCII text file with a .tmp extension in the temp directory.

WRITE OUTFILE='C:\Sierra Leone_Household Survey_2003\Raw_Data\Temp\House_Sec7.tmp'
  TABLE /ALL.
EXECUTE.


*-----------------------------------------------------------------------------------------------------------------------------------
*SECTION 7B: ANTHROPOMETRICS....ANTHROPOMETRICS
*-----------------------------------------------------------------------------------------------------------------------------------

GET
  FILE='C:\Sierra Leone_Household Survey_2003\Raw_Data\Part_A.sav'.
EXECUTE.

*select only those rows that have a 'rectype' = 22.  This is equivalent to the CSPro TYPEVALUE ID in the data dictionary.

select if (rectype = '22').
execute.

*write the data back out to an ASCII text file with a .tmp extension in the temp directory.

WRITE OUTFILE='C:\Sierra Leone_Household Survey_2003\Raw_Data\Temp\Anthro_Sec7B.tmp'
  TABLE /ALL.
EXECUTE.




*---------------------------------------------------------------------------------------------------------------------------------------
*PART II) IDENTIFYING FIELDS AND LABELING
*---------------------------------------------------------------------------------------------------------------------------------------

*-------------------------------
*Summary Section
*------------------------------

*Isolating date of interview for COL adjustment.


SET
   BLANKS=SYSMIS
  UNDEFINED=WARN.

DATA LIST
  FILE='C:\Sierra Leone_Household Survey_2003\Raw_Data\Temp\Date_Interview.tmp' FIXED RECORDS=1 TABLE /1 rectype 1-2 
  region 3-3 district 3-4 chiefdom 5-6 ea 7-8 urbrur 9-9 hhnum 10-12 hhid 3-12 day 16-17 month 18-19 year 20-21.
EXECUTE.

*sort cases by the key variables.


SORT CASES BY
  hhid (A).

*add variable labels - these are in English so that it will be easier for me to clean.

var lab
	rectype 		'Record type'
	/region   	'Region'
	/district	 	'District'
	/chiefdom	'Chiefdom'
	/ea		'Enumerator Area'
	/urbrur		'Urban/Rural'
	/hhnum		'Household number'
	/HHID		'Household ID (Key)'
	/day		'Day of visit'
	/month		'Month of visit'
	/year		'Year of visit'

*add value labels.

val labels 
  /
  /rectype
	02 'Date of Visit'
/region
	0 'Southern'
	1 'Eastern'
	2 'Northen'
	3 'Western'
/district
	01 'Bo'
	02 'Bonthe'
	03 'Moyamba'
	04 'Pujehun'
	11 'Kailahun'
	12 'Kenema'
	13 'Kono'
	21 'Bombali'
	22 'Kambia'
	23 'Koinadugu'
	24 'Porto Loko'
	25 'Tonkolili'
	31 'Freetown'
	32 'Western Other'
EXECUTE.

FREQUENCIES
  VARIABLES=rectype to YEAR
  /ORDER=  ANALYSIS .

SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Sectional\Date_Interview.sav'.


*---------------------------------------------------------
*SECTION 1: HOUSEHOLD ROSTER:

*read the .dat file back into SPSS, but now specify variable names and
  columns that are associated with that variable name for this specific 
  record type.  The variable names are the same as what is in the data 
  dictionary except for the 'key variables' -  those names were too long
  for SPSS to accept, so they had to be shortened.


SET
   BLANKS=SYSMIS
  UNDEFINED=WARN.

DATA LIST
  FILE='C:\Sierra Leone_Household Survey_2003\Raw_Data\Temp\HHRoster_Sec1.tmp' FIXED RECORDS=1 TABLE /1 rectype 1-2 
  region 3-3 district 3-4 chiefdom 5-6 ea 7-8 urbrur 9-9 hhnum 10-12 HHID 3-12 PID 14-15 S1Q2 16-16 S1Q3 17-18 S1Q4B 19-19 S1Q4D 20-21 S1Q4M 22-23 S1Q4Y 24-25 
  S1Q5Y 26-27 S1Q5M 28-29 S1Q6 30-30 S1Q7 31-31S1Q8 32-33 S1Q9 34-35 S1Q10 36-36 S1Q11 37-37 S1Q12 38-39 S1Q13 40-40 
  S1Q14 41-42 S1Q15 43-44 S1Q16 45-45 S1Q17 46-46 S1Q18 47-48 S1Q19 49-50 S1Q20 51-51 S1Q21 52-53 S1Q22 54-54 S1Q23 55-55.

EXECUTE.

*sort cases by the key variables.

SORT CASES BY
  hhid (A) pid (A) .


*add variable labels - these are in English so that it will be easier for me to clean.

var lab
	rectype 		'Record type'
	/region   	'Region'
	/district	 	'District'
	/chiefdom	'Chiefdom'
	/ea		'Enumerator Area'
	/urbrur		'Urban/Rural'
	/hhnum		'Household number'
	/HHID		'Household ID (Key)'
	/PID		'Member ID'
	/S1Q2		'Sex'
	/S1Q3		'Relationship'
	/S1Q4B 	'Is there a birth certificate?'
	/S1Q4D		'Date of birth (Certified)'
	/S1Q4M 	'Month of birth (Certified)'
	/S1Q4Y 	'Year of birth (Certified)'
	/S1Q5Y		'Age: Years'
	/S1Q5M	'Age: Months'
	/S1Q6		'Marital Status'
	/S1Q7		'Spouse in HH?'
	/S1Q8		'ID of spouse'
	/S1Q9		'Religion'
	/S1Q10		'Country of Birth'
	/S1Q11		'Nationalty'
	/S1Q12		'Ethncty'
	/S1Q13		'Father in HH'
	/S1Q14		'ID of father'
	/S1Q15		'Father's highest education level'
	/S1Q16		'Father's occupation'
	/S1Q17		'Mother in HH?'
	/S1Q18		'ID of mother'
	/S1Q19		'Mother's highes education level'
	/S1Q20		'Mother's occupation'
	/S1Q21		'Months in HH'
	/S1Q22		'Absent from HH'
	/S1Q23		'HH Member'

*add value labels.

val labels 
  /
  /rectype
	04 'HH Roster'
/region
	0 'Southern'
	1 'Eastern'
	2 'Northen'
	3 'Western'
/district
	01 'Bo'
	02 'Bonthe'
	03 'Moyamba'
	04 'Pujehun'
	11 'Kailahun'
	12 'Kenema'
	13 'Kono'
	21 'Bombali'
	22 'Kambia'
	23 'Koinadugu'
	24 'Porto Loko'
	25 'Tonkolili'
	31 'Freetown'
	32 'Western Other'
/S1Q2
	1 'Male'
	2 'Female'
/S1Q3
	1 'Head'
	2 'Spouse'
	3 'Own Child'
	4 'Step Child'
	5 'Grand Child'
	6 'Bro/Sis Head/Spo'
	7 'Niece/ Nephew'
	8 'Bro/Sis in Law'
	9 'Parent'
	10 'Parent_in_Law'
	11 'Other Relative'
	12 'Maid/Nanny/Servt'
	13 'Non_Relative'
/S1Q4D	
	99 'No certificate available'	
/S1Q4M
	99 'No certificate available' 	
/S1Q4Y
	-1 'No certificate available' 	
/S1Q6
	1 'Married Monogamo'
	2 'Married Polygamo'
	3 'Informal/Loose U'
	4 'Divorced/Separat'
	5 'Widowed'
	6 'Never Married'
	7 'Married polygamous with wives in separate households'
/S1Q4 S1Q7 S1Q13 S1Q17 S1Q22
	1 'Yes'
	2 'No'
/S1Q4D
  	99 'No card'
/S1Q4M
     	1 'January'
     	2 'February'
     	3 'March'
     	4 'Aprl'
     	5 'May'
     	6 'June'
     	7 'July'
     	8 'August'
     	9 'September'
    	10 'October'
    	11 'November'
    	12 'December'
    	99 'No card'
/S1Q9
     	1 'Anglican'
     	2 'Catholic'
     	3 'Presbyterian'
     	4 'Methodist'
     	5 'Pentecostal'
     	6 'Spritualist'
     	7 'Other Christian'
     	8 'Muslim'
     	9 'No Religion'
    	96 'Other'
/S1Q10
     	0 'Southern'
     	1 'Eastern'
     	2 'Northern'
     	3 'Western'
     	4 'Foreign Country'
/S1Q11
     	1 'Sierra Leonean'
     	2 'Ghanaian'
     	3 'Liberian'
     	4 'Nigerian'
     	5 'Ivorian'
     	6 'Gambian'
     	7 'Other African'
     	8 'Other'
/S1Q12
     	1 'Krio'
     	2 'Mende'
     	3 'Temne'
     	4 'Limba'
     	5 'Loko'
     	6 'Kissi'
     	7 'Sherbro'
     	8 'Vie'
     	9 'Mandigo'
    	96 'Other'
/S1Q15 S1Q19
     	0 'None'
     	1 'Primary, Completed'
     	2 'Primary, Not completed'
     	3 'Middle/JSS, Not completed'
     	4 'Middle/JSS, Completed'
     	5 'Training college'
     	6 'O Level'
     	7 'A Level'
     	8 'Vocational training'
     	9 'Tertiary'
    	10 'Koranic'
    	11 'Don't Know'
/S1Q16 S1Q20
     	1 'Farming'
     	2 'Trading'
     	3 'Clerical'
     	4 'Construction'
     	5 'Professional/Managerial'
     	6 'Other'
     	7 'Don't Know'
/S1Q23
     	1 'HH Member'
     	2 'Not HH Member'


	  
EXECUTE.

*frequecies of all variables to look for possible mistakes in column
 specification or misalignment of data in the original .txt file.

FREQUENCIES
  VARIABLES=rectype to S1Q23
  /ORDER=  ANALYSIS .



SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Sectional\HHRoster_Sec1.sav'.
   
*SECTION 2:EDUCATION

*---------------------SECTION 2A---------------------------.

SET
   BLANKS=SYSMIS
  UNDEFINED=WARN.

DATA LIST
  FILE='C:\Sierra Leone_Household Survey_2003\Raw_Data\Temp\Edu_Sec2A.tmp' FIXED RECORDS=1 TABLE /1 rectype 1-2 
  region 3-3 district 3-4 chiefdom 5-6 ea 7-8 urbrur 9-9 hhnum 10-12 HHID 3-12 PID 14-15 S2AQ0 16-17 S2AQ1 18-18 S2AQ2 19-20 
  S2AQ3 21-22 S2AQ4 23-23 S2AQ5H 24-25 S2AQ5M 26-27 S2AQ6 28-35  S2AQ7 36-43 S2AQ8 44-51 S2AQ9 52-59 S2AQ10 60-67
  S2AQ11 68-75 S2AQ12 76-83 S2AQ13 84-91 S2AQ14 92-92 S2AQ15 93-93 S2AQ16 94-101 S2AQ17 102-102 S2AQ18 103-104 S2AQ19 105-105.
EXECUTE.

*sort cases by the key variables.

SORT CASES BY
  hhid (A) pid (A) .


*add variable labels - these are in English so that it will be easier for me to clean.

var lab
	rectype 		'Record type'
	/region   	'Region'
	/district	 	'District'
	/chiefdom	'Chiefdom'
	/ea		'Enumerator Area'
	/urbrur		'Urban/Rural'
	/hhnum		'Household number'
	/HHID		'Household ID (Key)'
	/PID		'ID of person'
	/S2AQ0		'ID of person interviewed'
	/S2AQ1		'Ever attended school'
	/S2AQ2		'Highest class completed'
	/S2AQ3		'Highest education level attained'
	/S2AQ4		'Attend in the last 12 months?'
	/S2AQ5H	'Time going to school in hours'
	/S2AQ5M	'Time going to school in minutes'
	/S2AQ6		'Registration Fees'
	/S2AQ7		'CTA Fees'
	/S2AQ8		'Uniforms'
	/S2AQ9		'Books'
	/S2AQ10	'Transport'
	/S2AQ11	'Food'
	/S2AQ12	'Extra curricular'
	/S2AQ13	'Other'
	/S2AQ14	'Who paid expenses?'
	/S2AQ15	'Have Scholarship'
	/S2AQ16	'Amount of Scholarship'
	/S2AQ17	'Now left school'
	/S2AQ18	'Current grade'
	/S2AQ19	'Who owns?'

*add value labels.

val labels 
  /
  /rectype
	05 'ED Roster'
/region
	0 'Southern'
	1 'Eastern'
	2 'Northen'
	3 'Western'
/district
	01 'Bo'
	02 'Bonthe'
	03 'Moyamba'
	04 'Pujehun'
	11 'Kailahun'
	12 'Kenema'
	13 'Kono'
	21 'Bombali'
	22 'Kambia'
	23 'Koinadugu'
	24 'Porto Loko'
	25 'Tonkolili'
	31 'Freetown'
	32 'Western Other'
/s2aq1 s2aq4 s2aq15 s2aq17 
	01 'Yes'
	02 'No' 
/s2aq2
	1'None'
	2'Kindergarten'
	3'Primary 1'
	4'Primary 2'
	5'Primary 3'
	6'Primary 4'
	7'Primary 5'
	8'Primary 6'
	9'JSS 1-3'
	10'SSS 1-3'
	11'Vocational/Comm'
	12'Tech/Training'
	13'Technical'
	14'Nursing'
	15'Polytechnic'
	16'University'
	17'Koranic'
	96'Other'
/s2aq3
	1'None'
	2'BECE'
	3'Vocational/Comm'
	4'O Level'
	5'SSS'
	6'A Level'
	7'TC'
	8'HTC'
	9'Nursing'
	10'Tech/Prof. Cert.'
	11'Tech/Prof/Dipl.'
	12'Bachleors'
	13'Masters'
	14'Doctorate'
	96'Other'
/s2aq14
	1'Father'
	2'Mother'
	3'Both parents'
	4'Self'
	5'Other'
/s2aq18
	1'Primary 1'
	2'Primary 2'
	3'Primary 3'
	4'Primary 4'
	5'Primary 5'
	6'Primary 6'
	7'JSS 1'
	8'JSS 2'
	9'JSS 3'
	10'SSS 1'
	11'SSS 2'
	12'SSS 3'
            13 'Other'
/s2aq19
	1'Government'	
	2'Local Government'
	3'Mission/Religious Body'
	4'NGO'
	5'Private'
	6'Other'
EXECUTE.

*frequecies of all variables to look for possible mistakes in column
 specification or misalignment of data in the original .txt file.

FREQUENCIES
  VARIABLES=rectype to S2AQ19
  /ORDER=  ANALYSIS .


SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Sectional\Edu_Sec2A.sav'.
   
*---------------------SECTION 2B--------------------------.

SET
   BLANKS=SYSMIS
  UNDEFINED=WARN.

DATA LIST
  FILE='C:\Sierra Leone_Household Survey_2003\Raw_Data\Temp\Edu_Sec2B.tmp' FIXED RECORDS=1 TABLE /1 rectype 1-2 
  region 3-3 district 3-4 chiefdom 5-6 ea 7-8 urbrur 9-9 hhnum 10-12 HHID 3-12 PID 14-15 S2BQ20 16-16 S2BQ21 17-17 S2BQ22Y 18-18 
  S2BQ22M 19-20 S2BQ23 21-21 S2BQ24 22-22 S2BQ25 23-23 S2BQ26 24-24 S2BQ27 25-25 S2BQ28 26-26 S2BQ29 27-27 S2BQ30 28-28 S2BQ31 29-29.
EXECUTE.

*sort cases by the key variables.


SORT CASES BY
  hhid (A) pid (A) .


*add variable labels - these are in English so that it will be easier for me to clean.

var lab
	rectype 		'Record type'
	/region   	'Region'
	/district	 	'District'
	/chiefdom	'Chiefdom'
	/ea		'Enumerator Area'
	/urbrur		'Urban/Rural'
	/hhnum		'Household number'
	/HHID		'Household ID (Key)'
	/PID		'ID of person'
	/S2BQ20	'Highest class completed'
	/S2BQ21	'Term interrupted during primary studies?' 
	/S2BQ22Y	'Years of interruption'  
	/S2BQ22M	'Months of interruption'
	/S2BQ23	'Reason for interruption'
	/S2BQ24	'Did you repeat any primary school?'
	/S2BQ25	'How many times ever repeat primary?' 
	/S2BQ26	'Who owns the prmary school?'
	/S2BQ27	'Have ever attended secondary school?'
	/S2BQ28	'Highest form completed'
	/S2BQ29	'Did you repeat any secondary school?'
	/S2BQ30	'How many times ever repeat secondary?' 
	/S2BQ31	'Who owns the secondary school?'

*add value labels.

val labels 
  /
  /rectype
	06 'ED Roster'
/region
	0 'Southern'
	1 'Eastern'
	2 'Northen'
	3 'Western'
/district
	01 'Bo'
	02 'Bonthe'
	03 'Moyamba'
	04 'Pujehun'
	11 'Kailahun'
	12 'Kenema'
	13 'Kono'
	21 'Bombali'
	22 'Kambia'
	23 'Koinadugu'
	24 'Porto Loko'
	25 'Tonkolili'
	31 'Freetown'
	32 'Western Other'
/S2BQ20
	1 'None'
	2 'Class 1'
	3 'Class 2'
	4 'Class 3'
	5 'Class 4'
	6 'Class 5'
	7 'Class 6'
/S2BQ21 S2BQ24 S2BQ27 S2BQ29
	01 'Yes'
	02 'No'		
/S2BQ23
	1 'Financial'
	2 'Health'
	3 'Dismissal'
	4 'Other'
/S2BQ26 S2BQ31
	1 'Government'
	2 'Local Government'
	3 'Mission/Religious Body'
	4 'NGO'
	5 'Private'
	6 'Other'
/S2BQ28
	1 'None'
	2 'JSS 1'
	3 'JSS 2'
	4 'JSS 3'
	5 'SSS 1'
	6 'SSS 2'
	7 'SSS 3'.		


*frequecies of all variables to look for possible mistakes in column
 specification or misalignment of data in the original .txt file.

FREQUENCIES
  VARIABLES=rectype to S2BQ31
  /ORDER=  ANALYSIS .


SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Sectional\Edu_Sec2B.sav'.


*---------------------SECTION 2C---------------------------.

SET
   BLANKS=SYSMIS
  UNDEFINED=WARN.

DATA LIST
  FILE='C:\Sierra Leone_Household Survey_2003\Raw_Data\Temp\Edu_Sec2C.tmp' FIXED RECORDS=1 TABLE /1 rectype 1-2 
  region 3-3 district 3-4 chiefdom 5-6 ea 7-8 urbrur 9-9 hhnum 10-12 HHID 3-12 PID 14-15 S2CQ32 16-16 S2CQ33 17-17 S2CQ34 18-18 S2CQ35 19-19 
  S2CQ36 20-20 S2CQ37 21-21 S2CQ38Y 22-23 S2CQ38M 24-25 S2CQ39 26-26 S2CQ40 27-27  S2CQ41Y 28-28 S2CQ41M 29-30
  S2CQ42 31-31 S2CQ43 32-32 S2CQ44 33-33 S2CQ45 34-34 S2CQ46 35-35 S2CQ47 36-37 S2CQ48 38-38 S2CQ49 39-39.
EXECUTE.

*sort cases by the key variables.


SORT CASES BY
  hhid (A) pid (A) .

*add variable labels - these are in English so that it will be easier for me to clean.

var lab
	rectype	 	'Record type'
	/region   	'Region'
	/district	 	'District'
	/chiefdom	'Chiefdom'
	/ea		'Enumerator Area'
	/urbrur		'Urban/Rural'
	/hhnum		'Household number'
	/HHID		'Household ID (Key)'
	/PID		'ID of person'
	/S2CQ32	'Read in English?' 
	/S2CQ33 	'What Sierra Leonean language can you read?'
	/S2CQ34 	'Can you write in English?'
	/S2CQ35 	'What Sierra Leonean language can you write?'
  	/S2CQ36 	'Can you do written calculations?'
	/S2CQ37 	'Attended a literacy course?'
	/S2CQ38Y 	'How long (years) attending course?'
	/S2CQ38M 	'How long (months) attending course?'
	/S2CQ39 	'Why haven't you attended a literacy course?'
	/S2CQ40 	'Have you been an apprentice?'
	/S2CQ41Y 	'How long (years) an apprentice?'
	/S2CQ41M 	'How long (months) an apprentice?'  
	/S2CQ42 	'What is the main trade learnt?'
	/S2CQ43 	'Who owns the trade center last attended?'
	/S2CQ44 	'Did you pay a fee for this training?'
	/S2CQ45 	'Did you receive free room and board?'
	/S2CQ46 	'Attended short training courses (no more than six months)?'
	/S2CQ47 	'Number of months attending courses in the last seven (7) years?'
	/S2CQ48	'Subject of the most recent training?'
	/S2CQ49 	'Who owns the training center you last attended?'.

*add value labels.

val labels 
  /
 /rectype
	07 'ED Roster'
/region
	0 'Southern'
	1 'Eastern'
	2 'Northen'
	3 'Western'
/district
	01 'Bo'
	02 'Bonthe'
	03 'Moyamba'
	04 'Pujehun'
	11 'Kailahun'
	12 'Kenema'
	13 'Kono'
	21 'Bombali'
	22 'Kambia'
	23 'Koinadugu'
	24 'Porto Loko'
	25 'Tonkolili'
	31 'Freetown'
	32 'Western Other'
/S2CQ32 S2CQ34 S2CQ36 S2CQ37 S2CQ45 S2CQ46 
	01 'Yes'
	02 'No'
/S2CQ33 S2CQ35 
	0 'None'
	1 'Mende'
	2 'Tenne'
	3 'Krio'
	4 'Other'			
/S2CQ39 
	1 'None Available'
	2 'Unsuitable Time'
	3 'No nanny for children'
	4 'Too many household chores'
	5 'Other'
/S2CQ40 
	1 'yes, currently'
	2 'yes, in the past'
	3 'no'	
/S2CQ42 
	1 'Carpentry'
	2 'Masonry'
	3 'Tailoring'
	4 'Blacksmithing'
	5 'Mechanical'
	6 'Electronics/Electrical'
	7 'Painting/Spraying'
	8 'Hairdressing/Catering'
	9 'Other'
/S2CQ43 S2CQ49 
	1 'Government'
	2 'Local Government'
	3 'Mission/Religious Body'
	4 'NGO'
	5 'Private'
	6 'Other'
/S2CQ44 
	1 'In kind'
	2 'In cash'
	3 'Both'
	4 'No'			
/S2CQ48	
	1 'Clerical/Prof.'
	2 'Managerial'
	3 'Computer'
	4 'Marketing'
	5 'Teaching'
	6 'Leadership'
	7 'Medicine'
	8 'Other'.	


*frequecies of all variables to look for possible mistakes in column
 specification or misalignment of data in the original .txt file.

FREQUENCIES
  VARIABLES=rectype to S2CQ49
  /ORDER=  ANALYSIS .


SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Sectional\Edu_Sec2C.sav'.


*SECTION 3:HEALTH

*---------------------SECTION 3A---------------------------.



SET
   BLANKS=SYSMIS
  UNDEFINED=WARN.

DATA LIST
  FILE='C:\Sierra Leone_Household Survey_2003\Raw_Data\Temp\Hlth_Sec3A.tmp' FIXED RECORDS=1 TABLE /1 rectype 1-2 
  region 3-3 district 3-4 chiefdom 5-6 ea 7-8 urbrur 9-9 hhnum 10-12 HHID 3-12 PID 14-15 S3AQ0 16-17 S3AQ1 18-18 S3AQ2 19-20 
  S3AQ3 21-21 S3AQ4 22-23 S3AQ5 24-24 S3AQ6 25-25  S3AQ7A 26-26 S3AQ7B 27-27 S3AQ7C 28-28 S3AQ8A 29-29 S3AQ8B 30-30 S3AQ8C 31-31 
  S3AQ9A 32-32 S3AQ9B 33-33 S3AQ9C 34-34 S3AQ10 35-42 S3AQ11 43-50 S3AQ12 51-54 S3AQ13 55-55 S3AQ14 56-56 S3AQ15 57-57 S3AQ16 58-59 S3AQ17 60-67 S3AQ18 68-68 S3AQ19 69-76
  S3AQ20 77-84 S3AQ21 85-86 S3AQ22 87-87 S3AQ23 88-89 S3AQ24 90-90 .
EXECUTE.

*sort cases by the key variables.


SORT CASES BY
  hhid (A) pid (A) .

*add variable labels - these are in English so that it will be easier for me to clean.

var lab
	rectype 		'Record type'
	/region   	'Region'
	/district	 	'District'
	/chiefdom	'Chiefdom'
	/ea		'Enumerator Area'
	/urbrur		'Urban/Rural'
	/hhnum		'Household number'
	/HHID		'Household ID (Key)'
	/PID		'ID of person'
	/S3AQ0		'Id of person interviewed' 
	/S3AQ1		'Suffered from illnes in 2 weeks?'
	/S3AQ2		'How many days over 2 weeks?'
	/S3AQ3		'Stop activites in 2 weeks?'
	/S3AQ4		'How many days in 2 weeks'
	/S3AQ5		'Consulted practitioner in 2 weeks'
	/S3AQ6		'Reason for visit?'
	/S3AQ7A	'1st Whom consulted in last 2 weeks?'
	/S3AQ7B	'2nd Whom consulted in last 2 weeks?'
	/S3AQ7C	'3rd Whom consulted in last 2 weeks?'
	/S3AQ8A	'1st Where consultation took place?'
	/S3AQ8B	'2nd Where consultation took place?'
	/S3AQ8C	'3rd Where consultation took place?'
	/S3AQ9A	'1st Who is the owner?'
	/S3AQ9B	'2nd Who is the owner?'
	/S3AQ9C	'3rd Who is the owner?'
	/S3AQ10	'How much paid?'
	/S3AQ11	'How much paid for travel?'
	/S3AQ12	'How much time did consultation take?'
	/S3AQ13	'Were you admitted to a health facility?'
	/S3AQ14	'Into what kind of faclility?'
	/S3AQ15	'Who is the owner?'
	/S3AQ16	'How many nights in hospital?'
	/S3AQ17	'How much paid for hospital?'
	/S3AQ18	'Buy medecine in past 2 weeks?'
	/S3AQ19	'How much paid for medecine?'
	/S3AQ20	'Paid out of pocket'
	/S3AQ21	'Who paid most of the fees?'
	/S3AQ22	'How long over 1 year suffered from illness?'
	/S3AQ23	'What type of illness in the past year?'
	/S3AQ24	'What injury sustained in the last year?'

*add value labels.

val labels 
  /
  /rectype
	08 'Health Condition'
/region
	0 'Southern'
	1 'Eastern'
	2 'Northen'
	3 'Western'
/district
	01 'Bo'
	02 'Bonthe'
	03 'Moyamba'
	04 'Pujehun'
	11 'Kailahun'
	12 'Kenema'
	13 'Kono'
	21 'Bombali'
	22 'Kambia'
	23 'Koinadugu'
	24 'Porto Loko'
	25 'Tonkolili'
	31 'Freetown'
	32 'Western Other'
/S3AQ1 
	1 'Neither'
	2 'Illness'
	3 'Injury'
	4 'Both'
/S3AQ3 S3AQ5 S3AQ13 S3AQ18
	1 'Yes'
	2 'No'
/S3AQ6 
	1 'Check up'
	2 'Illness'
	3 'Injury'
	4 'Vaccination'
	5 'Prenatal care'
	6 'Postnatal care'
/S3AQ7A S3AQ7B S3AQ7C 
	1 'Traditional healer'
	2 'Doctor'
	3 'Dentist'
	4 'Nurse'
	5 'Medical Assistant'
	6 'Midwife'
	7 'Pharmacist'
	8 'Traditional birth attedant'
	9 'Spiritualist'
/S3AQ8A S3AQ8B S3AQ8C 
	1 'Hospital'
	2 'Dispensary'
	3 'Pharmacy'
	4 'Clinic'
	5 'Maternity Home'
	6 'MCH Post'
	7 'Consultant's Home'
	8 'Patient's Home'
	9 'Other'
/S3AQ9A S3AQ9B S3AQ9C S3AQ15
	1 'Government'
	2 'NGO'
	3 'Missionary'
	4 'Private'
	5 'Catholic'
	6 'Other'
/S3AQ14
	1 'Government Hospital'
	2 'Private Hospital'
	3 'Traditional Healer'
	4 'Spiritualist'
	5 'Clinic'
	6 'Other'
/S3AQ21
	10 'Household Member'
	80 'Other relative'
	81 'Government'
	82 'Employer'
	83 'Other'
/S3AQ22
	1 'In last 2 weeks'
	2 '2-4 weeks ago'
	3 '1-6 months ago'
	4 '6-12 months ago'
	5 'More than a year ago'	
/S3AQ23
	1 'Cholera'
	2 'Malaria'
	3 'Typhoid'
	4 'Hypertension'
	5 'Common Cold'
	6 'Flu'
	7 'Cough'
	8 'Tuberculosis'
	9 'Headache'
	10 'Other'
/S3AQ24
	1 'Fracture'
	2 'Abrasions'
	3 'Bruises'
	4 'Lacerations'
	5 'Dislocation'
	6 'Other'
EXECUTE.

*frequecies of all variables to look for possible mistakes in column
 specification or misalignment of data in the original .txt file.

FREQUENCIES
  VARIABLES=rectype to S3AQ24
  /ORDER=  ANALYSIS .



SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Sectional\Hlth_Sec3A.sav'.


*---------------------SECTION 3B---------------------------.
*---------EXTRACTING PREVENTIVE HEALTH---------------*

SET
   BLANKS=SYSMIS
  UNDEFINED=WARN.

DATA LIST
  FILE='C:\Sierra Leone_Household Survey_2003\Raw_Data\Temp\Hlth_Sec3B.tmp' FIXED RECORDS=1 TABLE /1 rectype 1-2 
  region 3-3 district 3-4 chiefdom 5-6 ea 7-8 urbrur 9-9 hhnum 10-12 HHID 3-12 PID 14-15 S3BQ1 16-16 S3BQ2 17-17 
  S3BQ3D 18-18 S3BQ3P 19-19 S3BQ3M 20-20 S3BQ3B 21-21 S3BQ4D 22-22 S3BQ4P 23-23 S3BQ4M 24-24 S3BQ4B 25-25 S3BQ5 26-26 S3BQ6 27-27  
  S3BQ7 28-35 S3BQ8 36-36. 

*sort cases by the key variables.


SORT CASES BY
  hhid (A) pid (A) .


*add variable labels - these are in English so that it will be easier for me to clean.

var lab
	rectype 		'Record type'
	/region   	'Region'
	/district	 	'District'
	/chiefdom	'Chiefdom'
	/ea		'Enumerator Area'
	/urbrur		'Urban/Rural'
	/hhnum		'Household number'
	/HHID		'Household ID (Key)'
	/PID		'ID of person'
	/S3BQ1		'Ever been vaccinated'
	/S3BQ2		'Vaccine book?'
	/S3BQ3D	'DPT Vaccine 12 months?'
	/S3BQ3P	'Polio Vaccine 12 months?'
	/S3BQ3M	'Measles Vaccine 12 months?'
	/S3BQ3B	'BCG Vaccine 12 months?'
	/S3BQ4D	'Where DPT Vaccine administered?'
	/S3BQ4P	'Where Polio Vaccine administered?'
	/S3BQ4M	'Where Measles Vaccine administered?'
	/S3BQ4B	'Where BCG Vaccine administered?'
	/S3BQ5		'Who owned facility?'
	/S3BQ6		'Fee paid?'
	/S3BQ7		'How much'
	/S3BQ8		'Why no vaccine administered?'

*add value labels.

val labels 
  /
  /rectype
	09 'Preventive Health'
/region
	0 'Southern'
	1 'Eastern'
	2 'Northen'
	3 'Western'
/district
	01 'Bo'
	02 'Bonthe'
	03 'Moyamba'
	04 'Pujehun'
	11 'Kailahun'
	12 'Kenema'
	13 'Kono'
	21 'Bombali'
	22 'Kambia'
	23 'Koinadugu'
	24 'Porto Loko'
	25 'Tonkolili'
	31 'Freetown'
	32 'Western Other'
/S3BQ1	S3BQ2 S3BQ3D S3BQ3P S3BQ3M S3BQ3B S3BQ6
	1 'Yes'
	2 'No'
/S3BQ4D S3BQ4P S3BQ4M S3BQ4B
	1 'Health Center'
	2 'Government Hospital'
	3 'Private Clinic'
	4 'Mobile Unit'
	5 'School'
	6 'Home'
/S3BQ5
	1 'Government'
	2 'NGO'
	3 'Missionary'
	4 'Catholic'
	5 'Other'
/S3BQ8
	1 'Too Young'
	2 'Did not know vaccine necessary'
	3 'Health center too far'
	4 'Shortage of supply'
	5 'Other'
EXECUTE.

*frequecies of all variables to look for possible mistakes in column
 specification or misalignment of data in the original .txt file.

FREQUENCIES
  VARIABLES=rectype to S3BQ8
  /ORDER=  ANALYSIS .



SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Sectional\Hlth_Sec3B.sav'.


*---------------------SECTION 3C--------------------------.
*---------EXTRACTING POSTNATAL HEALTH---------------*

SET
   BLANKS=SYSMIS
  UNDEFINED=WARN.

DATA LIST
  FILE='C:\Sierra Leone_Household Survey_2003\Raw_Data\Temp\Hlth_Sec3C.tmp' FIXED RECORDS=1 TABLE /1 rectype 1-2 
  region 3-3 district 3-4 chiefdom 5-6 ea 7-8 urbrur 9-9 hhnum 10-12 HHID 3-12 PID 14-15 S3CQ0 16-17 S3CQ1 18-18 S3CQ2 19-19 
  S3CQ3 20-21 S3CQ4 22-22 S3CQ5 23-30 S3CQ6 31-31 S3CQ7 32-33 S3CQ8 34-35 S3CQ9 36-36 S3CQ10 37-37 S3CQ11 38-38 S3CQ12 39-39. 

*sort cases by the key variables.


SORT CASES BY
  hhid (A) pid (A) .

*add variable labels - these are in English so that it will be easier for me to clean.

var lab
	rectype 		'Record type'
	/region   	'Region'
	/district	 	'District'
	/chiefdom	'Chiefdom'
	/ea		'Enumerator Area'
	/urbrur		'Urban/Rural'
	/hhnum		'Household number'
	/HHID		'Household ID (Key)'
	/PID		'ID of person'
	/S3CQ0		'ID of person interviewed'
	/S3CQ1		'Did post natal in 12 months?'
	/S3CQ2		'Who is the owner?'
	/S3CQ3		'How many times in 12 months?'
	/S3CQ4		'Did pay?'
	/S3CQ5		'How much?'
	/S3CQ6		'Breast feed?'
	/S3CQ7		'Age stop breast feeding?'
	/S3CQ8		'Age receive other liquid?'
	/S3CQ9		'Community feeding?'
	/S3CQ10	'Who looks after during day?'
	/S3CQ11	'Reasons for health care visit?'
	/S3CQ12	'Reasons for not taking to post natal care?'

*add value labels.

val labels 
  /
  /rectype
	10 'Postnatal  Health'
/region
	0 'Southern'
	1 'Eastern'
	2 'Northen'
	3 'Western'
/district
	01 'Bo'
	02 'Bonthe'
	03 'Moyamba'
	04 'Pujehun'
	11 'Kailahun'
	12 'Kenema'
	13 'Kono'
	21 'Bombali'
	22 'Kambia'
	23 'Koinadugu'
	24 'Porto Loko'
	25 'Tonkolili'
	31 'Freetown'
	32 'Western Other'
/S3CQ1	S3CQ4 S3CQ6 S3CQ9 
	1 'Yes'
	2 'No'
/S3CQ2
	1 'Government'
	2 'NGO'
	3 'Missionary'
	4 'Catholic'
	5 'Other'
/S3CQ7
	87 'Still breastfeeding'
/S3CQ8
	87 'Not yet'
/S3CQ10
	1 'Mother'
	2 'Grandmother'
	3 'Daycare'
	4 'Family member'
	5 'Other'
/S3CQ11
	1 'Vaccination'
	2 'Growth monitoring'
	3 'Illness'
	4 'Ration'
	5 'Other'
/S3CQ12
	1 'Distance'
	2 'Ignorance'
	3 'Lack of funds'
	4 'Not necessary'
	5  'Other' 
EXECUT
*frequecies of all variables to look for possible mistakes in column
 specification or misalignment of data in the original .txt file.

FREQUENCIES
  VARIABLES=rectype to S3CQ12
  /ORDER=  ANALYSIS .



SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Sectional\Hlth_Sec3C.sav'.


*---------------------SECTION 3D---------------------------.
*---------EXTRACTING PRENATAL HEALTH---------------*

SET
   BLANKS=SYSMIS
  UNDEFINED=WARN.

DATA LIST
  FILE='C:\Sierra Leone_Household Survey_2003\Raw_Data\Temp\Hlth_Sec3D.tmp' FIXED RECORDS=1 TABLE /1 rectype 1-2 
  region 3-3 district 3-4 chiefdom 5-6 ea 7-8 urbrur 9-9 hhnum 10-12 HHID 3-12 PID 14-15 S3DQ0 16-17 S3DQ1 18-18 S3DQ2 19-19 
  S3DQ3 20-21 S3DQ4 22-23 S3DQ5 24-25 S3DQ6 26-27 S3DQ7 28-29 S3DQ8 30-30 S3DQ9 31-32 S3DQ10 33-33 S3DQ11 34-34 S3DQ12 35-35 
  S3DQ13 36-36  S3DQ14 37-37  S3DQ15 38-38  S3DQ16 39-39 S3DQ17 40-41 S3DQ18 42-43  S3DQ19 44-51  S3DQ20 52-52  S3DQ21 53-53  
  S3DQ22 54-55  S3DQ23 56-56 S3DQ24 57-57  S3DQ25 58-65.
*sort cases by the key variables.


SORT CASES BY
  hhid (A) pid (A) .


*add variable labels - these are in English so that it will be easier for me to clean.

var lab
	rectype 		'Record type'
	/region   	'Region'
	/district	 	'District'
	/chiefdom	'Chiefdom'
	/ea		'Enumerator Area'
	/urbrur		'Urban/Rural'
	/hhnum		'Household number'
	/HHID		'Household ID (Key)'
	/PID		'ID of person'
	/S3DQ0		'ID of person interviewed'
	/S3DQ1		'Ever pregnant?'
	/S3DQ2		'Ever given birth?'
	/S3DQ3		'Girls ever born?'
	/S3DQ4		'Boys ever born?'
	/S3DQ5		'Children ever born?'
	/S3DQ6		'Girls still living?'
	/S3DQ7		'Boys still living?'
	/S3DQ8		'Non live birth pregnancy?'
	/S3DQ9		'Pregnances that resulted in birth?'
	/S3DQ10	'Currently pregnant?'
	/S3DQ11	'Pregnant in last 12 months?'
	/S3DQ12	'How did this pregnancy end?'
	/S3DQ13	'Is this child alive?'
	/S3DQ14 	'Are you now breast feeding?'
	/S3DQ15	'Receive prenatal care?'
	/S3DQ16	'Where did you receive this care?'
	/S3DQ17	'Whom did you receive the care?'
	/S3DQ18	'How many times?'
	/S3DQ19	'How much did you pay?'
	/S3DQ20	'Why didnt you go to prenatal care?'
	/S3DQ21	'Preventing pregnancy?'
	/S3DQ22	'Method'
	/S3DQ23	'Where did you get the method?'
	/S3DQ24	'Who is the owner?'
	/S3DQ25	'How much did you pay for method?'

*add value labels.

val labels 
  /
  /rectype
	11 'Prenatal  Health'
/region
	0 'Southern'
	1 'Eastern'
	2 'Northen'
	3 'Western'
/district
	01 'Bo'
	02 'Bonthe'
	03 'Moyamba'
	04 'Pujehun'
	11 'Kailahun'
	12 'Kenema'
	13 'Kono'
	21 'Bombali'
	22 'Kambia'
	23 'Koinadugu'
	24 'Porto Loko'
	25 'Tonkolili'
	31 'Freetown'
	32 'Western Other'
/S3DQ1	S3DQ2 S3DQ8 S3DQ10 S3DQ11 S3DQ13 S3DQ14 S3DQ15 S3DQ21 
	1 'Yes'
	2 'No'
/S3DQ12
	1 'Live birth'
	2 'Still birth'
	3 'Miscarriage'
	4 'Other'
/S3DQ16 S3DQ23
	1 'Hospital'
	2 'Private Clinic'
	3 'Family planning center'
	7 'Other'
/S3DQ17
	1 'Traditional Healer'
	2 'Doctor'
	3 'Dentist'
	4 'Nurse'
	5 'Medical Assistant'
	6 'Midwife'
	7 'Pharmacist'
	8 'Spiritualist'
	9 'Traditional birth attendant'
	10 'Others'
/S3DQ20
	1 'Cant afford'
	2 'No health care available'
	3 'Health care too far'
	4 'Not necessary'
	5 'Others'
/S3DQ22
	1 'Pill'
	2 'Condom'
	3 'Injection'
	4 'IUD'
	5 'Female sterilization'
	6 'Male sterilization'
	7 'Rhythm'
	8 'Withdrawl'
	9 'Douche'
	10 'Abstinence'
	11 'Other'
/S3DQ24
	1 'Central Government'
	2 'Local Government' 
	3 'Missionary'
	4 'Catholic'
	5 'Foreign NGO'
	6 'Local NGO'
	7 'Other'
EXECUTE.

*frequecies of all variables to look for possible mistakes in column
 specification or misalignment of data in the original .txt file.

FREQUENCIES
  VARIABLES=rectype to S3DQ24
  /ORDER=  ANALYSIS .



SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Sectional\Hlth_Sec3D.sav'.

*---------------------SECTION 4---------------------------.
*---------OCCUPATION---------------*

SET
   BLANKS=SYSMIS
  UNDEFINED=WARN.

DATA LIST
  FILE='C:\Sierra Leone_Household Survey_2003\Raw_Data\Temp\Occ_Sec4A.tmp' FIXED RECORDS=1 TABLE /1 
 RECTYPE	1-2
 REGION      	3-3   
 DISTRICT   	3-4   
 CHIEFDOM	5-6   
 EA          	7-8   
 URBRUR      	9-9   
 HHNUM      	10-12  
 HHID     	3-12  
 PID      	14-15  
 S4AQ1   	16-16  
 S4AQ2   	17-17  
 S4AQ3   	18-18  
 S4AQ4   	19-19  
 S4AQ5   	20-22  
 S4AQ6   	23-25  
 S4AQ7   	26-26  
 S4AQ82   	27-29  
 S4AQ83 	30-32  
 S4AQ84 	33-35  
 S4AQ9  	36-36  
 S4AQ101 	37-39  
 S4AQ102 	40-42  
 S4AQ11  	43-44  
 S4AQ12  	45-46  
 S4AQ13  	47-48  
 S4AQ14  	49-50  
 S4AQ15  	51-52  
 S4AQ16  	53-54  
 S4AQ17  	55-56  
 S4AQ18  	57-58  .

*sort cases by the key variables.


SORT CASES BY
  hhid (A) pid (A) .


VAR LAB
rectype 		'Record type'
/region   	'Region'
/district	 	'District'
/chiefdom	'Chiefdom'
/ea		'Enumerator Area'
/urbrur		'Urban/Rural'
/hhnum		'Household number'
/HHID		'Household ID (Key)'
/PID		'ID of person'
/S4AQ1		"Worked for wages in the past 12 months"?''
/S4AQ2		'Paid self-employment is the last 12 months?'
/S4AQ3		'Agricultural work in the last 12 months?'
/S4AQ4		'Unpaid labor in the last 12 months?'
/S4AQ5		'Main occupation in the last 12 months?'
/S4AQ6		'Economic activity in the last 12 months?'
/S4AQ7		'Other work outside main occupation?'
/S4AQ82	'Occupation code 2'
/S4AQ83	'Occupation code 3'
/S4AQ84	'Occupation code 4'
/S4AQ9		'Secondary occupation concurrent with the primary?'
/S4AQ101	'Concurrent secondary occupation 1'
/S4AQ102	'Concurrent secondary occupation 2'
/S4AQ11	'Number of full time weeks worked'
/S4AQ12	'Full time weeks available for extra work'
/S4AQ13	'Full time weks not available for extra work'
/S4AQ14	'Number of part time weeks worked'
/S4AQ15	'Part time weeks available for extra work'
/S4AQ16	'Weeks not worked at all'
/S4AQ17	'Weeks available in this period'
/S4AQ18	'Weeks not available in this period'
.
*add variable labels - these are in English so that it will be easier for me to clean.

VAL LABELS
/
 /REGION  
   	0 'Southern'
     	1 'Eastern'
     	2 'Northern'
    	3 'Western'
/DISTRICT
	01 'Bo'
	02 'Bonthe'
	03 'Moyamba'
	04 'Pujehun'
	11 'Kailahun'
	12 'Kenema'
	13 'Kono'
	21 'Bombali'
	22 'Kambia'
	23 'Koinadugu'
	24 'Porto Loko'
	25 'Tonkolili'
	31 'Freetown'
	32 'Western Other'
/URBRUR  
     	1 'Urban'
     	2 'Rural'
/S4AQ1 S4AQ2 S4AQ3 S4AQ4 S4AQ7 S4AQ9
     	1 'Yes'
     	2 'No'
/S4AQ5 S4AQ82 S4AQ83 S4AQ84 S4AQ101 S4AQ102 
	000 'Economically inactive'
 	001 'Physical Scientists and Related Technicians'
 	002 'Architects and Related Technicians'
 	003 'Engineers and Related Technicians'
 	004 'Aircraft and Ships Officers'
 	005 'Life Scientists and Related Technicians'
 	006 'Medical and Related workers'
 	007 'Professional Nurses'     
 	008 'Dental, Veterinary and Related workers'
 	009 'Statisticians, Mathematicians, Systems Analysts and Related Technicians'
 	010 'Economists'
 	011 'Accountants'
 	012 'Jurists (e.g. Lawyers, Judges)'
 	013 'Teachers'
 	014 'Workers in Religion'
 	015 'Authors, Journalists and Related Writers'
 	016 'Sculptors, Painters, Photographers and Related Creative Artists'
 	017 'Composers and Performing Artists'
 	018 'Athletes, Sportsmen and Related workers'
 	019 'Professional, Technical and Related Workers Not Elsewhere Classified'
	020 'Legislative Officials and Government Administrators '
	021 'Managers'
	030 'Clerical and Related Workers'
	031 'Government Executive Officials'	
	032 'Stenographers, Typists and Card and Tape-Punch Machine Operators'
	033 'Book-keepers, Cashiers and Related Workers'
	034 'Computing Machine Operators'
	035 'Transport and Communications Supervisors'
	036 'Transport Conductors'
	037 'Mail Distribution Clerks'
	038 'Telephone and Telegraph Operators'
	039 'Clerical and Related Workers Not Elsewhere Classified'
	040 'Managers (Wholesale and Retail Trade)'
	041 'Working Proprietors (Wholesale and Retail Trade)'
	042 'Sales Supervisors and Buyers'
	043 'Technical Salesmen, Commercial Travellers and Manufacturers Agents'
	044 'Insurance, Real Estate Securities and Business Services, Salesmen and Auctioneers'
	045 'Salesmen, Shop Assistants and Related Workers'
	046 'Wholesale Market Traders'
	047 'Retail Market Traders'     
	048 'Hawkers, Street and Pavement Vendors'
	049 'Sales Workers Not Elsewhere Classified'
	050 'Managers (Catering, Lodging Services)'
	051 'Working Proprietors (Catering and Lodging Services)'
	052 'Housekeeping and Related Service Supervisors'
	053 'Cooks, Waiters, Bartenders and Related Workers'
	054 'Maids and Related Housekeeping Service workers Not Elsewhere Classified'
	055 'Building Caretakers, Charworkers, Cleaners and Related Workers'
	056 'Launderers, Dry-Cleaners and Pressers'
	057 'Hairdressers, Barbers, Beauticians and Related Workers'
	058 'Protective Service Workers'
	059 'Service Workers Not Elsewhere Classified'
	060 'Farm Managers and Supervisors'
	061 'Farmers'
	062 'Agricultural and Animal Husbandry Workers'
	063 'Forestry Workers'
	064 'Fishermen, Hunters and Related Workers' 
	070 'Production Supervisors and General Foremen'
	071 'Miners, Quarrymen, Well Drillers and Related Workers'
	072 'Metal Processors'
	073 'Wood Preparation Workers and Paper makers'
	074 'chemical Processors and Related Workers'
	075 'Spinners, Weavers, Knitters, Dyers and Related Workers'
	076 'Tanners, Fellmongers and Pelt Dressers'
	077 'Food and Beverage Processors'
	078 'Tobacco Preparers and Tobacco Products Makers'
	079 'Tailors, Dressmakers, Sewers, Upholsterers and Related Workers'
	080 'Shoemakers and Leather Goods Makers'
	081 'Cabinetmakers and Related Wood Workers'
	082 'Stone Carvers and (Stone) Cutters'
	083 'Blacksmith, Toolmakers and Machine Tool Operators'
	084 'Machinery Fitters, Machine Assemblers and Precision-Instrument Makers (Except Electrical)'
	085 'Electrical Fitters and Related Electrical and Electronics Workers'
	086 'Broadcasting Station and Sound-Equipment Operators and Cinema Projectionists'
	087 'Plumbers, Welders, Sheet-Metal and structural Metal Preparers and Erectors'
	088 'Jewellery and Precious Metal Workers'
	089 'Glass formers, Potters and Related Workers'
	090 'Rubber and Plastics Product Makers'
	091 'Paper and Paperboard Products Makers'
	092 'Printers and Related Workers'
	093 'Painters'
	094 'Production and Related workers Not Elsewhere Classified'
	095 'Bricklayers, Carpenters and Other Construction Workers'
	096 'Stationary Engine and Related Equipment Operators'
	097 'Material Handling and Related Equipment Operators, Dockers and Freight Handlers'
	098 'Transport Equipment Operators'
	099 'Labourers Not Elsewhere Classified'
	100 'Workers'
	101 'New Workers Seeking Employment'
	102 'Workers Reporting Occupation Unidentifiable or Inadequately Described'
	103 'Workers Not Reporting Any Occupation'
/S4AQ6
	1 'Cocoa'
	2 'Coffee'
	3 'Pineapple'
	4 'Palm oil'
	5 'Cashew nut'
	6 'Cola nut'
	7 'Coconut'
	8 'Groundnut'
	9 'Tobacco'
	10 'Other cash crops'
	11 'Food crops'
	12 'Maize'
	13 'Rice'
	15 'Cassava'
	16 'Yam'
	17 'Coco yam'
	18 'Plantain'
	19 'Fruits'
	20 'Vegetables'
	21 'Beans and peas'
	23 'Other crops'
	24 'Cattle'
	25 'Sheep and goats'
	26 'Pigs'
	27 'Other livestock'
	28 'Polutry'
	29 'Dairy Products'
	30 'Hunting'
	31 'Logging'
	32 'Firewood gathering'
	33 'Marine fishing'
	34 'Inland fishing'
	35 'Mining'
	36 'Manufacture of charcoal'
	37 'Milling'
	38 'Meat processing'
	39 'Other food processing'
	40 "Handicraft'
	41 'Spinning, tailoring'
	42 'Not for own use manufacturing'
	44 'Construction or building fences'
	45 'Construction of roads and bridges'
	46 'Other construction'
	47 'Wholesale or retail trade'
	48 'Restaurant and hotel trade'
	49 'Carrying loads to market'
	50 'Driving'
	51 'River or lake transport'
	52 'Operation of communication centers'
	53 'Cold store operations'
	54 'Private warehousing'
	55 'Money lending'
	56 'Osusu Operations'
	57 'FOREX Business'
	58 'Consultancies'
	59 'Real estate'
	60 'Rental agents'
	61 'Personal services'
	62 'Beauty care'
	63 'Personal services'
	64 'Hairdressing'
	65 'Domestic services'
	66 'Entertainment'
	67 'Government services'
	68 'International services'.	
EXECUTE.
*frequecies of all variables to look for possible mistakes in column
 specification or misalignment of data in the original .txt file.

FREQUENCIES
  VARIABLES=rectype to S4AQ18
  /ORDER=  ANALYSIS .

SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Sectional\Occ_Sec4A.sav'.

*---------------------SECTION 4---------------------------.
*---------MAIN OCCUPATION CHARACTERISTICS---------------*

SET
   BLANKS=SYSMIS
  UNDEFINED=WARN.

DATA LIST
  FILE='C:\Sierra Leone_Household Survey_2003\Raw_Data\Temp\Occ_Sec4B.tmp' FIXED RECORDS=1 TABLE /1 
 RECTYPE	1-2
 REGION      	3-3   
 DISTRICT   	3-4   
 CHIEFDOM	5-6   
 EA          	7-8   
 URBRUR      	9-9   
 HHNUM      	10-12  
 HHID     	3-12  
 PID      	14-15  
S4BQ1		16-16  
S4BQ2		17-17  
S4BQ3		18-18  
S4BQ4   	19-21  
S4BQ5		22-22  
S4BQ6   	23-31  
S4BQ6T   	32-32  
S4BQ7		33-36  
S4BQ7T 	37-37  
S4BQ8		38-38  
S4BQ9		39-40  
S4BQ10	41-41  
S4BQ11	42-42  
S4BQ12  	43-51  
S4BQ12T 	52-52  
S4BQ13  	53-53  
S4BQ14 	54-54  
S4BQ15 	55-63  
S4BQ15T   	64-64  
S4BQ16   	65-65  
S4BQ17	66-74  
S4BQ17T  	75-75  
S4BQ18	76-76  
S4BQ19	77-85  
S4BQ19T   	86-86  
S4BQ20	87-87  
S4BQ21 	88-96  
S4BQ21T  	97-97  
S4BQ22	98-98  
S4BQ23	99-101 
S4BQ24	102-103 
S4BQ24T  	104-104 
S4BQ25 	105-109 
S4BQ26	110-110 
S4BQ27 	111-111 
S4BQ28 	112-112 
S4BQ29 	113-113 
S4BQ30 	114-114 
S4BQ31 	115-115 
S4BQ32 	116-116 
S4BQ33  	117-117 
S4BQ34M  	118-119 
S4BQ34W 	120-120 
S4BQ35 	121-122 
S4BQ36	123-123 
S4BQ37	124-124 
S4BQ38 	125-133 
S4BQ38T 	134-134 

*sort cases by the key variables.


SORT CASES BY
  hhid (A) pid (A) .


VAR LAB
RECTYPE  	'Employment and Occupation'
/REGION   	'Region'
/DISTRICT 	'District'
/CHIEFDOM	'Chiefdom Ward'
/EA       	'Enumeration Area'
/URBRUR   	'Urban Rural'
/HHNUM    	'Household Number'
/HHID 		'Household ID'
/PID		'Person ID'
/S4BQ1		'Are you still doing the work?'
/S4BQ2		'Why not'
/S4BQ3		'Did father or mother do the same work?'
/S4BQ4   	'Name industry'
/S4BQ5		'Have you received money for the work?'
/S4BQ6   	'Amount received'
/S4BQ6T   	'Time unit'	
/S4BQ7		'Time worked'
/S4BQ7T 	'Time unit'
/S4BQ8		'What kind of worker?'	
/S4BQ9		'For whom did you work?'		
/S4BQ10	'Are taxes deducted'
/S4BQ11	'Did you receive any bonuses'
/S4BQ12  	'Amount received'
/S4BQ12T 	'Time unit'
/S4BQ13  	'Already included in previous response'
/S4BQ14 	'Receive crops or animals for pay?'
/S4BQ15 	'Amount received'
/S4BQ15T   	'Time unit'
/S4BQ16   	'Accomodation provided?'
/S4BQ17	'Amount received'
/S4BQ17T  	'Time unit'
/S4BQ18	'Transportation provided?'
/S4BQ19	'Amount received'
/S4BQ19T   	'Time unit'
/S4BQ20	'Other form of payment?'
/S4BQ21 	'Amount received'
/S4BQ21T  	'Time unit'
/S4BQ22	'Place of work in this village?'
/S4BQ23	'How far to work place?'
/S4BQ24	'HOW often to work place?'
/S4BQ24T  	'Time unit'
/S4BQ25 	'Number of people at work place'
/S4BQ26	'Do you have a signed contract?'
/S4BQ27 	'Organized labour at work place?'
/S4BQ28 	'Do you receive paid holidays'
/S4BQ29 	'Do you received paid sick leaves?'
/S4BQ30 	'Will you receive a pension?'
/S4BQ31 	'Do you receive some medical care from employee?'
/S4BQ32 	'Do you receive any other benefit?'
/S4BQ33  	'Have you been trained by employer?'
/S4BQ34M  	'Months of training'
/S4BQ34W 	'Weeks of training'
/S4BQ35 	'How many hours per week of training'
/S4BQ36	'Who paid for training?'
/S4BQ37	'Was salary lower during training?'
/S4BQ38 	'Amount lowered'
/S4BQ38T 	'Time unit'

*add variable labels - these are in English so that it will be easier for me to clean.

VAL LABELS
/
 /REGION  
   	0 'Southern'
     	1 'Eastern'
     	2 'Northern'
    	3 'Western'
/DISTRICT
	01 'Bo'
	02 'Bonthe'
	03 'Moyamba'
	04 'Pujehun'
	11 'Kailahun'
	12 'Kenema'
	13 'Kono'
	21 'Bombali'
	22 'Kambia'
	23 'Koinadugu'
	24 'Porto Loko'
	25 'Tonkolili'
	31 'Freetown'
	32 'Western Other'
/URBRUR  
     	1 'Urban'
     	2 'Rural'
/S4BQ1 S4BQ3 S4BQ5 S4BQ10 S4BQ11 S4BQ13 S4BQ14 S4BQ16 S4BQ18 S4BQ20 S4BQ22 S4BQ26 S4BQ27 S4BQ28 S4BQ29 S4BQ30 S4BQ31 S4BQ32 S4BQ33 S4BQ37
	1 'Yes'
	2 'No'
/S4BQ2 
	1 'Sacked from job'
	2 'Job completed'
	3 'Seasonal work'
	4 'Firm closed'
	5 'Found other work'
	6 'Other' 
/S4BQ4  
	111 'Agricultural and livestock production'
	112 'Agricultural services'
	113 'Hunting, trapping and game'
	121 'Forestry'
	122 'Logging'
	130 'Fishing'
	210 'Coal mining'
	220 'Crude petroleum and natural gas production'
	230 'Metal ore mining'
	290 'Other mining'
	311 'Food manufactures'
	313 'Beverage industries'
	314 'Tobacco manufacturers'
	321 'Manufacture of textiles'
	322 'Manufacture of wearing apparel, except footwear'
	323 'Manufacture of leather and products of leather, except footwear and wearing apparel'
	324 'Manufacture of footwear, except vulcanized or mould rubber or plastic footwear'
	331 'Manufacture of wood and cork products, except furniture'
	332 'Manufacture of furniture and fixtures except primarily of metal'
	341 'Manufacture of paper and paper products'
	342 'Printing, publishing and allied industries'
	351 'Manufacture of basic industrial chemicals, including fertilizers'
	352 'Manufacture of other chemical products'
	353 'Petroleum refineries'
	354 'Manufacture of miscellaneous products of petroleum and coal'
	355 'Manufacture of rubber products'
	356 'Manufacture of plastic products not elsewhere classified'
	361 'Manufacture of pottery, china and earthenware'
	362 'Manufacture of glass and glass products'
	369 'Manufacture of other non-metallic mineral products'
	371 'Iron and steel basic industries'
	372 'Non-ferrous metal basic industries'
	381 'Manufacture of fabricated metal products, except machinery and equipment'
	382 'Manufacture of machinery except electrical'
	383 'Manufacture of electrical machinery apparatus, appliances and supplies'
	384 'Manufacture of transport equipment'
	385 'Manufacture of professional and scientific equipment, measuring and controlling instruments not elsew'
	390 'Other manufacturing industries'
	410 'Electricity, gas and steam'
	420 'Water works and supply'
	500 'Construction'
	610 'Wholesale trade'
	620 'Retail Trade'
	631 'Restaurants, cafes, other eating and drinking places'
	632 'Hotels, rooming houses, camps and other lodging places'
	711 'Land transport'
	712 'Water transport'
	713 'Air transport'
	719 'Services allied to transport'
	720 'Communication'
	810 'Financial institutions'
	820 'Insurance'
	831 'Real estate'
	832 'Business services except machinery rental and leasing'
	833 'Machinery rental and leasing'
	910 'Public administration and defence'
	920 'Sanitary and similar services'
	931 'Education services'
	932 'Research and scientific institutes'
	933 'Medical, dental, other health and veterinary services'
	934 'Welfare institutions'
	935 'Business, professional and labour associations'
	939 'Other social and related community services'
	941 'Motion picture and other entertainment services'
	942 'Libraries, museums, botanical and zoological gardens, and cultural services not elsewhere classified'
	949 'Amusement and recreational services not elsewhere classified'
	951 'Repair services not elsewhere classified'
	952 'Laundries, laundry services, and cleaning and dyeing plants'
	953 'Domestic services'
	959 'Miscellaneous personal services'
	960 'International and other extra-territorial bodies'
/S4BQ6T S4BQ7T S4BQ12T S4BQ15T S4BQ17T S4BQ19T S4BQ21T S4BQ24T S4BQ38T
	1 'Daily'
	2 'Weekly'
	3 'Two weeks'
	4 'Monthly'
	5 'Quarterly'
	6 'Yearly'
/S4BQ8
	1 'Paid employee' 
	2 'Self-employed (non-agricultural) with employees'
	3 'Self-employed (non-agricultural) with NO employees'
	4 'Unpaid family worker (non-agricultural)'
	5 'Self-employed agricultural'
	6 'Self-employed unpaid agricultural'
/S4BQ9
	1 'Working on own or family agri activity'
	2 'Government sector'
	3 'Parastatal'
	4 'NGO'
	5 'International Organization'
	6 'Diplomatic mission'
	7 'Private sector non-agricultural'
	8 'With employees'
	9 'Without employees'
	10 'Unpaid work in family business'
  	99 'Other'
/S4BQ36 
	1 'Myself entirely'
	2 'Employer entirely'
	3 'Cost was shared'
	4 'Free training'
	5 'International agency'
	6 'Other'.
EXECUTE.
*frequecies of all variables to look for possible mistakes in column
 specification or misalignment of data in the original .txt file.

FREQUENCIES
  VARIABLES=rectype to S4BQ38T
  /ORDER=  ANALYSIS .

SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Sectional\Occ_Sec4B.sav'.

*--------------------------------------------------
*Section 4C Secondary Occupation
*-------------------------------------------------

SET
   BLANKS=SYSMIS
  UNDEFINED=WARN.

DATA LIST
  FILE='C:\Sierra Leone_Household Survey_2003\Raw_Data\Temp\Occ_Sec4C.tmp' FIXED RECORDS=1 TABLE /1 
 RECTYPE 	1-2 
 REGION      	3-3   
 DISTRICT    	3-4   
 CHIEFDOM	5-6   
 EA         	7-8   
 URBRUR      	9-9   
 HHNUM      	10-12  
 HHID	      	3-12  
 PID		14-15 
 S4CQ1		16-18  
 S4CQ2Y	19-21  
 S4CQ2MO	22-23  
 S4CQ3		24-24  
 S4CQ4		25-25  
 S4CQ5		26-26  
 S4CQ6		27-27  
 S4CQ7H	28-31  
 S4CQ8		32-33  
 S4CQ9		34-34  
 S4CQ10	35-43  
 S4CQ10T	44-44  
 S4CQ11H	45-48  
 S4CQ11T	49-49  
 S4CQ12	50-51  
 S4CQ13	52-52  
 S4CQ14	53-53  
 S4CQ15	54-62  
 S4CQ15T	63-63  
 S4CQ16	64-64  
 S4CQ17	65-73  
 S4CQ17T	74-74  
 S4CQ18	75-75  
 S4CQ19	76-78  
 S4CQ20	79-80  
 S4CQ20T	81-81  
 S4CQ21	82-85  
 S4CQ22	86-86  
 S4CQ23	87-87  
 S4CQ24	88-88  
 S4CQ25	89-89  
 S4CQ26	90-90 

*sort cases by the key variables.


SORT CASES BY
  hhid (A) pid (A) .


*add variable labels - these are in English so that it will be easier for me to clean.
var lab
	/rectype 	'Record type'
	/region   	'Region'
	/district	 	'District'
	/chiefdom	'Chiefdom'
	/ea		'Enumerator Area'
	/urbrur		'Urban/Rural'
	/hhnum		'Household number'
	/HHID		'Household ID (Key)'
	/PID		'Person ID'
	/S4CQ1		'What kind of trade'  
	/S4CQ2Y	'Years'  
 	/S4CQ2MO	'Month' 
 	/S4CQ3		'Are you still doing the same work'  
 	/S4CQ4		'Why are you not doing the same work'  
 	/S4CQ5		'Did your parents do the same kind'  
 	/S4CQ6		'How many weeks did you work'  
 	/S4CQ7H	'Hours'  
 	/S4CQ8		'How many week did you work on both'  
 	/S4CQ9		'Received money for this work'  
 	/S4CQ10	'What is the amount'  
 	/S4CQ10T	'Time Unit'  
 	/S4CQ11H	'Hours'  
 	/S4CQ11T	'Time unit'  
 	/S4CQ12	'For whom did you work'  
 	/S4CQ13	'Are taxes already deducted from your pay'  
 	/S4CQ14	'Received any payment in the form of food'  
 	/S4CQ15	'What is the value of these goods'  
 	/S4CQ15T	'Time unit'  
 	/S4CQ16	'Received any payment in any form'  
 	/S4CQ17	'How much do you gain from this'  
 	/S4CQ17T	'Time unit'  
 	/S4CQ18	'Is you place of work in this village'  
 	/S4CQ19	'How far away is it'  
 	/S4CQ20	'How often do you go between this house and you place of work'  
 	/S4CQ20T	'Time unit'  
 	/S4CQ21	'How many empolyee in this organization'  
 	/S4CQ22	'Did you sign a contract'  
 	/S4CQ23	'is there any trade union at the place of work'  
 	/S4CQ24	'Any paid holiday or sick leave'  
 	/S4CQ25	'Any social security'  
 	/S4CQ26	'Have you received any training'  

VAL LABELS
/
 /RECTYPE
	14 'Secondary Occupation'	
 /REGION  
   	0 'Southern'
     	1 'Eastern'
     	2 'Northern'
    	3 'Western'
/DISTRICT
	01 'Bo'
	02 'Bonthe'
	03 'Moyamba'
	04 'Pujehun'
	11 'Kailahun'
	12 'Kenema'
	13 'Kono'
	21 'Bombali'
	22 'Kambia'
	23 'Koinadugu'
	24 'Porto Loko'
	25 'Tonkolili'
	31 'Freetown'
	32 'Western Other'
/URBRUR  
     	1 'Urban'
     	2 'Rural'
 /S4CQ1
	111 'Agricultural and livestock production'
	112 'Agricultural services'
	113 'Hunting, trapping and game'
	121 'Forestry'
	122 'Logging'
	130 'Fishing'
	210 'Coal mining'
	220 'Crude petroleum and natural gas production'
	230 'Metal ore mining'
	290 'Other mining'
	311 'Food manufactures'
	313 'Beverage industries'
	314 'Tobacco manufacturers'
	321 'Manufacture of textiles'
	322 'Manufacture of wearing apparel, except footwear'
	323 'Manufacture of leather and products of leather, except footwear and wearing apparel'
	324 'Manufacture of footwear, except vulcanized or mould rubber or plastic footwear'
	331 'Manufacture of wood and cork products, except furniture'
	332 'Manufacture of furniture and fixtures except primarily of metal'
	341 'Manufacture of paper and paper products'
	342 'Printing, publishing and allied industries'
	351 'Manufacture of basic industrial chemicals, including fertilizers'
	352 'Manufacture of other chemical products'
	353 'Petroleum refineries'
	354 'Manufacture of miscellaneous products of petroleum and coal'
	355 'Manufacture of rubber products'
	356 'Manufacture of plastic products not elsewhere classified'
	361 'Manufacture of pottery, china and earthenware'
	362 'Manufacture of glass and glass products'
	369 'Manufacture of other non-metallic mineral products'
	371 'Iron and steel basic industries'
	372 'Non-ferrous metal basic industries'
	381 'Manufacture of fabricated metal products, except machinery and equipment'
	382 'Manufacture of machinery except electrical'
	383 'Manufacture of electrical machinery apparatus, appliances and supplies'
	384 'Manufacture of transport equipment'
	385 'Manufacture of professional and scientific equipment, measuring and controlling instruments not elsew'
	390 'Other manufacturing industries'
	410 'Electricity, gas and steam'
	420 'Water works and supply'
	500 'Construction'
	610 'Wholesale trade'
	620 'Retail Trade'
	631 'Restaurants, cafes, other eating and drinking places'
	632 'Hotels, rooming houses, camps and other lodging places'
	711 'Land transport'
	712 'Water transport'
	713 'Air transport'
	719 'Services allied to transport'
	720 'Communication'
	810 'Financial institutions'
	820 'Insurance'
	831 'Real estate'
	832 'Business services except machinery rental and leasing'
	833 'Machinery rental and leasing'
	910 'Public administration and defence'
	920 'Sanitary and similar services'
	931 'Education services'
	932 'Research and scientific institutes'
	933 'Medical, dental, other health and veterinary services'
	934 'Welfare institutions'
	935 'Business, professional and labour associations'
	939 'Other social and related community services'
	941 'Motion picture and other entertainment services'
	942 'Libraries, museums, botanical and zoological gardens, and cultural services not elsewhere classified'
	949 'Amusement and recreational services not elsewhere classified'
	951 'Repair services not elsewhere classified'
	952 'Laundries, laundry services, and cleaning and dyeing plants'
	953 'Domestic services'
	959 'Miscellaneous personal services'
	960 'International and other extra-territorial bodies	  
 /S4CQ3 S4CQ5 S4CQ9	S4CQ13 S4CQ14 S4CQ16 S4CQ18 S4CQ22 S4CQ23 S4CQ24 S4CQ25 S4CQ26	   
	1 'Yes'
	2 'No'	  
 /S4CQ4
	1 'Sacked from job'
	2 'Job completed'
	3 'Seasonal work'
	4 'Firm closed'
	5 'Found other work'
	6 'Other' 
/S4CQ11T
	1 ' Daily'
	2 'Weekly'
	3 'Two weeks'
	4 'Monthly'
	5 'Quarterly'
	6 'Yearly'	  		  		  		  	  		 	  	  
 /S4CQ12
	1 ''Working on own '
	2 'Government sector'
	3 'Parastatal'
	4 'NGO'
	5 'Co-operatives'
	6 'International Organization'
	7 'Private sector'
	8 'Self Employed'
	9 'Self employed in business with employee'
	10 'Self employed in business without employee'
	11 'Unpaid work in a family business'
	12 'Others'	   	  	  	  	  
 S4CQ15T
	1 ' Daily'
	2 'Weekly'
	3 'Two weeks'
	4 'Monthly'
	5 'Quarterly'
	6 'Yearly'	  
 /S4CQ20T
	1 ' Daily'
	2 'Weekly'
	3 'Two weeks'
	4 'Monthly'
	5 'Quarterly'
	6 'Yearly'.	  	  
 EXECUTE.
*frequecies of all variables to look for possible mistakes in column
 *specification or misalignment of data in the original .txt file.

FREQUENCIES
  VARIABLES=rectype to  S4CQ26
  /ORDER=  ANALYSIS .

SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Sectional\Occ_Sec4C.sav'.


*--------------------------------------------------
*Section 4F: Time use
*-------------------------------------------------

SET
   BLANKS=SYSMIS
  UNDEFINED=WARN.

DATA LIST
  FILE='C:\Sierra Leone_Household Survey_2003\Raw_Data\Temp\Occ_Sec4F.tmp'
RECORDS=1 TABLE /1 
 RECTYPE 	1-2 
 REGION      	3-3   
 DISTRICT    	3-4   
 CHIEFDOM	5-6   
 EA         	7-8   
 URBRUR      	9-9   
 HHNUM      	10-12  
 HHID	      	3-12  
 PID		14-15  
S4FQ1		16-17
S4FQ2		18-19
S4FQ3		20-20
S4FQ4		21-21
S4FQ5		22-22
S4FQ6		23-24
S4FQ7		25-25
S4FQ8		26-26
S4FQ9		27-27
S4FQ10	28-28	
S4FQ11	29-29
S4FQ12	30-32
S4FQ13	33-33
S4FQ14	34-35
S4FQ15	36-36
S4FQ16	37-38
.
EXECUTE.


*sort cases by the key variables.


SORT CASES BY
  hhid (A) pid (A) .


*add variable labels - these are in English so that it will be easier for me to clean.

var lab
	/rectype 	'Record type'
	/region   	'Region'
	/district	 	'District'
	/chiefdom	'Chiefdom'
	/ea		'Enumerator Area'
	/urbrur		'Urban/Rural'
	/hhnum		'Household number'
	/HHID		'Household ID (Key)'
	/PID		'Person ID'
	/S4FQ1		"Weeks without work in the last 12 months?'	
	/S4FQ2		'Weeks available for work in the last 12 months?'
	/S4FQ3		'Available for full or part time?'
	/S4FQ4		'Any effort made to find work in the last 12 months?'
	/S4FQ5		'Why didnt you look for work in last 12 months?'
	/S4FQ6		'How many weeks actively seeking work?'
	/S4FQ7		'Reason for not looking'
	/S4FQ8		'What did you do to secure work in the last 12 months?'
	/S4FQ9		'Looking for wage or self employed or either?'
	/S4FQ10	'Are you still unemployed?'
	/S4FQ11	'How long unemployed?'
	/S4FQ12	'Work done in last job?'
	/S4FQ13	'What type of work do you hope for now?'
	/S4FQ14	'How will you capitalize your business?'
	/S4FQ15	"Recevied or receiving training?'
	/S4FQ16	'How was your training financed?'

*add variable labels - these are in English so that it will be easier for me to clean.

VAL LABELS
/
 /RECTYPE
	18 'Housekeeping'	
 /REGION  
   	0 'Southern'
     	1 'Eastern'
     	2 'Northern'
    	3 'Western'
/DISTRICT
	01 'Bo'
	02 'Bonthe'
	03 'Moyamba'
	04 'Pujehun'
	11 'Kailahun'
	12 'Kenema'
	13 'Kono'
	21 'Bombali'
	22 'Kambia'
	23 'Koinadugu'
	24 'Porto Loko'
	25 'Tonkolili'
	31 'Freetown'
	32 'Western Other'
/URBRUR  
     	1 'Urban'
     	2 'Rural'
/S4FQ3	
	1 'Full time'
	2 'Part time'
	3 'Both'	
/S4FQ4 S4FQ10
	1 'Yes'
	2 'No'
/S4FQ5	
	1 'Thought no work available'
	2 'Awaiting reply from application'
	3 Awaiting to start arranged job'
	4 'Off season agriculture'
	5 'Other'		
/S4FQ7	
	1 'Thought no work available'
	2 'Awaiting reply from application'
	3 Awaiting to start arranged job'
	4 'Off season agriculture'
	5 'Occupied with home duties'
	6 'Illness'
	7 'Full time student'
	8 'Personal'
	9 'Other'
/S4FQ8	
	1 'Applied to prospective employer'
	2 'Checked at farms, factories or work sites'
	3 'Asked friends and relatives'
	4 'Took action to start business'
	5 'Other'	
/S4FQ9	
	1 ''Wage work'
	2 'Self employment'
	3 'Either'	
/S4FQ11	
	1 'Less than 1 month'
	2 '1-3 months'
	3 '3-6 months'
	4 '6 months-1 year'
	5 '1-2 years'
	6 'Greater than 2 years'
	7 'Not applicable'
/S4FQ12	
/S4FQ13	
	1 'Paid employment'
	2 'Self employment-non ag'
	3 'Self employment-ag'
	4 'Other'
/S4FQ14
	1 'Parents support'
	2 'Loans'
	3 'Remittance from abroad'
	4 'Proceeds from family farm'
	5 'Proceeds from family non-farm enterprise'
	6 'Income from family property'
	7 'Association support'
	8 'Church associations'
	9 'Relatives and friends'
	99 'Other'	
/S4FQ15	
	1 'Yes-formal'
	2 'Yes-informal'
	3 'No'
/S4FQ16
	1 'Paid by parents'
	2 'From personal savings'
	3 'Loans'
	4 'Remittance from abroad'
	5 'Proceeds from family farm'
	6 'Proceeds from family non-farm enterprise'
	7 'Income from family property'
	8 'NGO Support'
	9 'Government scholarship'
	10 'Association support'
	11 'Church assistance'
	12 'Relatives and friends'
	13 'Other'.
EXECUTE.

FREQUENCIES
  VARIABLES=rectype to S4FQ16
  /ORDER=  ANALYSIS .
	
SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Sectional\Occ_Sec4F.sav'.


*--------------------------------------------------
*Section 4G:Activity Status 
*-------------------------------------------------
SET
   BLANKS=SYSMIS
  UNDEFINED=WARN.

DATA LIST
  FILE='C:\Sierra Leone_Household Survey_2003\Raw_Data\Temp\Occ_Sec4G.tmp'
RECORDS=1 TABLE /1 
 RECTYPE 	1-2 
 REGION      	3-3   
 DISTRICT    	3-4   
 CHIEFDOM	5-6   
 EA         	7-8   
 URBRUR      	9-9   
 HHNUM      	10-12  
 HHID	      	3-12  
 PID		14-15  
 S4GQ1		16-16  
 S4GQ2		17-19  
 S4GQ3		20-22  
 S4GQ3OC2   	23-25  
 S4GQ3OC3 	26-28  
 S4GQ3TOT	29-31  
 S4GQ4		32-32  
 S4GQ5		33-33  
 S4GQ6		34-34  
 S4GQ7		35-35  
 S4GQ8		36-36  
 S4GQ9		37-37  
 S4GQ10	38-39  
 S4GQ11	40-40  
 S4GQ12	41-41  
 S4GQ13	42-42  
 S4GQ14	43-43  
 S4GQ15	44-44  
 S4GQ16	45-45  
 S4GQ17	46-46  
 S4GQ18	47-49  
 S4GQ19	50-52  
 S4GQ20	53-61  
 S4GQ20T	62-62.
EXECUTE.
  

SORT CASES BY
  hhid (A) pid (A) .


*add variable labels - these are in English so that it will be easier for me to clean.

var lab
	/rectype 	'Record type'
	/region   	'Region'
	/district	 	'District'
	/chiefdom	'Chiefdom'
	/ea		'Enumerator Area'
	/urbrur		'Urban/Rural'
	/hhnum		'Household number'
	/HHID		'Household ID (Key)'
	/PID		'Person ID'
 	/S4GQ1		'Did you do any work for pay?'  
 	/S4GQ2		'What is your main activity?'  
 	/S4GQ3		'How many hours did you work each day?'  
 	/S4GQ3OC2   	'How many hours did you work each day?'   
 	/S4GQ3OC3 	'How many hours did you work each day?'  
 	/S4GQ3TOT	'How many hours did you work each day?'   
 	/S4GQ4		'Did you want to work more hours?'  
 	/S4GQ5		'Did you look for replacement work?'  
 	/S4GQ6		'Where you available for work during the last 7 days?'  
 	/S4GQ7		'Why were you not available for work?'  
 	/S4GQ8		'Where you available for full time or part time work?'  
 	/S4GQ9		'Have you made any effort to find work?'  
 	/S4GQ10	'Why have not made any effort'  
 	/S4GQ11	'What did you do in the past 7 days to find work?'  
 	/S4GQ12	'Where you mainly looking for work?'  
 	/S4GQ13	'Did you make any effort to work for the government?'  
 	/S4GQ14	'Did you make any effort to work in a private firm?'  
 	/S4GQ15	'Did youmake any effort to work?'  
 	/S4GQ16	'Did you seek work in another intitution?'  
 	/S4GQ17	'How long have you been available for work?'  
 	/S4GQ18	'How long have you been unemployed?'  
 	/S4GQ19	'What sort of work did you do in your last job?'  
 	/S4GQ20	 'What is the lowest wage for which you are willing to work?' 
 	/S4GQ20T	'Time unit'

VAL LABELS
/
 /RECTYPE
	16 'Activity Status'	
 /REGION  
   	0 'Southern'
     	1 'Eastern'
     	2 'Northern'
    	3 'Western'
/DISTRICT
	01 'Bo'
	02 'Bonthe'
	03 'Moyamba'
	04 'Pujehun'
	11 'Kailahun'
	12 'Kenema'
	13 'Kono'
	21 'Bombali'
	22 'Kambia'
	23 'Koinadugu'
	24 'Porto Loko'
	25 'Tonkolili'
	31 'Freetown'
	32 'Western Other'
/URBRUR  
     	1 'Urban'
     	2 'Rural'
/S4GQ1
	1 'Yes'
	2 'No'
/S4GQ2 
	000 'Economically inactive'
 	001 'Physical Scientists and Related Technicians'
 	002 'Architects and Related Technicians'
 	003 'Engineers and Related Technicians'
 	004 'Aircraft and Ships Officers'
 	005 'Life Scientists and Related Technicians'
 	006 'Other Occupation'
 	007 'Not working'     
 	008 'Dental, Veterinary and Related workers'
 	009 'Statisticians, Mathematicians, Systems Analysts and Related Technicians'
 	010 'Economists'
 	011 'Accountants'
 	012 'Jurists (e.g. Lawyers, Judges)'
 	013 'Teachers'
 	014 'Workers in Religion'
 	015 'Authors, Journalists and Related Writers'
 	016 'Sculptors, Painters, Photographers and Related Creative Artists'
 	017 'Composers and Performing Artists'
 	018 'Athletes, Sportsmen and Related workers'
 	019 'Professional, Technical and Related Workers Not Elsewhere Classified'
	020 'Legislative Officials and Government Administrators '
	021 'Managers'
	030 'Clerical and Related Workers'
	031 'Government Executive Officials'	
	032 'Stenographers, Typists and Card and Tape-Punch Machine Operators'
	033 'Book-keepers, Cashiers and Related Workers'
	034 'Computing Machine Operators'
	035 'Transport and Communications Supervisors'
	036 'Transport Conductors'
	037 'Mail Distribution Clerks'
	038 'Telephone and Telegraph Operators'
	039 'Clerical and Related Workers Not Elsewhere Classified'
	040 'Managers (Wholesale and Retail Trade)'
	041 'Working Proprietors (Wholesale and Retail Trade)'
	042 'Sales Supervisors and Buyers'
	043 'Technical Salesmen, Commercial Travellers and Manufacturers Agents'
	044 'Insurance, Real Estate Securities and Business Services, Salesmen and Auctioneers'
	045 'Salesmen, Shop Assistants and Related Workers'
	046 'Wholesale Market Traders'
	047 'Retail Market Traders'     
	048 'Hawkers, Street and Pavement Vendors'
	049 'Sales Workers Not Elsewhere Classified'
	050 'Managers (Catering, Lodging Services)'
	051 'Working Proprietors (Catering and Lodging Services)'
	052 'Housekeeping and Related Service Supervisors'
	053 'Cooks, Waiters, Bartenders and Related Workers'
	054 'Maids and Related Housekeeping Service workers Not Elsewhere Classified'
	055 'Building Caretakers, Charworkers, Cleaners and Related Workers'
	056 'Launderers, Dry-Cleaners and Pressers'
	057 'Hairdressers, Barbers, Beauticians and Related Workers'
	058 'Protective Service Workers'
	059 'Service Workers Not Elsewhere Classified'
	060 'Farm Managers and Supervisors'
	061 'Farmers'
	062 'Agricultural and Animal Husbandry Workers'
	063 'Forestry Workers'
	064 'Fishermen, Hunters and Related Workers' 
	070 'Production Supervisors and General Foremen'
	071 'Miners, Quarrymen, Well Drillers and Related Workers'
	072 'Metal Processors'
	073 'Wood Preparation Workers and Paper makers'
	074 'chemical Processors and Related Workers'
	075 'Spinners, Weavers, Knitters, Dyers and Related Workers'
	076 'Tanners, Fellmongers and Pelt Dressers'
	077 'Food and Beverage Processors'
	078 'Tobacco Preparers and Tobacco Products Makers'
	079 'Tailors, Dressmakers, Sewers, Upholsterers and Related Workers'
	080 'Shoemakers and Leather Goods Makers'
	081 'Cabinetmakers and Related Wood Workers'
	082 'Stone Carvers and (Stone) Cutters'
	083 'Blacksmith, Toolmakers and Machine Tool Operators'
	084 'Machinery Fitters, Machine Assemblers and Precision-Instrument Makers (Except Electrical)'
	085 'Electrical Fitters and Related Electrical and Electronics Workers'
	086 'Broadcasting Station and Sound-Equipment Operators and Cinema Projectionists'
	087 'Plumbers, Welders, Sheet-Metal and structural Metal Preparers and Erectors'
	088 'Jewellery and Precious Metal Workers'
	089 'Glass formers, Potters and Related Workers'
	090 'Rubber and Plastics Product Makers'
	091 'Paper and Paperboard Products Makers'
	092 'Printers and Related Workers'
	093 'Painters'
	094 'Production and Related workers Not Elsewhere Classified'
	095 'Bricklayers, Carpenters and Other Construction Workers'
	096 'Stationary Engine and Related Equipment Operators'
	097 'Material Handling and Related Equipment Operators, Dockers and Freight Handlers'
	098 'Transport Equipment Operators'
	099 'Labourers Not Elsewhere Classified'
	100 'Workers'
	101 'New Workers Seeking Employment'
	102 'Workers Reporting Occupation Unidentifiable or Inadequately Described'
	103 'Workers Not Reporting Any Occupation'   	  
 /S4GQ4 S4GQ5 S4GQ6 S4GQ9 S4GQ13 S4GQ14 S4GQ15 S4GQ16	  
	1 'Yes'
	2 'No'		  	  
 /S4GQ7
	1 'In school'
	2 'Household duties'
	3 'Too old'
	4 'Sick'
	5 'Disabled'
	6 'Other'		  
 /S4GQ8
	1 'Full-Time'
	2 'Part Time'
	3 'Others'		  
 /S4GQ10
	1 'Thought no work available'
	2 'Awaiting reply to earlier enquiries'
	3 'Waiting to start arranged job, business or agriculture'
	4 'Off season in agriculture'
	5 'Occupied with home duties'
	6 'Illness or injury'
	7 'Full-time student
	8 'Trying to set up a new business'
	9 'On vacation'	  
	10 'Other'
 /S4GQ11
	1 'Applied to prospective employers'
	2 'Checked at firms, factories or work sites'
	3 'Asked friends and relatives'
	4 'Took action to start business'
	5 'Took action to start agricultural activities.'
	6 'Others'	  
 /S4GQ12
	1 'Wage employment'
	2 'Self employment'
	3 'Either'	  
 /S4GQ17
	1 'Less than 1 month'
	2 '1 month but less than three months'
	3 '3 months but less than 6 months'
	4 '6 months but less than 1 year'
	5 '1 year but less than 2 years'
	6 '2 years and over'	  
 /S4GQ19
	000 'Economically inactive'
 	001 'Physical Scientists and Related Technicians'
 	002 'Architects and Related Technicians'
 	003 'Engineers and Related Technicians'
 	004 'Aircraft and Ships Officers'
 	005 'Life Scientists and Related Technicians'
 	006 'Medical and Related workers'
 	007 'Professional Nurses'     
 	008 'Dental, Veterinary and Related workers'
 	009 'Statisticians, Mathematicians, Systems Analysts and Related Technicians'
 	010 'Economists'
 	011 'Accountants'
 	012 'Jurists (e.g. Lawyers, Judges)'
 	013 'Teachers'
 	014 'Workers in Religion'
 	015 'Authors, Journalists and Related Writers'
 	016 'Sculptors, Painters, Photographers and Related Creative Artists'
 	017 'Composers and Performing Artists'
 	018 'Athletes, Sportsmen and Related workers'
 	019 'Professional, Technical and Related Workers Not Elsewhere Classified'
	020 'Legislative Officials and Government Administrators '
	021 'Managers'
	030 'Clerical and Related Workers'
	031 'Government Executive Officials'	
	032 'Stenographers, Typists and Card and Tape-Punch Machine Operators'
	033 'Book-keepers, Cashiers and Related Workers'
	034 'Computing Machine Operators'
	035 'Transport and Communications Supervisors'
	036 'Transport Conductors'
	037 'Mail Distribution Clerks'
	038 'Telephone and Telegraph Operators'
	039 'Clerical and Related Workers Not Elsewhere Classified'
	040 'Managers (Wholesale and Retail Trade)'
	041 'Working Proprietors (Wholesale and Retail Trade)'
	042 'Sales Supervisors and Buyers'
	043 'Technical Salesmen, Commercial Travellers and Manufacturers Agents'
	044 'Insurance, Real Estate Securities and Business Services, Salesmen and Auctioneers'
	045 'Salesmen, Shop Assistants and Related Workers'
	046 'Wholesale Market Traders'
	047 'Retail Market Traders'     
	048 'Hawkers, Street and Pavement Vendors'
	049 'Sales Workers Not Elsewhere Classified'
	050 'Managers (Catering, Lodging Services)'
	051 'Working Proprietors (Catering and Lodging Services)'
	052 'Housekeeping and Related Service Supervisors'
	053 'Cooks, Waiters, Bartenders and Related Workers'
	054 'Maids and Related Housekeeping Service workers Not Elsewhere Classified'
	055 'Building Caretakers, Charworkers, Cleaners and Related Workers'
	056 'Launderers, Dry-Cleaners and Pressers'
	057 'Hairdressers, Barbers, Beauticians and Related Workers'
	058 'Protective Service Workers'
	059 'Service Workers Not Elsewhere Classified'
	060 'Farm Managers and Supervisors'
	061 'Farmers'
	062 'Agricultural and Animal Husbandry Workers'
	063 'Forestry Workers'
	064 'Fishermen, Hunters and Related Workers' 
	070 'Production Supervisors and General Foremen'
	071 'Miners, Quarrymen, Well Drillers and Related Workers'
	072 'Metal Processors'
	073 'Wood Preparation Workers and Paper makers'
	074 'chemical Processors and Related Workers'
	075 'Spinners, Weavers, Knitters, Dyers and Related Workers'
	076 'Tanners, Fellmongers and Pelt Dressers'
	077 'Food and Beverage Processors'
	078 'Tobacco Preparers and Tobacco Products Makers'
	079 'Tailors, Dressmakers, Sewers, Upholsterers and Related Workers'
	080 'Shoemakers and Leather Goods Makers'
	081 'Cabinetmakers and Related Wood Workers'
	082 'Stone Carvers and (Stone) Cutters'
	083 'Blacksmith, Toolmakers and Machine Tool Operators'
	084 'Machinery Fitters, Machine Assemblers and Precision-Instrument Makers (Except Electrical)'
	085 'Electrical Fitters and Related Electrical and Electronics Workers'
	086 'Broadcasting Station and Sound-Equipment Operators and Cinema Projectionists'
	087 'Plumbers, Welders, Sheet-Metal and structural Metal Preparers and Erectors'
	088 'Jewellery and Precious Metal Workers'
	089 'Glass formers, Potters and Related Workers'
	090 'Rubber and Plastics Product Makers'
	091 'Paper and Paperboard Products Makers'
	092 'Printers and Related Workers'
	093 'Painters'
	094 'Production and Related workers Not Elsewhere Classified'
	095 'Bricklayers, Carpenters and Other Construction Workers'
	096 'Stationary Engine and Related Equipment Operators'
	097 'Material Handling and Related Equipment Operators, Dockers and Freight Handlers'
	098 'Transport Equipment Operators'
	099 'Labourers Not Elsewhere Classified'
	100 'Workers'
	101 'New Workers Seeking Employment'
	102 'Workers Reporting Occupation Unidentifiable or Inadequately Described'
	103 'Workers Not Reporting Any Occupation'.
EXECUTE.	  	  
 
FREQUENCIES
  VARIABLES=rectype to S4GQ20T
  /ORDER=  ANALYSIS .
	
SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Sectional\Occ_Sec4G.sav'.

*--------------------------------------------------
*Section 4H: Employment History
*-------------------------------------------------
SET
   BLANKS=SYSMIS
  UNDEFINED=WARN.

DATA LIST
  FILE='C:\Sierra Leone_Household Survey_2003\Raw_Data\Temp\Occ_Sec4H.tmp'
RECORDS=1 TABLE /1 
 RECTYPE 	1-2 
 REGION      	3-3   
 DISTRICT    	3-4   
 CHIEFDOM	5-6   
 EA         	7-8   
 URBRUR      	9-9   
 HHNUM      	10-12  
 HHID	      	3-12  
 PID		14-15   
 S4HQ1		16-18 
 S4HQ2		19-19 
 S4HQ3		20-21  
 S4HQ4		22-24 
 S4HQ5		25-27 
 S4HQ6		28-30  
 S4HQ7		31-31 
 S4HQ8		32-32  
 S4HQ9		33-33.  
EXECUTE.

*sort cases by the key variables.


SORT CASES BY
  hhid (A) pid (A) .


*add variable labels - these are in English so that it will be easier for me to clean.

var lab
	/rectype 	'Record type'
	/region   	'Region'
	/district	 	'District'
	/chiefdom	'Chiefdom'
	/ea		'Enumerator Area'
	/urbrur		'Urban/Rural'
	/hhnum		'Household number'
	/HHID		'Household ID (Key)'
	/PID		'Person ID'
 	/S4HQ1		'Respondent main occupation' 
 	/S4HQ2		'Ever worked for free' 
 	/S4HQ3		'How many years ago did you last work?'  
 	/S4HQ4		'What work was that' 
 	/S4HQ5		'What was you main occupation before you were employed?' 
 	/S4HQ6		'What kind of trade'  
 	/S4HQ7		'Were you working for regular pay?' 
 	/S4HQ8		'For whom were you working'  
 	/S4HQ9		'How long did you work?'  

VAL LABELS
/
 /RECTYPE
	18 'Housekeeping'	
 /REGION  
   	0 'Southern'
     	1 'Eastern'
     	2 'Northern'
    	3 'Western'
/DISTRICT
	01 'Bo'
	02 'Bonthe'
	03 'Moyamba'
	04 'Pujehun'
	11 'Kailahun'
	12 'Kenema'
	13 'Kono'
	21 'Bombali'
	22 'Kambia'
	23 'Koinadugu'
	24 'Porto Loko'
	25 'Tonkolili'
	31 'Freetown'
	32 'Western Other'
/URBRUR  
     	1 'Urban'
     	2 'Rural'
 /S4HQ1
	000 'Economically inactive'
 	001 'Physical Scientists and Related Technicians'
 	002 'Architects and Related Technicians'
 	003 'Engineers and Related Technicians'
 	004 'Aircraft and Ships Officers'
 	005 'Life Scientists and Related Technicians'
 	006 'Medical and Related workers'
 	007 'Professional Nurses'     
 	008 'Dental, Veterinary and Related workers'
 	009 'Statisticians, Mathematicians, Systems Analysts and Related Technicians'
 	010 'Economists'
 	011 'Accountants'
 	012 'Jurists (e.g. Lawyers, Judges)'
 	013 'Teachers'
 	014 'Workers in Religion'
 	015 'Authors, Journalists and Related Writers'
 	016 'Sculptors, Painters, Photographers and Related Creative Artists'
 	017 'Composers and Performing Artists'
 	018 'Athletes, Sportsmen and Related workers'
 	019 'Professional, Technical and Related Workers Not Elsewhere Classified'
	020 'Legislative Officials and Government Administrators '
	021 'Managers'
	030 'Clerical and Related Workers'
	031 'Government Executive Officials'	
	032 'Stenographers, Typists and Card and Tape-Punch Machine Operators'
	033 'Book-keepers, Cashiers and Related Workers'
	034 'Computing Machine Operators'
	035 'Transport and Communications Supervisors'
	036 'Transport Conductors'
	037 'Mail Distribution Clerks'
	038 'Telephone and Telegraph Operators'
	039 'Clerical and Related Workers Not Elsewhere Classified'
	040 'Managers (Wholesale and Retail Trade)'
	041 'Working Proprietors (Wholesale and Retail Trade)'
	042 'Sales Supervisors and Buyers'
	043 'Technical Salesmen, Commercial Travellers and Manufacturers Agents'
	044 'Insurance, Real Estate Securities and Business Services, Salesmen and Auctioneers'
	045 'Salesmen, Shop Assistants and Related Workers'
	046 'Wholesale Market Traders'
	047 'Retail Market Traders'     
	048 'Hawkers, Street and Pavement Vendors'
	049 'Sales Workers Not Elsewhere Classified'
	050 'Managers (Catering, Lodging Services)'
	051 'Working Proprietors (Catering and Lodging Services)'
	052 'Housekeeping and Related Service Supervisors'
	053 'Cooks, Waiters, Bartenders and Related Workers'
	054 'Maids and Related Housekeeping Service workers Not Elsewhere Classified'
	055 'Building Caretakers, Charworkers, Cleaners and Related Workers'
	056 'Launderers, Dry-Cleaners and Pressers'
	057 'Hairdressers, Barbers, Beauticians and Related Workers'
	058 'Protective Service Workers'
	059 'Service Workers Not Elsewhere Classified'
	060 'Farm Managers and Supervisors'
	061 'Farmers'
	062 'Agricultural and Animal Husbandry Workers'
	063 'Forestry Workers'
	064 'Fishermen, Hunters and Related Workers' 
	070 'Production Supervisors and General Foremen'
	071 'Miners, Quarrymen, Well Drillers and Related Workers'
	072 'Metal Processors'
	073 'Wood Preparation Workers and Paper makers'
	074 'chemical Processors and Related Workers'
	075 'Spinners, Weavers, Knitters, Dyers and Related Workers'
	076 'Tanners, Fellmongers and Pelt Dressers'
	077 'Food and Beverage Processors'
	078 'Tobacco Preparers and Tobacco Products Makers'
	079 'Tailors, Dressmakers, Sewers, Upholsterers and Related Workers'
	080 'Shoemakers and Leather Goods Makers'
	081 'Cabinetmakers and Related Wood Workers'
	082 'Stone Carvers and (Stone) Cutters'
	083 'Blacksmith, Toolmakers and Machine Tool Operators'
	084 'Machinery Fitters, Machine Assemblers and Precision-Instrument Makers (Except Electrical)'
	085 'Electrical Fitters and Related Electrical and Electronics Workers'
	086 'Broadcasting Station and Sound-Equipment Operators and Cinema Projectionists'
	087 'Plumbers, Welders, Sheet-Metal and structural Metal Preparers and Erectors'
	088 'Jewellery and Precious Metal Workers'
	089 'Glass formers, Potters and Related Workers'
	090 'Rubber and Plastics Product Makers'
	091 'Paper and Paperboard Products Makers'
	092 'Printers and Related Workers'
	093 'Painters'
	094 'Production and Related workers Not Elsewhere Classified'
	095 'Bricklayers, Carpenters and Other Construction Workers'
	096 'Stationary Engine and Related Equipment Operators'
	097 'Material Handling and Related Equipment Operators, Dockers and Freight Handlers'
	098 'Transport Equipment Operators'
	099 'Labourers Not Elsewhere Classified'
	100 'Workers'
	101 'New Workers Seeking Employment'
	102 'Workers Reporting Occupation Unidentifiable or Inadequately Described'
	103 'Workers Not Reporting Any Occupation'			 
 /S4HQ2
	1 'Yes'
	2 'No'		 		  
 /S4HQ4
	000 'Economically inactive'
 	001 'Physical Scientists and Related Technicians'
 	002 'Architects and Related Technicians'
 	003 'Engineers and Related Technicians'
 	004 'Aircraft and Ships Officers'
 	005 'Life Scientists and Related Technicians'
 	006 'Medical and Related workers'
 	007 'Professional Nurses'     
 	008 'Dental, Veterinary and Related workers'
 	009 'Statisticians, Mathematicians, Systems Analysts and Related Technicians'
 	010 'Economists'
 	011 'Accountants'
 	012 'Jurists (e.g. Lawyers, Judges)'
 	013 'Teachers'
 	014 'Workers in Religion'
 	015 'Authors, Journalists and Related Writers'
 	016 'Sculptors, Painters, Photographers and Related Creative Artists'
 	017 'Composers and Performing Artists'
 	018 'Athletes, Sportsmen and Related workers'
 	019 'Professional, Technical and Related Workers Not Elsewhere Classified'
	020 'Legislative Officials and Government Administrators '
	021 'Managers'
	030 'Clerical and Related Workers'
	031 'Government Executive Officials'	
	032 'Stenographers, Typists and Card and Tape-Punch Machine Operators'
	033 'Book-keepers, Cashiers and Related Workers'
	034 'Computing Machine Operators'
	035 'Transport and Communications Supervisors'
	036 'Transport Conductors'
	037 'Mail Distribution Clerks'
	038 'Telephone and Telegraph Operators'
	039 'Clerical and Related Workers Not Elsewhere Classified'
	040 'Managers (Wholesale and Retail Trade)'
	041 'Working Proprietors (Wholesale and Retail Trade)'
	042 'Sales Supervisors and Buyers'
	043 'Technical Salesmen, Commercial Travellers and Manufacturers Agents'
	044 'Insurance, Real Estate Securities and Business Services, Salesmen and Auctioneers'
	045 'Salesmen, Shop Assistants and Related Workers'
	046 'Wholesale Market Traders'
	047 'Retail Market Traders'     
	048 'Hawkers, Street and Pavement Vendors'
	049 'Sales Workers Not Elsewhere Classified'
	050 'Managers (Catering, Lodging Services)'
	051 'Working Proprietors (Catering and Lodging Services)'
	052 'Housekeeping and Related Service Supervisors'
	053 'Cooks, Waiters, Bartenders and Related Workers'
	054 'Maids and Related Housekeeping Service workers Not Elsewhere Classified'
	055 'Building Caretakers, Charworkers, Cleaners and Related Workers'
	056 'Launderers, Dry-Cleaners and Pressers'
	057 'Hairdressers, Barbers, Beauticians and Related Workers'
	058 'Protective Service Workers'
	059 'Service Workers Not Elsewhere Classified'
	060 'Farm Managers and Supervisors'
	061 'Farmers'
	062 'Agricultural and Animal Husbandry Workers'
	063 'Forestry Workers'
	064 'Fishermen, Hunters and Related Workers' 
	070 'Production Supervisors and General Foremen'
	071 'Miners, Quarrymen, Well Drillers and Related Workers'
	072 'Metal Processors'
	073 'Wood Preparation Workers and Paper makers'
	074 'chemical Processors and Related Workers'
	075 'Spinners, Weavers, Knitters, Dyers and Related Workers'
	076 'Tanners, Fellmongers and Pelt Dressers'
	077 'Food and Beverage Processors'
	078 'Tobacco Preparers and Tobacco Products Makers'
	079 'Tailors, Dressmakers, Sewers, Upholsterers and Related Workers'
	080 'Shoemakers and Leather Goods Makers'
	081 'Cabinetmakers and Related Wood Workers'
	082 'Stone Carvers and (Stone) Cutters'
	083 'Blacksmith, Toolmakers and Machine Tool Operators'
	084 'Machinery Fitters, Machine Assemblers and Precision-Instrument Makers (Except Electrical)'
	085 'Electrical Fitters and Related Electrical and Electronics Workers'
	086 'Broadcasting Station and Sound-Equipment Operators and Cinema Projectionists'
	087 'Plumbers, Welders, Sheet-Metal and structural Metal Preparers and Erectors'
	088 'Jewellery and Precious Metal Workers'
	089 'Glass formers, Potters and Related Workers'
	090 'Rubber and Plastics Product Makers'
	091 'Paper and Paperboard Products Makers'
	092 'Printers and Related Workers'
	093 'Painters'
	094 'Production and Related workers Not Elsewhere Classified'
	095 'Bricklayers, Carpenters and Other Construction Workers'
	096 'Stationary Engine and Related Equipment Operators'
	097 'Material Handling and Related Equipment Operators, Dockers and Freight Handlers'
	098 'Transport Equipment Operators'
	099 'Labourers Not Elsewhere Classified'
	100 'Workers'
	101 'New Workers Seeking Employment'
	102 'Workers Reporting Occupation Unidentifiable or Inadequately Described'
	103 'Workers Not Reporting Any Occupation'	 
 /S4HQ5
	000 'Economically inactive'
 	001 'Physical Scientists and Related Technicians'
 	002 'Architects and Related Technicians'
 	003 'Engineers and Related Technicians'
 	004 'Aircraft and Ships Officers'
 	005 'Life Scientists and Related Technicians'
 	006 'Medical and Related workers'
 	007 'Professional Nurses'     
 	008 'Dental, Veterinary and Related workers'
 	009 'Statisticians, Mathematicians, Systems Analysts and Related Technicians'
 	010 'Economists'
 	011 'Accountants'
 	012 'Jurists (e.g. Lawyers, Judges)'
 	013 'Teachers'
 	014 'Workers in Religion'
 	015 'Authors, Journalists and Related Writers'
 	016 'Sculptors, Painters, Photographers and Related Creative Artists'
 	017 'Composers and Performing Artists'
 	018 'Athletes, Sportsmen and Related workers'
 	019 'Professional, Technical and Related Workers Not Elsewhere Classified'
	020 'Legislative Officials and Government Administrators '
	021 'Managers'
	030 'Clerical and Related Workers'
	031 'Government Executive Officials'	
	032 'Stenographers, Typists and Card and Tape-Punch Machine Operators'
	033 'Book-keepers, Cashiers and Related Workers'
	034 'Computing Machine Operators'
	035 'Transport and Communications Supervisors'
	036 'Transport Conductors'
	037 'Mail Distribution Clerks'
	038 'Telephone and Telegraph Operators'
	039 'Clerical and Related Workers Not Elsewhere Classified'
	040 'Managers (Wholesale and Retail Trade)'
	041 'Working Proprietors (Wholesale and Retail Trade)'
	042 'Sales Supervisors and Buyers'
	043 'Technical Salesmen, Commercial Travellers and Manufacturers Agents'
	044 'Insurance, Real Estate Securities and Business Services, Salesmen and Auctioneers'
	045 'Salesmen, Shop Assistants and Related Workers'
	046 'Wholesale Market Traders'
	047 'Retail Market Traders'     
	048 'Hawkers, Street and Pavement Vendors'
	049 'Sales Workers Not Elsewhere Classified'
	050 'Managers (Catering, Lodging Services)'
	051 'Working Proprietors (Catering and Lodging Services)'
	052 'Housekeeping and Related Service Supervisors'
	053 'Cooks, Waiters, Bartenders and Related Workers'
	054 'Maids and Related Housekeeping Service workers Not Elsewhere Classified'
	055 'Building Caretakers, Charworkers, Cleaners and Related Workers'
	056 'Launderers, Dry-Cleaners and Pressers'
	057 'Hairdressers, Barbers, Beauticians and Related Workers'
	058 'Protective Service Workers'
	059 'Service Workers Not Elsewhere Classified'
	060 'Farm Managers and Supervisors'
	061 'Farmers'
	062 'Agricultural and Animal Husbandry Workers'
	063 'Forestry Workers'
	064 'Fishermen, Hunters and Related Workers' 
	070 'Production Supervisors and General Foremen'
	071 'Miners, Quarrymen, Well Drillers and Related Workers'
	072 'Metal Processors'
	073 'Wood Preparation Workers and Paper makers'
	074 'chemical Processors and Related Workers'
	075 'Spinners, Weavers, Knitters, Dyers and Related Workers'
	076 'Tanners, Fellmongers and Pelt Dressers'
	077 'Food and Beverage Processors'
	078 'Tobacco Preparers and Tobacco Products Makers'
	079 'Tailors, Dressmakers, Sewers, Upholsterers and Related Workers'
	080 'Shoemakers and Leather Goods Makers'
	081 'Cabinetmakers and Related Wood Workers'
	082 'Stone Carvers and (Stone) Cutters'
	083 'Blacksmith, Toolmakers and Machine Tool Operators'
	084 'Machinery Fitters, Machine Assemblers and Precision-Instrument Makers (Except Electrical)'
	085 'Electrical Fitters and Related Electrical and Electronics Workers'
	086 'Broadcasting Station and Sound-Equipment Operators and Cinema Projectionists'
	087 'Plumbers, Welders, Sheet-Metal and structural Metal Preparers and Erectors'
	088 'Jewellery and Precious Metal Workers'
	089 'Glass formers, Potters and Related Workers'
	090 'Rubber and Plastics Product Makers'
	091 'Paper and Paperboard Products Makers'
	092 'Printers and Related Workers'
	093 'Painters'
	094 'Production and Related workers Not Elsewhere Classified'
	095 'Bricklayers, Carpenters and Other Construction Workers'
	096 'Stationary Engine and Related Equipment Operators'
	097 'Material Handling and Related Equipment Operators, Dockers and Freight Handlers'
	098 'Transport Equipment Operators'
	099 'Labourers Not Elsewhere Classified'
	100 'Workers'
	101 'New Workers Seeking Employment'
	102 'Workers Reporting Occupation Unidentifiable or Inadequately Described'
	103 'Workers Not Reporting Any Occupation'
	996 'Full-time education'	
	997 'Looking for work'
	998 'Other Activity' 
 /S4HQ6
	111 'Agricultural and livestock production'
	112 'Agricultural services'
	113 'Hunting, trapping and game'
	121 'Forestry'
	122 'Logging'
	130 'Fishing'
	210 'Coal mining'
	220 'Crude petroleum and natural gas production'
	230 'Metal ore mining'
	290 'Other mining'
	311 'Food manufactures'
	313 'Beverage industries'
	314 'Tobacco manufacturers'
	321 'Manufacture of textiles'
	322 'Manufacture of wearing apparel, except footwear'
	323 'Manufacture of leather and products of leather, except footwear and wearing apparel'
	324 'Manufacture of footwear, except vulcanized or mould rubber or plastic footwear'
	331 'Manufacture of wood and cork products, except furniture'
	332 'Manufacture of furniture and fixtures except primarily of metal'
	341 'Manufacture of paper and paper products'
	342 'Printing, publishing and allied industries'
	351 'Manufacture of basic industrial chemicals, including fertilizers'
	352 'Manufacture of other chemical products'
	353 'Petroleum refineries'
	354 'Manufacture of miscellaneous products of petroleum and coal'
	355 'Manufacture of rubber products'
	356 'Manufacture of plastic products not elsewhere classified'
	361 'Manufacture of pottery, china and earthenware'
	362 'Manufacture of glass and glass products'
	369 'Manufacture of other non-metallic mineral products'
	371 'Iron and steel basic industries'
	372 'Non-ferrous metal basic industries'
	381 'Manufacture of fabricated metal products, except machinery and equipment'
	382 'Manufacture of machinery except electrical'
	383 'Manufacture of electrical machinery apparatus, appliances and supplies'
	384 'Manufacture of transport equipment'
	385 'Manufacture of professional and scientific equipment, measuring and controlling instruments not elsew'
	390 'Other manufacturing industries'
	410 'Electricity, gas and steam'
	420 'Water works and supply'
	500 'Construction'
	610 'Wholesale trade'
	620 'Retail Trade'
	631 'Restaurants, cafes, other eating and drinking places'
	632 'Hotels, rooming houses, camps and other lodging places'
	711 'Land transport'
	712 'Water transport'
	713 'Air transport'
	719 'Services allied to transport'
	720 'Communication'
	810 'Financial institutions'
	820 'Insurance'
	831 'Real estate'
	832 'Business services except machinery rental and leasing'
	833 'Machinery rental and leasing'
	910 'Public administration and defence'
	920 'Sanitary and similar services'
	931 'Education services'
	932 'Research and scientific institutes'
	933 'Medical, dental, other health and veterinary services'
	934 'Welfare institutions'
	935 'Business, professional and labour associations'
	939 'Other social and related community services'
	941 'Motion picture and other entertainment services'
	942 'Libraries, museums, botanical and zoological gardens, and cultural services not elsewhere classified'
	949 'Amusement and recreational services not elsewhere classified'
	951 'Repair services not elsewhere classified'
	952 'Laundries, laundry services, and cleaning and dyeing plants'
	953 'Domestic services'
	959 'Miscellaneous personal services'
	960 'International and other extra-territorial bodies'		  
 /S4HQ7
	1 'Yes'
	2 'No'		 
 /S4HQ8
	1 'Government'
	2 'State owned company'
	3 'Private company or business'
	4 'Others'.		  
EXECUTE. 

FREQUENCIES
  VARIABLES=rectype to S4HQ9
  /ORDER=  ANALYSIS .	
SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Sectional\Occ_Sec4H.sav'.
		
*--------------------------------------------------
*Section 4J: Housekeeping
*-------------------------------------------------

SET
   BLANKS=SYSMIS
  UNDEFINED=WARN.

DATA LIST
  FILE='C:\Sierra Leone_Household Survey_2003\Raw_Data\Temp\Occ_Sec4J.tmp'
RECORDS=1 TABLE /1 
 RECTYPE 	1-2 
 REGION      	3-3   
 DISTRICT    	3-4   
 CHIEFDOM	5-6   
 EA         	7-8   
 URBRUR      	9-9   
 HHNUM      	10-12  
 HHID	      	3-12  
 PID		14-15  
S4JQ1		16-16
S4JQ2		17-19
S4JQ3		20-20
S4JQ4		21-23
S4JQ5		24-24
S4JQ6		25-27
S4JQ7		28-28
S4JQ8		29-31
S4JQ9		32-32
S4JQ10		33-35
S4JQ11		36-36
S4JQ12		37-39
S4JQ13		40-40
S4JQ14		41-43
S4JQ15		44-44
S4JQ16		45-47
S4JQ17		48-48
S4JQ18		49-51
S4JQ19		52-52
S4JQ20		53-55
S4JQ21		56-56
S4JQ22		57-59
S4JQ23		60-60
S4JQ24		61-63
.
EXECUTE.

*sort cases by the key variables.


SORT CASES BY
  hhid (A) pid (A) .


*add variable labels - these are in English so that it will be easier for me to clean.

var lab
	/rectype 	'Record type'
	/region   	'Region'
	/district	 	'District'
	/chiefdom	'Chiefdom'
	/ea		'Enumerator Area'
	/urbrur		'Urban/Rural'
	/hhnum		'Household number'
	/HHID		'Household ID (Key)'
	/PID		'Person ID'
	/S4JQ1		'Fetching firewood'
	/S4JQ2		'Hours per week fetching firewood'
	/S4JQ3		'Fetching water'
	/S4JQ4		'Hours per week fetching water '
	/S4JQ5		'Ironing clothes'
	/S4JQ6		'Hours per week ironing clothes '
	/S4JQ7		'Taking care of children'
	/S4JQ8		'Hours per week taking care of children'
	/S4JQ9		'Washing motor vehicles'
	/S4JQ10	'Hours per week washing motor vehicles '	
	/S4JQ11	'Sweeping'
	/S4JQ12	'Hours per week sweeping'
	/S4JQ13	'Disposing of garbage'
	/S4JQ14	'Hours per week disposing of garbage '
	/S4JQ15	'Preparing meals'
	/S4JQ16	'Hours per week preparing meals '
	/S4JQ17	'Shopping'
	/S4JQ18	'Hours per week shopping'
	/S4JQ19	'Running errands'
	/S4JQ20	'Hours per week running errands '
	/S4JQ21	'Washing dishes'
	/S4JQ22	'Hours per week washing dishes'
	/S4JQ23	'Other household activites'
	/S4JQ24	'Hours per week other household activites'

*add variable labels - these are in English so that it will be easier for me to clean.

VAL LABELS
/
 /RECTYPE
	18 'Housekeeping'	
 /REGION  
   	0 'Southern'
     	1 'Eastern'
     	2 'Northern'
    	3 'Western'
/DISTRICT
	01 'Bo'
	02 'Bonthe'
	03 'Moyamba'
	04 'Pujehun'
	11 'Kailahun'
	12 'Kenema'
	13 'Kono'
	21 'Bombali'
	22 'Kambia'
	23 'Koinadugu'
	24 'Porto Loko'
	25 'Tonkolili'
	31 'Freetown'
	32 'Western Other'
/URBRUR  
     	1 'Urban'
     	2 'Rural'
/S4JQ1 S4JQ3 S4JQ5 S4JQ7 S4JQ9 S4JQ11 S4JQ13 S4JQ15 S4JQ17 S4JQ19 S4JQ21 S4JQ23
	1 'Yes'
	2 'No'.

EXECUTE.

FREQUENCIES
  VARIABLES=rectype to S4JQ24
  /ORDER=  ANALYSIS .
	
SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Sectional\Occ_Sec4J.sav'.



*--------------------------------------------------
*Section 5: Migration
*-------------------------------------------------

SET
   BLANKS=SYSMIS
  UNDEFINED=WARN.

DATA LIST
  FILE='C:\Sierra Leone_Household Survey_2003\Raw_Data\Temp\Migration_Sec5.tmp'FIXED RECORDS=1 TABLE /1 
 RECTYPE 	1-2 
 REGION      	3-3   
 DISTRICT    	3-4   
 CHIEFDOM	5-6   
 EA         	7-8   
 URBRUR      	9-9   
 HHNUM      	10-12  
 HHID	      	3-12  
 PID		14-15  
 S5Q0 		16-17 
 S51		18-18  
 S5Q2 		19-19  
 S5Q3 		20-20  
 S5Q4   	21-22  
 S5Q5  		23-24  
 S5Q6 		25-25  
 S5Q7 		26-28  
 S5Q8    	29-31  
 S5Q9 		32-32  
 S5Q10   	33-33  
 S5Q11 	34-35  
 S5Q11T   	36-36 
 S5Q12  	37-38  
.
EXECUTE.

*sort cases by the key variables.


SORT CASES BY
  hhid (A) pid (A) .


*add variable labels - these are in English so that it will be easier for me to clean.

var lab
	/rectype 	'Record type'
	/region   	'Region'
	/district	 	'District'
	/chiefdom	'Chiefdom'
	/ea		'Enumerator Area'
	/urbrur		'Urban/Rural'
	/hhnum		'Household number'
	/HHID		'Household ID (Key)'
	/PID		'Person ID'
 	/S5Q0 		'ID of person interviewed'
 	/S5Q1		'Were you born in this village?'
 	/S5Q2 		'Have you always lived in this village?'
 	/S5Q3 		'Have you ever moved for more than 12 months?'
 	/S5Q4   	'How long ago did you move to this place?'
 	/S5Q5  		'What region or country you living before you came to this place?'
 	/S5Q6 		'Further description of place migrating from'
 	/S5Q7 		'Prior occupation'
 	/S5Q8    	'Trade or industry'
 	/S5Q9 		'Employer'
 	/S5Q10   	'Reason for moving'
 	/S5Q11 	'Travel time to previous place'
 	/S5Q11T    	'Transport Mode'
 	/S5Q12    	'Distance in miles'.

*add variable labels - these are in English so that it will be easier for me to clean.

VAL LABELS
/
 /RECTYPE
	19 'Migration'	
 /REGION  
   	0 'Southern'
     	1 'Eastern'
     	2 'Northern'
    	3 'Western'
/DISTRICT
	01 'Bo'
	02 'Bonthe'
	03 'Moyamba'
	04 'Pujehun'
	11 'Kailahun'
	12 'Kenema'
	13 'Kono'
	21 'Bombali'
	22 'Kambia'
	23 'Koinadugu'
	24 'Porto Loko'
	25 'Tonkolili'
	31 'Freetown'
	32 'Western Other'
/URBRUR  
     	1 'Urban'
     	2 'Rural'
 /S5Q1 S5Q2 S5Q3 				
	1 'Yes'
	2 'No'	
 /S5Q5
	1 'Southern'
	2 'Eastern'
	3 'Northern'
	4 'wesrern'
	5 'Guinea'
	6 'Ivory Coast'
	7 'Nigeria'
	8 'Ghana'
	9 'Liberia'
	10 'Gambia'
	11 'Other'		
 /S5Q6 	
	1 'Freetown'
	2 'Bo'
	3 'Makeni'
	4 'Kono'
	5 'Kenema'
	6 'Other urban'
	7 'Other rural'
	8 'Other'	
 /S5Q7 		
 /S5Q8    
 /S5Q9
	1 'Government'
	2 'State owned company'
	3 'Private'
	4 'Other' 		
 /S5Q10
	1 'Own employment'
	2 'Spouse's employment'
	3 'Marriage'
	4 'Other family reasons'
	5 'School'
	6 'Drought or war'
	7 'Other'   		
 /S5Q11T    
	1 'Walking'
	2 'Bus'
	3 'Car'
	4 'Other'	.

EXECUTE.

FREQUENCIES
  VARIABLES=rectype to S5Q12
  /ORDER=  ANALYSIS .
	
SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Sectional\Migration_Sec5.sav'.



*SECTION 7:HOUSE

*adding items from record Sedction 7: Housing from Part A.


SET
   BLANKS=SYSMIS
  UNDEFINED=WARN.

DATA LIST
  FILE='C:\Sierra Leone_Household Survey_2003\Raw_Data\Temp\House_Sec7.tmp' FIXED RECORDS=1 TABLE /1 rectype 1-2 
  region 3-3 district 3-4 chiefdom 5-6 ea 7-8 urbrur 9-9 hhnum 10-12 HHID 3-12 S7AQ1 14-14 S7AQ2 15-16 S7AQ3 17-17 S7AQ4Y 18-19 S7AQ4M 20-21 
  S7AQ5 22-22 S7AQ6 23-24 S7BQ7 25-25 S7BQ8 26-26 S7BQ9 27-27 S7BQ10 28-28 S7BQ11 29-29 S7BQ12 30-30 S7BQ12A 31-39 S7BQ12B 40-48
  S7CQ13 49-49 S7CQ14V 50-58 S7CQ14T 59-59 S7CQ15 60-60 S7CQ16 61-61 S7CQ17 62-62 S7CQ18 63-71 S7CQ19V 72-72 S7CQ19T 73-73 S7CQ20  74-82
  S7DQ21  83-84 S7DQ22D 85-87 S7DQ22C 88-88 S7DQ23 89-89 S7DQ24A  90-98 S7DQ24T 99-99 S7DQ25 100-108 S7DQ26 109-109 S7DQ27 110-118 S7DQ28 119-119
  S7DQ29 120-128 S7DQ29T 129-129 S7DQ30 130-130 S7DQ31 131-131 S7DQ32 132-140 S7DQ32T 141-141 S7DQ33  142-142 S7EQ34 143-143 S7EQ35 144-144
  S7EQ36 145-145 S7EQ37 146-151 S7FQ38 152-152 S7FQ39A 153-154 S7FQ39B 155-156 S7FQ39C 157-158 S7FQ40  159-159 S7FQ41A 160-161 S7FQ41B 162-163
  S7FQ41C 164-165 S7FQ42 166-166 S7FQ43 167-167 S7FQ44 168-168 S7FQ45 169-169 S7FQ46 170-170 S7FQ47 171-171 S7FQ48 172-172 S7FQ49 173-173
  S7FQ50 174-174 S7FQ51 175-176 S7FQ52 177-177.
EXECUTE.

*sort cases by the key variables.


SORT CASES BY
  hhid (A)  .


*add variable labels - these are in English so that it will be easier for me to clean.

var lab
	/rectype 	'Record type'
	/region   	'Region'
	/district	 	'District'
	/chiefdom	'Chiefdom'
	/ea		'Enumerator Area'
	/urbrur		'Urban/Rural'
	/hhnum		'Household number'
	/HHID		'Household ID (Key)'
	/S7AQ1		'Type of Dwelling'
	/S7AQ2		'How many rooms?'  
	/S7AQ3 	'Do other households share?'
	/S7AQ4Y	'Years in dwelling?'	           
	/S7AQ4M          'Months in dwelling?'
	/S7AQ5 	'Previous dwelling type'
	/S7AQ6 	'How many rooms?'
	/S7BQ7 	'Previous occupancy status?'
	/S7BQ8 	'Main reason for moving?'
	/S7BQ9 	'Expect to move within two years?'
	/S7BQ10 	'What is the reason for move?'
	/S7BQ11 	'Present occupancy status?'
	/S7BQ12 	'From whom do you rent?'	
	/S7BQ12A 	'How much rent do you pay?'
	/S7BQ12B 	'If you paid, how much?'
	/S7CQ13 	'Does household supply goods  and services for dwelling?'
	/S7CQ14V         'Value rendered'
	/S7CQ14T         'Time unit'
	/S7CQ15 	'Is rent partially paid by non household member?'
	/S7CQ16           'Who pays this rent?'
	/S7CQ17 	'Mortgage payments?'          
	/S7CQ18          	'Amount of last payment?'
	/S7CQ19V 	'Frequeny of payments'
	/S7CQ19T         'Time unit' 
	/S7CQ20          	'How much spent on construction and repair?'
	/S7DQ21          	'Source of drinking water?'
	/S7DQ22D        	'Distance to drinking water'  
	/S7DQ22C        	'Distance Code'       
	/S7DQ23          	'Pay or share water bill?'
	/S7DQ24A       	'Share of water bill'       
	/S7DQ24T 	'Time unit'
	/S7DQ25 	'Paid to vendor, neighbor or standpipe in 2 weeks?'
	/S7DQ26 	'Did you sell water to someone?'
	/S7DQ27 	'Income from water sold?'
	/S7DQ28          	'Main source of lighting'
	/S7DQ29 	'How much was last bill?'
	/S7DQ29T 	'Time unit'
	/S7DQ30 	'Main source of fuel'
	/S7DQ31 	'Rubbish disposal'
	/S7DQ32 	'How much paid for rubbish disposal'
	/S7DQ32T        	'Time unit'
	/S7DQ33      	'Type of toilet'      
	/S7EQ34 	'Material of outside wall'
	/S7EQ35 	'Flooring material'
	/S7EQ36 	'Roofing material'
	/S7EQ37 	'Square feet of living area'
	/S7FQ38          	'Poverty self assesment'    
	/S7FQ39A	'Reasons for poverty 1'
     	/S7FQ39B	'Reasons for poverty 2'
       	/S7FQ39C	'Reasons for poverty 3'
	/S7FQ40     	'Did you rely on any way to survive?'       
	/S7FQ41A	'Method of survival 1?'
 	/S7FQ41B	'Method of survival 2?'
	/S7FQ41C	'Method of survival 3?'
	/S7FQ42 	'Participate in community programs?'
	/S7FQ43 	'Type of program'
	/S7FQ44 	'Affected directly by war?'
	/S7FQ45 	'How were you affected by war?'
	/S7FQ46 	'Victim of assault, robbery?'
	/S7FQ47 	'What was stolen?'
	/S7FQ48          	'Reported to which authority?'
	/S7FQ49 	'Who committed the assault?'
	/S7FQ50          	'Approached a political officer about problems in 5 years?'    
	/S7FQ51        	'What type of problem did this concern?'
	/S7FQ52   	'Who did you report to?'.

*add value labels.

val labels 
  /
  /rectype
	17 'Section A7: Housing'
/region
	0 'Southern'
	1 'Eastern'
	2 'Northen'
	3 'Western'
/district
	01 'Bo'
	02 'Bonthe'
	03 'Moyamba'
	04 'Pujehun'
	11 'Kailahun'
	12 'Kenema'
	13 'Kono'
	21 'Bombali'
	22 'Kambia'
	23 'Koinadugu'
	24 'Porto Loko'
	25 'Tonkolili'
	31 'Freetown'
	32 'Western Other'
/S7AQ1	
	1 'Single family house'	
	2 'Apartment or flat'	
	3 'Rooms (compound house)'	
	4 'Rooms (other type)'	
	5 'Several huts or bldgs (same compound)'	
	6 'Several huts or bldgs (different compound)'	
	7 'Other'	
/S7AQ3 S7BQ9 S7CQ13 S7CQ15 S7CQ17 S7DQ23 S7DQ26 S7FQ40 S7FQ42 S7FQ44 
	1 'Yes'
	2 'No'
/S7AQ5
	1 'Single family house'	
	2 'Apartment or flat'	
	3 'Rooms (compound house)'	
	4 'Rooms (other type)'	
	5 'Several huts or bldgs (same compound)'	
	6 'Several huts or bldgs (different compound)'	
	7 'Other'	
/S7BQ7
	1 'Owning'	
	2 'Renting'	
	3 'Rent free dwelling'	
	4 'Perching'	
/S7BQ8
	1 'Distance from office to school'	
	2 'Cost'
	3 'Job'	
	4 'Ejected'	
	5 'Other	'
/S7BQ10
	1 'Family'	
	2 'Cost'	
	3 'Job'	
	4 'Other	'
/S7BQ11
	1 'Owning'	
	2 'Renting'	
	3 'House provided rent free'	
	4 'Subsidized rent'	
	5 'Other	'
	6 'Imputed rent category 1'
	7 'Imputed rent category 2,4 '
	8 'Imputed rent category 4,5'
/S7BQ12
	1 'Relative'	
	2 'Private employer'	
	3 'Government'	
	4 'Private individual or agency'	
	5 'Other	'
/S7CQ14T S7CQ19T S7DQ24T 
    	 1 'Daily'
    	 2 'Weekly'
    	 3 'Monthly'
    	 4 'Quarterly'
    	 5 'Semi-annual'
    	 6 'Annual'
    	 7 'Other'
/S7CQ16
     	1 'Relative'
     	2 'Private employer'
     	3 'Government'
     	4 'Private individual'
     	5 'Other'
/S7DQ21
     	1 'Indoor plumbing'
     	2 'Inside Standpipe'
     	3 'Water vendor'
     	4 'Water Tanker'
     	5 'Neighboring Household'
     	6 'Private outside standpipe'
     	7 'Public Standpipe'
    	 8 'Well with pump'
    	 9 'Well without pump'
    	10 'River, Lake, Stream'
    	11 'Rainwater'
    	12 'Other'
/S7DQ22C
     	1 'Yard'
     	2 'Metre'
     	3 'Kilometre'
     	4 'Mile'
/S7DQ2
     	1 'Electricity main'
     	2 'Generator'
     	3 'Kerosene gas lamp'
     	4 'Candles'
     	5 'Other'
/S7DQ29T S7DQ32T
     	1 'Daily'
     	2 'Weekly'
     	3 'Monthly'
     	4 'Quarterly'
     	5 'Semi-annual'
     	6 'Annual'
/S7DQ30
     	1 'Wood'
     	2 'Charcoal'
     	3 'Gas'
     	4 'Electricity'
     	5 'Kerosene'
     	6 'Other'
/S7DQ31
     	1 'Collected'
     	2 'Dumped by household'
     	3 'Burned by household'
     	4 'Buried by household'
     	5 'Other'
/S7DQ33
     	1 'Flush Toilet'
     	2 'Common Pit'
     	3 'Private pit'
     	4 'Common Bucket'
     	5 'Private Bucket'
     	6 'VIP'
     	7 'Common Flush'
     	8 'Bush/River'
     	9 'Other'
/S7EQ34
     	1 'Mud / mud bricks'
     	2 'Wood'
     	3 'Corrugated Iron'
     	4 'Stone/Burnt Bric'
     	5 'Cement/Sandcrete'
     	6 'Other'
/S7EQ35
     	1 'Earth/mud'
     	2 'Wood'
     	3 'Stone/Brick'
     	4 'Cement/Concrete'
     	5 'Other'
/S7EQ36
     	1 'Thatch'
     	2 'Wood'
     	3 'Currugated Iron'
     	4 'Plastic sheeting'
     	5 'Cement/Concrete'
     	6 'Roofing Tiles'
     	7 'Other'
/S7FQ38
     	1 'Very Poor'
     	2 'Average Poor'
     	3 'Not Poor'
/S7FQ39A S7FQ39B S7FQ39C
     	1 'LAck Ag Inputs'
     	2 'Ag inputs not available'
     	3 'Ag inputs misappropriated'
     	4 'Low Ag production'
     	5 'Drought'
     	6 'Lack of Adequate Land'
     	7 'Prices for Ag products too low'
     	8 'Lack of buyers for Ag prod'
     	9 'Lack of cattle'
    	10 'Lack of Ag capital'
    	11 'Lack of credit facilities'
    	12 'Lack of capital for own business'
    	13 'Lack of credit facilities for own business'
    	14 'Lack of employment ops'
    	15 'Salary is too low'
    	16 'Prices too high'
    	17 'Hard economic times'
    	18 'Business not doing well'
    	19 'Low profit from business'
    	20 'Too much competition'
   	21 'Loss of property due to war'
   	22 'Loss of employment due to war'
    	23 'Loss of limbs due to war'
   	24 'Other'
/S7FQ41A S7FQ41B S7FQ41C
     	1 'Piecework on farms belonging to others'
     	2 'Other piecework'
     	3 'Food for work programs'
     	4 'Relief food'
     	5 'Eating wild food'
     	6 'Substitute meals with mangoes, etc.'
     	7 'Reduce the number of meals'
     	8 'Reduce other household items'
     	9 'Informal borrowing'
    	10 'Formal borrowing'
    	11 'Church charity'
    	12 'NGO charity'
    	13 'Pulling children out of school'
    	14 'Sale of assets'
/S7FQ43
     	1 'Work on community farm'
     	2 'Construction of community school'
     	3 'Maintenance of community roads'
     	4 'Exchange of manual labor'
     	5 'Vote in elections'
     	6 'Participate in election campaigns'
     	7 'Community fundraising'
    	8 'Community development programs'
     	9 'Other'
/S7FQ45
     	1 'Household lost property'
     	2 'House was burnt'
     	3 'Relatives lost or killed'
     	4 'Limbs lost'
     	5 'Household members molested or raped'
     	6 'Household displaced'
     	7 'Other'
/S7FQ48
     	1 'Local Police'
     	2 'Chief'
     	3 'Traditional healer'
     	4 'Neighborhood watch'
     	5 'Other'
     	6 'No one'
/S7FQ49
     	1 'Member of household'
     	2 'Relative outside the house'
     	3 'Someone outside that I know'
     	4 'Stranger'
     	5 'Rebels or former rebels'
     	6 'Don't know'
/S7FQ50
     	1 'Yes'
     	2 'No'
     	3 'Dont know'
/S7FQ51
     	1 'Housing or accomodation'
     	2 'Water supply'
     	3 'Road problems'
     	4 'Funeral'
     	5 'Family or other'
     	6 'Pension or work related problems'
     	7 'School or children's education'
     	8 'Health issues'
     	9 'Land dispute'
    	10 'Other'
/S7FQ52
     	1 'Local chief'
     	2 'Local party official'
     	3 'Local councillor'
     	4 'Minister or government official'
     	5 'Civic organization or NGO'
     	6 'Other'.

FREQUENCIES
  VARIABLES=rectype to S7FQ52
  /ORDER=  ANALYSIS .



SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Sectional\House_Sec7.sav'.


*SECTION 7B: Anthropometrics

*adding items from record Sedction 7B: 


SET
   BLANKS=SYSMIS
  UNDEFINED=WARN.

DATA LIST
  FILE='C:\Sierra Leone_Household Survey_2003\Raw_Data\Temp\Anthro_Sec7B.tmp'FIXED RECORDS=1 TABLE /1 
 RECTYPE 	1-2 
 REGION      	3-3   
 DISTRICT    	4-4   
 CHIEFDOM	5-6   
 EA         	7-8   
 URBRUR      	9-9   
 HHNUM      	10-12  
 HHID	      	3-12  
 PID		14-15  
 S7ANQ1  	16-17  
 S7ANQ2D   	18-19  
 S7ANQ2M   	20-21  
 S7ANQ2Y   	22-25  
 S7ANQ3 	26-27  
 S7ANQ4 	28-31   (1)
 S7ANQ5 	32-35   (1)
 S7ANQ6L	36-36  
 S7ANQ6H	37-37  
 S7ANQ7D	38-39  
 S7ANQ7M   	40-41  
 S7ANQ7Y  	42-45  
 S7ANQ8	46-46  
.
EXECUTE.

*sort cases by the key variables.

SORT CASES BY
  HHID (A) PID(A).

*add variable labels - these are in English so that it will be easier for me to clean.

var lab
	/rectype 	'Record type'
	/region   	'Region'
	/district	 	'District'
	/chiefdom	'Chiefdom'
	/ea		'Enumerator Area'
	/urbrur		'Urban/Rural'
	/hhnum		'Household number'
	/HHID		'Household ID (Key)'
	/PID		'Person ID'
	/S7ANQ2D   	'Day of birth'	
	/S7ANQ2M   	'Month of birth'
	/S7ANQ2Y   	'Year of birth'  
	/S7ANQ3 	'ID of mother'
	/S7ANQ4 	'Height'
	/S7ANQ5 	'Weight'
	/S7ANQ6L	'Measured Laying or Standing'
	/S7ANQ6H  	'Measured Laying or Standing'
 	/S7ANQ7D  	'Day of measurement'
 	/S7ANQ7M     	'Month of measurement'
 	/S7ANQ7Y  	'Year of measurement'
 	/S7ANQ8	'Result'.

*add variable labels - these are in English so that it will be easier for me to clean.

VAL LABELS
/
 /RECTYPE
	22 'Anthropometrics'	
 /REGION  
   	0 'Southern'
     	1 'Eastern'
     	2 'Northern'
    	3 'Western'
/DISTRICT
	01 'Bo'
	02 'Bonthe'
	03 'Moyamba'
	04 'Pujehun'
	11 'Kailahun'
	12 'Kenema'
	13 'Kono'
	21 'Bombali'
	22 'Kambia'
	23 'Koinadugu'
	24 'Porto Loko'
	25 'Tonkolili'
	31 'Freetown'
	32 'Western Other'
/URBRUR  
     	1 'Urban'
     	2 'Rural'
 /S7ANQ6L S7ANQ6H  
	1 'Measured laying down'
	2 'Measured standing'
 /S7ANQ8
	1 "Measured'
	2 'Ill'
	3 'Asbsent'
	4 'Refused'
	5 'Other'.
EXECUTE.

FREQUENCIES
  VARIABLES=rectype to S7ANQ8
  /ORDER=  ANALYSIS .
	

SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Sectional\Anthro_Sec7B.sav'.
