*Prepared By: Geoffrey Greenwell.
*U.S. Census Bureau.
*geoffrey.parke.greenwell@census.gov.
*tel:(301) 763-3467.

*Title: Part_B.
*Purpose: Transferring data files from CSPro to SPSS (Part B).
*Data:  Part_B.dat.
*Procedure:  reads all rows into SPSS, separating out the first three 
columns which is the information about the record type that identifies which
Questionnaires go with which sets of data.

* Note 1:  I use the data list command rather than the text file import wizard.  The data list 
command is easier to understand.  You specify the beginning and ending column
number for each variable and whether it is a numeric or string.  For this syntax
I read the data in a strings because there are spaces through the row.  The first
variable is the record type with a width of 2.  The second variable is as wide 
as the maximum length of the longest row of data in the .dat file.  However because the
length exceeds the maximum amount of 255 characters, a second variable has been defined
to account for the overflow.

*Note 2: The record length is determined by a CSPro data dictionary located in:
C:\Sierra Leone_Household Survey_2003\Programs\CSPro\DD\PtB.dcf.

SET
   BLANKS=SYSMIS
  UNDEFINED=WARN.

DATA LIST
  FILE='C:\Sierra Leone_Household Survey_2003\Raw_Data\Part_B.dat' 
FIXED RECORDS=1 TABLE /1 rectype 1-2(A) alldat1 3-229(A) alldat2 230-274(A).
EXECUTE.

SORT CASES BY
  rectype (A) .


SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Raw_Data\Part_B.sav' .

