*Prepared By: Moses Tegeka Konteh.
*SSL Consultant.


*Title: Part_C.
*Purpose: Transferring data files from CSPro to SPSS (Part C).
*Data:  Various Part C. 
*Procedure:  reads files as exported through SPSS for the community questionnaire.

*Demographic Data.

DATA LIST FILE='C:\SIERRA LEONE_HOUSEHOLD SURVEY_2003\RAW_DATA\TEMP\COM_DEMOGRAPHIC.TMP' RECORDS=1
/
 REGION 	1-1 
 DISTRICT 	1-2 
 CHIEFDOM 	3-4 
 EA 		5-6
 URBRUR 	7-7
 COMM 	8-8
 CASEID     	1-8    
 S1Q1    	9-13  
 S1Q2  		14-18  
 S1Q3D    	19-20  
 S1Q3M   	21-22  
 S1Q3Y  	23-26  
 S1Q4   	27-30  
 S1Q51   	31-32  
 S1Q52  	33-34  
 S1Q53   	35-36  
 S1Q54   	37-38  
 S1Q61   	39-39  
 S1Q62   	40-40  
 S1Q63   	41-41  
 S1Q7   	42-42  .

EXECUTE.

SORT CASES BY
  region (A) district (A) chiefdom (A).

var lab
/REGION 	"Region"
/DISTRICT 	"District"
/CHIEFDOM 		"Chiefdom"
/EA 		"Ennumeration Area"
/URBRUR 	"Urban and Rural"
/COMM 	"Community"
/S1Q1 		"Number of people"
/S1Q2 		"Females"
/S1Q3D 	"Day"
/S1Q3M 	"Month"
/S1Q3Y 	"Year"
/S1Q4 		"Households"
/S1Q51 	"Ethnic group1"
/S1Q52 	"Ethnic group2"
/S1Q53 	"Ethnic group3"
/S1Q54 	"Ethnic group4"
/S1Q61 	"Religion1"
/S1Q62 	"Religion2"
/S1Q63 	"Religion3"
/S1Q7 		" 5Years ago"
.
EXECUTE.

val labels 
  /
 /REGION
	 0 'Southern'
	1 'Eastern'
	2 'Northen'
	3 'Western'	 
 /DISTRICT
	 01 'Bo'
	02 'Bonthe'
	03 'Moyamba'
	04 'Pujehun'
	05 'Bonthe'
	11 'Kailahun'
	12 'Kenema'
	13 'Kono'
	21 'Bombali'
	22 'Kambia'
	23 'Koinadugu'
	24 'Porto Loko'
	25 'Tonkolili'
	31 'Freetown'
	32 'Western Other'	 	 	
 /URBRUR
	1 'Urban'
	2 'Rural' 	         	  	   	   	    	 
 /S1Q51 S1Q52 S1Q53  S1Q54   	  
	1 'Creale'
	2 'Kono'
	3 'Kuranko'
	4 'Limba'
	5 'Loko'
	6 'Mende'
	7 'Shebro'
	8 'Susu'
	9 'Temne'
	10 'Other'   	  
 /S1Q61 S1Q62 S1Q63   	  
	1 'Catholic'
	2 'Muslim'
	3 'Pentecostal'
	4 'Protestants'
	5 'Others' 	  
 /S1Q7 
	1 'More Arrivals'
	2 'More Departure'
	3 'About the same of both'
	4 'Neither arrivals nor departures' . 
EXECUTE.	  

FREQUENCIES
  VARIABLES=REGION to S1Q7
  /ORDER=  ANALYSIS .


SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Sectional\Comm_Demographics.sav'.

*Economic Data.

DATA LIST FILE='C:\SIERRA LEONE_HOUSEHOLD SURVEY_2003\RAW_DATA\TEMP\COM_ECONOMY_INF.TMP' RECORDS=1
/
  REGION 	1-1 
 DISTRICT 	1-2 
 CHIEF 		3-4 
 EA 		5-6
 URBRUR 	7-7
 COMM 	8-8
 CASE$ID     	1-8    
 S2Q1A    	9-9   
 S2Q1B   	10-10
 S2Q1C   	11-11  
 S2Q2   	12-12  
 S2Q3A   	13-14  
 S2Q3B   	15-16  
 S2Q3C   	17-18  
 S2Q3D   	19-20  
 S2Q4   	21-21  
 S2Q5   	22-24   
 S2Q6   	25-25  
 S2Q7   	26-27  
 S2Q8   	28-28  
 S2Q9   	29-29  
 S2Q10 	 30-30  
 S2Q11 	  31-31  
 S2Q12 	  32-32  
 S2Q13 	  33-33  
 S2Q14 	  34-34  
 S2Q15 	  35-35  
 S2Q16 	 36-38   
 S2Q17 	  39-41  
 S2Q17B  	 42-44   
 S2Q18   	45-47  
 S2Q18B 	  48-50   
 S2Q19   	51-51  
 S2Q20   	52-52  
 S2Q21   	53-54  
 S2Q21T 	  55-55  
 S2Q22   	56-58   
 S2Q23   	59-59  
 S2Q24   	60-62   
 S2Q25  	63-64  
 S2Q25T	   65-65  
 S2Q26  	 66-66  
 S2Q27  	 67-69  
 S2Q28  	 70-70  
 S2Q29  	 71-71  
 S2Q30  	 72-73  
 S2Q30T	   74-74  
 S2Q31  	 75-75  
 S2Q32  	 76-76  
 S2Q33  	 77-77  
 S2Q34  	78-78  
 S2Q35  	79-79  
 S2Q36A	   80-81  
 S2Q36BT   	82-82  
 S2Q37   	83-83  
 S2Q38   	84-84  
 S2Q391 	  85-124  
 S2Q392  	125-164  
 S2Q393  	165-204  
 S2Q40  	205-205 
 S2Q41  	206-208 
 S2Q42  	209-209 
 S2Q43 	210-212 .
EXECUTE
.
VARIABLE LABELS
REGION 	"Region"
/DISTRICT	 "District"
/CHIEF 		"Chiefdom"
/EA 		"Ennumeration Area"
/URBRUR 	"Urban or Rural"
/COMM 	"Community"
/S2Q1A 	"A Econs"
/S2Q1B 	"B Econs"
/S2Q1C 	"CEcons"
/S2Q2 		"Better wors"
/S2Q3A 	"Why"
/S2Q3B 	"Why"
/S2Q3C 	"Why"
/S2Q3D 	"Why"
/S2Q4 		"Road Pass"
/S2Q5 		"How Far"
/S2Q6 		"Impassable"
/S2Q7 		"How long"
/S2Q8 		"Electricity"
/S2Q9 		"Most Household"
/S2Q10 	"Pipe born"
/S2Q11 	"Most Household"
/S2Q12 	"Drink Water"
/S2Q13 	"Rainy Season"
/S2Q14 	"Restaurant"
/S2Q15 	"Post Office"
/S2Q16 	"How far"
/S2Q17 	" Household radio"
/S2Q17B	 "Household percent"
/S2Q18 	"Household Television set"
/S2Q18B	 "Household percent"
/S2Q19		 "Market"
/S2Q20 	"Periodic market"
/S2Q21 	"How often"
/S2Q21T 	"Time unit"
/S2Q22 	"How far"
/S2Q23 	"Transport"
/S2Q24 	"How far"
/S2Q25 	"How frequent"
/S2Q25T 	"Time unit"
/S2Q26 	"Leave"
/S2Q27 	"How many"
/S2Q28 	"Where"
/S2Q29 	"Work Type"
/S2Q30 	"How long"
/S2Q30T	 "Time unit"
/S2Q31 	"Age most"
/S2Q32 	"Sex"
/S2Q33 	"Temporary"
/S2Q34 	"Come from"
/S2Q35 	"Type work"
/S2Q36A 	"How long"
/S2Q36BT 	"Time unit"
/S2Q37 	"Age group"
/S2Q38 	"Sex"
/S2Q391 	"Organization"
/S2Q392 	"Organization"
/S2Q393 	"Organization"
/S2Q40 	"Industrial"
/S2Q41 	"People"
/S2Q42 	"Handicraft"
/S2Q43 	"Number".
EXECUTE.

val labels 
  /
 /REGION
	 0 'Southern'
	1 'Eastern'
	2 'Northen'
	3 'Western'	 
 /DISTRICT
	 01 'Bo'
	02 'Bonthe'
	03 'Moyamba'
	04 'Pujehun'
	05 'Bonthe'
	11 'Kailahun'
	12 'Kenema'
	13 'Kono'
	21 'Bombali'
	22 'Kambia'
	23 'Koinadugu'
	24 'Porto Loko'
	25 'Tonkolili'
	31 'Freetown'
	32 'Western Other'	 	 	
 /URBRUR
	1 'Urban'
	2 'Rural' 	         	  	   	   	    	 
/S2Q1A S2Q1B S2Q1C 	
	1 'Agriculture Forestry'
	2 'Industry'
	3 'Fishing'
	4 'Construction'
	5 'Commerce'
	6 'Transport'
	7 'Craft/Artisan'
	8 'Service'
	9 'Others'	
 /S2Q2
     1 "Better"
     2 "Worse"
     3 "No Change"
/S2Q3A S2Q3B S2Q3C S2Q3D 	
	1 'Changes in agricultural policy'
	2 'Expansion in non agricultural employment
	3 'Weather'
	4 'Increase in prices'
	5 'Changes in conditions for improving'
	6 'Abilities, Education, Skills'
	7 'Changes in accessibility of medical care'
	8 'Changes in accessibility of social services'
	9 'Natural Disaster'
	10 'Other'  	
/S2Q4 S2Q6 S2Q8 S2Q10 S2Q14 S2Q15 S2Q19 S2Q20 S2Q23 S2Q26 S2Q33 S2Q40
     1 "Yes"
     2 "No"
/S2Q7
     1 "1 month"
     2 "2 months"
     3 "3 months"
     4 "4 months"
     5 "5 months"
     6 "6 months"
     7 "7 months"
     8 "8 months"
     9 "9 months"
    10 "10 months"
    11 "11 months"
    12 "12 months"
     0 "None"
/S2Q9
     1 "Most"
     2 "A few"
     3 "None"
/S2Q11
     1 "Most"
     2 "A few"
     3 "None"
/S2Q12 S2Q13
     1 "Private Tap"
     2 "Public Tap"
     3 "Deep drilled well with pump"
     4 "Hand dug well"
     5 "Spring, River or Lake"
     6 "Stream"
     7 "Other"
/S2Q21T S2Q25T S2Q30T S2Q36BT
	1 'Weekly'
	2 'Monthly'
	3 'Quarterly'
	4 'Half yearly'
	5 'Yearly'
/S2Q28
	1 'Urban Area'
	2 'Rural Area'
	3 'Out of the country'
/S2Q29 S2Q35
	1 'Trading'
	2 'Agricultural work for hire
	3 'Non Agricultural work for hire'
	4 'Others'
/S2Q31 S2Q37
	1 'Less than 16 years'
	2 '16 years but less than 25 years'
	3 '25 years but less than 35 years'
	4 '35 years but less than 45 years'
	5 '45 years but less than 55 years'
	6 '55 years and over'
/S2Q32 S2Q38
	1 'Male'
	2 'Female'
/S2Q34
	1 'Urban Area'
	2 'Rural Area'
	3 'Out of the country'
	4 'Overseas'
/S2Q42
	1 'Textiles'
	2 'Woodwork'
	3 'Food production'
	4 'Other'.
EXECUTE.

FREQUENCIES
  VARIABLES= REGION to S2Q43
  /ORDER=  ANALYSIS .

SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Sectional\Comm_Economics.sav'.

DATA LIST FILE='C:\SIERRA LEONE_HOUSEHOLD SURVEY_2003\RAW_DATA\TEMP\COM_EDUCATION.TMP' RECORDS=1
/
 REGION 	1-1 
 DISTRICT 	1-2 
 CHIEF 		3-4 
 EA 		5-6
 URBRUR 	7-7
 COMM 	8-8
 CASEID     	1-8    
 S3Q1    	9-9   
 S3Q2   	10-12   
 S3Q3   	13-13  
 S3Q4H   	14-15  
 S3Q4M   	16-17  
 S3Q61   	72-72  
 S3Q62   	73-73  
 S3Q63   	74-74  
 S3Q71   	75-78  
 S3Q72   	79-82  
 S3Q73   	83-86  
 S3Q81   	87-87  
 S3Q82   	88-88  
 S3Q83   	89-89  
 S3Q91   	90-91  
 S3Q92   	92-93  
 S3Q93   	94-95  
 S3Q101   	96-97  
 S3Q102   	98-99  
 S3Q103  	100-101 
 S3Q111  	102-104 
 S3Q112  	105-107 
 S3Q113  	108-110 
 S3Q121  	111-113 
 S3Q122  	114-116 
 S3Q123  	117-119 
 S3Q13A  	120-127 
 S3Q13B  	128-135 
 S3Q14  	136-136 
 S3Q15  	137-137 
 S3Q16A  	138-140 
 S3Q16B  	141-143 
 S3Q17A  	144-144 
 S3Q17B  	145-145 
 S3Q17C  	146-146 
 S3Q18F 	147-147 
 S3Q18S  	148-148 
 S3Q18T  	149-149 
 S3Q19 	150-150 
 S3Q20 	151-153  
 S3Q21  	154-154 
 S3Q22H  	155-156 
 S3Q22M  	157-158 
 S3Q23  	159-159 
 S3Q24  	160-163 
 S3Q25  	164-165 
 S3Q26  	166-173 
 S3Q27  	174-174 
 S3Q28  	175-175 
 S3Q29B  	176-179 
 S3Q29G  	180-183 
 S3Q30A  	184-184 
 S3Q30B  	185-185 
 S3Q30C  	186-186 
 S3Q31F  	187-187 
 S3Q31S  	188-188 
 S3Q31T 	189-189 
 S3Q32  	190-190 
 S3Q33 	191-193  
 S3Q34  	194-197 
 S3Q35  	198-205 
 S3Q36  	206-206 
 S3Q37  	207-207 
 S3Q38F  	208-209 
 S3Q38S  	210-211 
 S3Q38T 	212-213 
 S3Q39  	214-214 
 S3Q40  	215-218 
 S3Q41  	219-219 
 S3Q42  	220-220 
  S3Q43M  	251-253 
 S3Q43W  	254-256. 
EXECUTE
.

VARIABLE LABELS
 REGION 	"Region"
/DISTRICT	 "District"
/CHIEF 		"Chiefdom"
/EA 		"Ennumeration Area"
/URBRUR 	"Urban or Rural"
/COMM 	"Community"
/S3Q1	"Is there a primary school"
/S3Q2 	"How far"
/S3Q3 	"How do they go to school?"
/S3Q4H "Hours"
/S3Q4M "Minutes"
/S3Q61 "Is it private or public school"
/S3Q62 "Is it private or public school"
/S3Q63 "Is it private or public school"
/S3Q71 "Year built"
/S3Q72  "Year built"
/S3Q73 "Year built"
/S3Q81 "High class"
/S3Q82 "High class"
/S3Q83 "High class"
/S3Q91 "Teacher"
/S3Q92 "Teacher"
/S3Q93 "Teacher"
/S3Q101 "Training"
/S3Q102 "Training"
/S3Q103 "Training"
/S3Q111 "Population enroll"
/S3Q112 "Population enroll"
/S3Q113 "Population enroll"
/S3Q121 "Population listed"
/S3Q122 "Population listed"
/S3Q123 "Population listed"
/S3Q13A "Class1_3"
/S3Q13B "Class 4_6"
/S3Q14 "Text books"
/S3Q15 "Enough TBK"
/S3Q16A "Children 6-11"
/S3Q16B "Girls 6_11"
/S3Q17A "FIRST"
/S3Q17B "Second"
/S3Q17C "Third"
/S3Q18F "First"
/S3Q18S "Second"
/S3Q18T "Third"
/S3Q19 "Community JSS"
/S3Q20 "How far away"
/S3Q21 "How do chd got to school"
/S3Q22H "Hours"
/S3Q22M "Minute"
/S3Q23 "Assisted"
/S3Q24 "Year Built"
/S3Q25 "Teachers"
/S3Q26 "JSS fees"
/S3Q27 "Texbooks"
/S3Q28 "Enough"
/S3Q29B "Number of boys enroll"
/S3Q29G "Number of girls enroll"
/S3Q30A "Why not attending Junior Secondary School?"
/S3Q30B "Why not attending Junior Secondary School?"
/S3Q30C "Why not attending Junior Secondary School?"
/S3Q31F "What are the major problems with Junior Secondary Schooling in this Community?"
/S3Q31S "What are the major problems with Junior Secondary Schooling in this Community?"
/S3Q31T "What are the major problems with Junior Secondary Schooling in this Community?"
/S3Q32 "Is there a Senior Secondary School in this Community?"	
/S3Q33 "How far away is the nearest Senior Secondary School to this Community?"
/S3Q34 "In what year was it built?"
/S3Q35 "How much are the school fees at this school?"
/S3Q36 "School provide textbook free of charge or must they pay a fee?"
/S3Q37 "Does this school have enough textbooks for student's use?"
/S3Q38F "Problems with Senior Secondary 1"
/S3Q38S "Problems with Senior Secondary 2"
/S3Q38T "Problems with Senior Secondary 3"
/S3Q39 "Is there or has there been an adult literacy program in this Community?"
/S3Q40 "In what year was this program launched?"
/S3Q41 "Has this program been completed?"        
/S3Q42 "Are there any other classes in this Community, besides classes already mentioned?"
/S3Q43M "Men attending"
/S3Q43W "Women attending"
.
EXECUTE.

val labels 
  /
 /REGION
	 0 'Southern'
	1 'Eastern'
	2 'Northen'
	3 'Western'	 
 /DISTRICT
	01 'Bo'
	02 'Bonthe'
	03 'Moyamba'
	04 'Pujehun'
	05 'Bonthe'
	11 'Kailahun'
	12 'Kenema'
	13 'Kono'
	21 'Bombali'
	22 'Kambia'
	23 'Koinadugu'
	24 'Porto Loko'
	25 'Tonkolili'
	31 'Freetown'
	32 'Western Other'	 	 	
 /URBRUR
	1 'Urban'
	2 'Rural' 	         	  	   	   	    	    
 /S3Q1  S3Q19 S3Q32 S3Q39 S3Q41 S3Q42  	 
	1 'Yes'
	2 'No'   	   
 /S3Q3
	1 'Public Transport'
	2 'Private moto-bike'
	3 'Bicycle'
	4 'Go on foot'
	5 'School bus'
	6 'Others'  
  /S3Q14 S3Q27  S3Q36  	 
	1 'Free'
	2 'Some student must pay'
	3 'All must pay'	 
 /S3Q15 S3Q28 S3Q37
	1 'No'
	2 'Some but not enough'
	3 'Enough'
	4 'Loan or Rent' 	  	   	 	  
 /S3Q21 
	1 'Public transport'
	2 'Private moto-bike'
	3 'Bicycle'
	4 'Go on foot'
	5 'Others' 	   	  	 
 /S3Q23
	1 'Public'
	2 'Government'
	3 'Private'  	   	   	   	 
 /S3Q27 S3Q28  	 
	1 'Free'
	2 'Some but not enough'
	3 'Enough'  	  		 
 /S3Q17A S3Q17B S3Q17C S3Q30A S3Q30B S3Q30C
	1 'School is too far away'
	2 'Economic difficulties'
	3 'Children are ill'
	4 'Children are incapable or not like school'
	5 'School overcrowded'
	6 'Parents dont care about children education'
	7 'Children are working'
	8 'Other reasons'	 
 /S3Q18F S3Q18S S3Q18T S3Q31F S3Q31S S3Q31T 	 
	1 'Poor material conditions'
	2 'Low living stadards of teachers'
	3 'School budget constraint'
	4 'Not enough places or desk'
	5 'Not enough supplies'
	6 'Poor quality of teachers'
	7 'Other reasons'
/S3Q38F S3Q38S S3Q38T 
 	1 'Poor material conditions'
	2 'Low living stadards of teachers'
	3 'School budget constraint'
	4 'Not enough places or desk'
	5 'Not enough supplies'
	6 'Poor quality of teachers'
	7 'No future' 			               
	8 'Finding work after graduation' 
	 9 'Economic problems in the family'                                   
	10 'Other'	   	  	 
 /S3Q37 
	1 'No'
	2 'Some, but not enough'
	3 'Enough' .
EXECUTE.

FREQUENCIES
  VARIABLES=REGION to S3Q43W.
  /ORDER=  ANALYSIS .
	 	 

SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Sectional\Comm_Education.sav'.

DATA LIST FILE='C:\SIERRA LEONE_HOUSEHOLD SURVEY_2003\RAW_DATA\TEMP\COM_HEALTH.TMP' RECORDS=1
/
 REGION 	1-1 
 DISTRICT	 1-2 
 CHIEF 		3-4 
 EA 		5-6
 URBRUR 	7-7
 COMM 	8-8
 CASEID     	1-8    
 S4Q101    	9-9   
 S4Q201   	21-23  
 S4Q401 	  57-58   
 S4Q4M01  	 81-82  
 S4Q501 	 105-108 
 S4Q102   	10-10  
 S4Q202   	24-26  
 S4Q402  	 59-60  
 S4Q4M02  	 83-84  
 S4Q502 	 109-112 
 S4Q103   	11-11 
 S4Q203   	27-29 
 S4Q403  	 61-62  
 S4Q4M03  	 85-86  
 S4Q503 	 113-116 
 S4Q104   	12-12 
 S4Q204   	30-32 
 S4Q404  	 63-64  
 S4Q4M04  	 87-88  
 S4Q504 	 117-120 
 S4Q105   	13-13  
 S4Q205 	  33-35 
 S4Q405  	 65-66  
 S4Q4M05  	 89-90  
 S4Q505 	 121-124 
 S4Q106   	14-14 
 S4Q206 	  36-38 
 S4Q406  	 67-68  
 S4Q4M06  	 91-92  
 S4Q506 	 125-128 
 S4Q107   	15-15 
 S4Q207 	  39-41 
 S4Q407  	 69-70 
 S4Q4M07  	 93-94  
 S4Q507 	 129-132 
 S4Q108   	16-16 
 S4Q208 	  42-44 
 S4Q408  	 71-72  
 S4Q4M08  	 95-96  
 S4Q508 	 133-136 
 S4Q109   	17-17
 S4Q209 	  45-47 
 S4Q409  	 73-74
 S4Q4M09  	 97-98    
 S4Q509 	 137-140 
 S4Q110   	18-18  
 S4Q210 	  48-50 
 S4Q410  	 75-76  
 S4Q4M10  	 99-100 
 S4Q510 	 141-144 
 S4Q111   	19-19 
 S4Q211 	  51-53 
 S4Q411  	 77-78  
 S4Q4M11  	101-102 
 S4Q511 	 145-148 
 S4Q112   	20-20  
 S4Q212 	  54-56 
 S4Q412  	 79-80  
 S4Q4M12  	103-104 
 S4Q512 	 149-152 
 S4Q6  		153-153 
 S4Q7F 	 154-154 
 S4Q7S 	 155-155 
 S4Q7T  	156-156 
 S4Q8F  	157-157 
 S4Q8S  	158-158 
 S4Q8T  	159-159 
 S4Q9  		160-160 
 S4Q10 	 161-161 
 S4Q11 	 162-162 
 S4Q12 	 163-163 
 S4Q13 	 164-164 
 S4Q14 	 165-165 
 S4Q15 	166-166 
.
VARIABLE LABELS
REGION 	"REGION"
/DISTRICT 	"DISTRICT"
/CHIEF 		"CHIEFDOM"
/EA 		"ENNUMERATION AREA"
/URBRUR 	"URBAN OR RURAL"
/COMM 	"COMMUNITY"
/S4Q101 	"Is there a  Hospital  in this Community?"
/S4Q102 	"Is there a  Clinic  in this Community?"
/S4Q103 	"Is there a  Pharmacy  in this Community?"
/S4Q104 	"Is there a  Community Clinic in this Community?"
/S4Q105 	"Is there a Doctor in this Community?"
/S4Q106 	"Is there a  Physicians assistantl  in this Community?"
/S4Q107 	"Is there a  Nurse  in this Community?"
/S4Q108 	"Is there a  Pharmacist  in this Community?"
/S4Q109 	"Is there a  traditional midwife  in this Community?"
/S4Q110 	"Is there a  tranied midwife  in this Community?"
/S4Q111 	"Is there a traditional healer  in this Community?"
/S4Q112 	"Is there an other health care provider in this Community?
/S4Q201 	"How far"
/S4Q202 	"How far"
/S4Q203 	"How far" 
/S4Q204 	"How far" 
/S4Q205 	"How far" 
/S4Q206 	"How far" 
/S4Q207 	"How far" 
/S4Q208 	"How far" 
/S4Q209 	"How far" 
/S4Q210 	"How far" 
/S4Q211 	"How far" 
/S4Q212 	"How far" 
/S4Q401 	"Hours of travel"
/S4Q402 	"Hours of travel"
/S4Q403 	"Hours of travel"
/S4Q404 	"Hours of travel"
/S4Q405 	"Hours of travel"
/S4Q406 	"Hours of travel"
/S4Q407 	"Hours of travel"
/S4Q408 	"Hours of travel"
/S4Q409 	"Hours of travel"
/S4Q410 	"Hours of travel"
/S4Q411 	"Hours of travel"
/S4Q412 	"Hours of travel"
/S4Q4M01	 "Minutes of travel"
/S4Q4M02	 "Minutes of travel"
/S4Q4M03	 "Minutes of travel"
/S4Q4M04	 "Minutes of travel"
/S4Q4M05	 "Minutes of travel"
/S4Q4M06 	"Minutes of travel"
/S4Q4M07 	"Minutes of travel"
/S4Q4M08 	"Minutes of travel"
/S4Q4M09 	"Minutes of travel"
/S4Q4M10 	"Minutes of travel"
/S4Q4M11 	"Minutes of travel"
/S4Q4M12 	"Minutes of travel"
/S4Q501 	"Years in practice"
/S4Q502 	"Years in practice"
/S4Q503 	"Years in practice"
/S4Q504 	"Years in practice"
/S4Q505 	"Years in practice"
/S4Q506 	"Years in practice"
/S4Q507 	"Years in practice"
/S4Q508 	"Years in practice"
/S4Q509 	"Years in practice"
/S4Q510 	"Years in practice"
/S4Q511 	"Years in practice"
/S4Q512 	"Years in practice"
/S4Q6 		"Are there any other health services or personnel in this Community that I did not cite?"
/S4Q7F 	"What is the first the major health problems in this Community?"
/S4Q7S 	"What is the second the major health problems in this Community?"
/S4Q7T 	"What is the third the major health problems in this Community?"
/S4Q8F 	"What is the first the major problems with the health service for the people in this Community? 
/S4Q8S 	"What is the second the major problems with the health service for the people in this Community? 
/S4Q8T 	"What is the third the major problems with the health service for the people in this Community? 
/S4Q9 		"Where do most of the women in this Community give birth?"
/S4Q10 	"Has there been an immunization campaign in this Community within the last 12 months?"
/S4Q11 	"Has there been any immunization campaign in this Community within the last 5 years?"
/S4Q12 	"Has there been an anti-malaria campaign in this Community within the last 12 months?"
/S4Q13 	"Has there been an anti-malaria or hemorrhagic fever campaign in this Community within the last 5 years?"
/S4Q14 	"Has there been any campaign to educate mothers about health practices in this Community within the last 12 months?"
/S4Q15 	"Has there been any campaign to educate mothers about health practices in this Community within the last 5 years?"
.
EXECUTE.

val labels 
  /
 /REGION
	 0 'Southern'
	1 'Eastern'
	2 'Northen'
	3 'Western'	 
 /DISTRICT
	 01 'Bo'
	02 'Bonthe'
	03 'Moyamba'
	04 'Pujehun'
	05 'Bonthe'
	11 'Kailahun'
	12 'Kenema'
	13 'Kono'
	21 'Bombali'
	22 'Kambia'
	23 'Koinadugu'
	24 'Porto Loko'
	25 'Tonkolili'
	31 'Freetown'
	32 'Western Other'	 	 	
 /URBRUR
	1 'Urban'
	2 'Rural' 	         	  	   	   	    	    	  
 /S4Q101 S4Q102 S4Q103 S4Q104 S4Q105 S4Q106 S4Q107 S4Q108 S4Q109 S4Q110 S4Q111 S4Q112 S4Q6 S4Q10 S4Q11 S4Q12 S4Q13 S4Q14  S4Q15 	 
	1 'Yes'
	2 'No' 		 
 /S4Q7F S4Q7S S4Q7T  	
	1 'Malaria'
	2 'Complication from child birth'
	3 'Poor quality of service and Doctor'
	4 'Adult malnutrition'
	5 'Injuries or accident'
	6 'Chilhood disease'
	7 'Dysentery'
	8 'Respiratory diseases'
	9 'Others'	  
 /S4Q8F S4Q8S S4Q8T  	
	1 'Lack of facilities'
	2 'Not enough medcines'
	3 'Child malnutrition'
	4 'Adult malnutrition'
	5 'Health services are too expensive'
	6 'Long distance to better quality care'
	7 'Unsanitary Health Facilities'
	8 'Others' 	 
 /S4Q9 
	1 'Their home'
	2 'Hospital or communal clinic'
	3 'Others' .		 	
EXECUTE.

FREQUENCIES
  VARIABLES=REGION to S4Q15
  /ORDER=  ANALYSIS .

SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Sectional\Comm_Health.sav'.



DATA LIST FILE='C:\SIERRA LEONE_HOUSEHOLD SURVEY_2003\RAW_DATA\TEMP\COM_AGRICULTURE.TMP' RECORDS=1
/
 REGION 	1-1 
 DISTRICT 	1-2 
 CHIEF 		3-4 
 EA 		5-6
 URBRUR 	7-7
 COMM 	8-8
 CASEID    	 1-8    
 S5AQC1   	 9-10  
 S5AQT1   	27-27  
 S5A3P11   	36-37  
 S5A3H11   	54-55  
 S5A3P21  	 72-73  
 S5A3H21  	 90-91  
 S5A3P31  	108-109 
 S5A3H31  	126-127 
 S5AQ4F1  	144-144 
 S5AQ4S1  	153-153 
 S5AQ4T1  	162-162 
 S5AQC2   	11-12  
 S5AQT2   	28-28  
 S5A3P12   	38-39  
 S5A3H12  	 56-57  
 S5A3P22  	 74-75  
 S5A3H22  	 92-93  
 S5A3P32  	110-111 
 S5A3H32  	128-129 
 S5AQ4F2  	145-145 
 S5AQ4S2  	154-154 
 S5AQ4T2  	163-163 
 S5AQC3   	13-14  
 S5AQT3   	29-29  
 S5A3P13   	40-41  
 S5A3H13  	 58-59  
 S5A3P23  	 76-77  
 S5A3H23  	 94-95  
 S5A3P33  	112-113 
 S5A3H33  	130-131 
 S5AQ4F3  	146-146 
 S5AQ4S3  	155-155 
 S5AQ4T3  	164-164 
 S5AQC4   	15-16  
 S5AQT4   	30-30  
 S5A3P14   	42-43  
 S5A3H14  	 60-61  
 S5A3P24  	 78-79 
 S5A3H24  	 96-97   
 S5A3P34  	114-115 
 S5A3H34  	132-133 
 S5AQ4F4  	147-147 
 S5AQ4S4  	156-156 
 S5AQ4T4  	165-165 
 S5AQC5   	17-18  
 S5AQT5   	31-31  
 S5A3P15   	44-45  
 S5A3H15  	 62-63  
 S5A3P25  	 80-81  
 S5A3H25  	 98-99  
 S5A3P35  	116-117 
 S5A3H35  	134-135 
 S5AQ4F5  	148-148 
 S5AQ4S5  	157-157 
 S5AQ4T5  	166-166 
 S5AQC6   	19-20  
 S5AQT6   	32-32  
 S5A3P16   	46-47  
 S5A3H16  	 64-65  
 S5A3P26  	 82-83  
 S5A3H26  	100-101 
 S5A3P36  	118-119 
 S5A3H36  	136-137 
 S5AQ4F6  	149-149 
 S5AQ4S6  	158-158 
 S5AQ4T6  	167-167 
 S5AQC7   	21-22  
 S5AQT7   	33-33  
 S5A3P17   	48-49  
 S5A3H17  	 66-67  
 S5A3P27  	 84-85  
 S5A3H27  	102-103
 S5A3P37  	120-121 
 S5A3H37  	138-139 
 S5AQ4F7  	150-150 
 S5AQ4S7  	159-159 
 S5AQ4T7  	168-168 
 S5AQC8   	23-24  
 S5AQT8   	34-34  
 S5A3P18   	50-51  
 S5A3H18  	 68-69  
 S5A3P28  	 86-87  
 S5A3H28  	104-105 
 S5A3P38  	122-123 
 S5A3H38  	140-141 
 S5AQ4F8  	151-151
 S5AQ4S8  	160-160 
 S5AQ4T8  	169-169 
 S5AQC9   	25-26  
 S5AQT9   	35-35  
 S5A3P19   	52-53  
 S5A3H19  	 70-71  
 S5A3P29  	 88-89  
 S5A3H29  	106-107 
 S5A3P39  	124-125 
 S5A3H39  	142-143  
 S5AQ4F9  	152-152 
 S5AQ4S9  	161-161 
 S5AQ4T9  	170-170 
 S5AQ5  	171-171 
 S5AQ6  	172-172 
 S5AQ7  	173-175 
 S5AQ8  	176-176 
 S5AQ9  	177-179  
 S5AQ10  	180-180 
 S5AQ11F 	181-182 
 S5AQ11S  	183-184 
 S5AQ11T  	185-186 
 S5AQ12  	187-187 
 S5AQ13  	188-189 
 S5AQ14  	190-191 
 S5AQ15  	192-192 
 S5AQ16MP 	193-200 
 S5AQ16MT  	201-208 
 S5AQ16MC  	209-216 
 S5AQ16MH  	217-224 
 S5AQ16WP  	225-232 
 S5AQ16WT  	233-240 
 S5AQ16WC  	241-248 
 S5AQ16WH  	249-256 
 S5AQ16CP  	257-264 
 S5AQ16CT  	265-272 
 S5AQ16CC  	273-280 
 S5AQ16CH  	281-288 
 S5AQ17  	289-289 
 S5AQ18M  	290-297 
 S5AQ18W  	298-305 
 S5AQ18C  	306-313 
 S5AQ19  	314-314 
 S5AQ20F 	 315-316 
 S5AQ20S 	 317-318 
 S5AQ20T 	319-320 
 S5AQ21  	321-321 
 S5AQ22  	322-323 
.
EXECUTE.

VARIABLE LABELS
REGION 	"REGION"
/DISTRICT 	"DISTRICT"
/CHIEF 		"CHIEFDOM"
/EA 		"ENNUMERATION AREA"
/URBRUR 	"URBAN OR RURAL"
/COMM 	"COMMUNITY"
/S5AQC1 	"Crop code 1"
/S5AQC2 	"Crop code 2"
/S5AQC3 	"Crop code 3"
/S5AQC4 	"Crop code 4"
/S5AQC5 	"Crop code 5"
/S5AQC6 	"Crop code 6"
/S5AQC7 	"Crop code 7"
/S5AQC8 	"Crop code 8"
/S5AQC9 	"Crop code 9"
/S5AQT1 	"Times per year"
/S5AQT2 	"Times per year"
/S5AQT3 	"Times per year"
/S5AQT4 	"Times per year"
/S5AQT5 	"Times per year"
/S5AQT6 	"Times per year"
/S5AQT7 	"Times per year"
/S5AQT8 	"Times per year"
/S5AQT9 	"Times per year"
/S5A3P11	 "Months planted 1" 
/S5A3P12	 "Months planted 1" 
/S5A3P13	 "Months planted 1" 
/S5A3P14	 "Months planted 1" 
/S5A3P15	 "Months planted 1" 
/S5A3P16	 "Months planted 1" 
/S5A3P17	 "Months planted 1" 
/S5A3P18	 "Months planted 1" 
/S5A3P19	 "Months planted 1" 
/S5A3H11	 "Months harvested 1"
/S5A3H12	 "Months harvested 1"
/S5A3H13	 "Months harvested 1"
/S5A3H14	 "Months harvested 1"
/S5A3H15	 "Months harvested 1"
/S5A3H16	 "Months harvested 1"
/S5A3H17	 "Months harvested 1"
/S5A3H18	 "Months harvested 1"
/S5A3H19	 "Months harvested 1"
/S5A3P21	 "Months planted 2" 
/S5A3P22	 "Months planted 2" 
/S5A3P23	 "Months planted 2" 
/S5A3P24	 "Months planted 2" 
/S5A3P25	 "Months planted 2" 
/S5A3P26	 "Months planted 2" 
/S5A3P27	 "Months planted 2" 
/S5A3P28	 "Months planted 2" 
/S5A3P29	 "Months planted 2" 
/S5A3H21	 "Months harvested 2"
/S5A3H22	 "Months harvested 2"
/S5A3H23	 "Months harvested 2"
/S5A3H24	 "Months harvested 2"
/S5A3H25	 "Months harvested 2"
/S5A3H26	 "Months harvested 2"
/S5A3H27	 "Months harvested 2"
/S5A3H28	 "Months harvested 2"
/S5A3H29	 "Months harvested 2"
/S5A3P31	 "Months planted 3" 
/S5A3P32	 "Months planted 3" 
/S5A3P33	 "Months planted 3" 
/S5A3P34	 "Months planted 3" 
/S5A3P35	 "Months planted 3" 
/S5A3P36	 "Months planted 3" 
/S5A3P37	 "Months planted 3" 
/S5A3P38	 "Months planted 3" 
/S5A3P39	 "Months planted 3" 
/S5A3H31	 "Months harvested 3"
/S5A3H32	 "Months harvested 3"
/S5A3H33	 "Months harvested 3"
/S5A3H34	 "Months harvested 3"
/S5A3H35	 "Months harvested 3"
/S5A3H36	 "Months harvested 3"
/S5A3H37	 "Months harvested 3"
/S5A3H38	 "Months harvested 3"
/S5A3H39	 "Months harvested 3"
/S5AQ4F1	 "What is the primary outlet for crop sales?'
/S5AQ4F2 	"What is the primary outlet for crop sales?'
/S5AQ4F3 	"What is the primary outlet for crop sales?'
/S5AQ4F4 	"What is the primary outlet for crop sales?'
/S5AQ4F5 	"What is the primary outlet for crop sales?'
/S5AQ4F6 	"What is the primary outlet for crop sales?'
/S5AQ4F7 	"What is the primary outlet for crop sales?'
/S5AQ4F8 	"What is the primary outlet for crop sales?'
/S5AQ4F9 	"What is the primary outlet for crop sales?'
/S5AQ4S1 	"What is the secondary outlet for crop sales?'
/S5AQ4S2 	"What is the secondary outlet for crop sales?'
/S5AQ4S3 	"What is the secondary outlet for crop sales?'
/S5AQ4S4 	"What is the secondary outlet for crop sales?'
/S5AQ4S5 	"What is the secondary outlet for crop sales?'
/S5AQ4S6 	"What is the secondary outlet for crop sales?'
/S5AQ4S7 	"What is the secondary outlet for crop sales?'
/S5AQ4S8 	"What is the secondary outlet for crop sales?'
/S5AQ4S9 	"What is the secondary outlet for crop sales?'
/S5AQ4T1 	"What is the third outlet for crop sales?'
/S5AQ4T2 	"What is the third outlet for crop sales?'
/S5AQ4T3 	"What is the third outlet for crop sales?'
/S5AQ4T4 	"What is the third outlet for crop sales?'
/S5AQ4T5 	"What is the third outlet for crop sales?'
/S5AQ4T6 	"What is the third outlet for crop sales?'
/S5AQ4T7 	"What is the third outlet for crop sales?'
/S5AQ4T8 	"What is the third outlet for crop sales?'
/S5AQ4T9 	"What is the third outlet for crop sales?'
/S5AQ5 	"How is Land Acquired in this Community?"
/S5AQ6 	"How is Land mostly Disposed of in this Community?"
/S5AQ7 	"During the past 12 months, how many working days given to government?"
/S5AQ8 	"Is there an Agricultural Extension Service in this Community?"
/S5AQ9 	"How far to extension service?'
/S5AQ10 	"Has an Agricultural Extension Agent visited the farmers of this Community in the last 12 months?"
/S5AQ11F 	"What primary service does the agent provides?"                     
/S5AQ11S 	"What secondary service does the agent provides?"                     
/S5AQ11T 	"What third service does the agent provides?"                     
/S5AQ12 	"Is there an Agricultural Cooperative in this Community?"
/S5AQ13 	"How much large farm machinery over 12 hp is there in this Community? "                 
/S5AQ14 	"How many small farm machinery 12 hp and under are in this Community? "
/S5AQ15 	"Do farmers in this Community use Chemical Fertilizer?"
/S5AQ16MP 	"Males: Average daily wage paid for preparation"
/S5AQ16MT 	"Males: Average daily wage paid for planting"
/S5AQ16MC 	"Males: Average daily wage paid for caring"
/S5AQ16MH 	"Males: Average daily wage paid for harvesting"
/S5AQ16WP 	"Females: Average daily wage paid for preparation"
/S5AQ16WT 	"Females: Average daily wage paid for planting"
/S5AQ16WC 	"Females: Average daily wage paid for caring"
/S5AQ16WH 	"Females: Average daily wage paid for harvesting"
/S5AQ16CP 	"Child: Average daily wage paid for preparation"
/S5AQ16CT 	"Child: Average daily wage paid for planting"
/S5AQ16CC 	"Child: Average daily wage paid for caring"
/S5AQ16CH 	"Child: Average daily wage paid for harvesting"
/S5AQ17 	"Is Unskilled Non-Agricultural employment available in this Community for some months of the year?"
/S5AQ18M 	"Males: How much money does an Unskilled Non-Agricultural labourer earn for one day's work? "
/S5AQ18W 	"Females: How much money does an Unskilled Non-Agricultural labourer earn for one day's work? "
/S5AQ18C 	"Child: How much money does an Unskilled Non-Agricultural labourer earn for one day's work? "
/S5AQ19 	"Is there a system of mutual aid among the farmers of this Community for fieldwork?"
/S5AQ20F 	"What is the primary problem faced by the farmers in this Community?
/S5AQ20S 	"What is the secondary problem faced by the farmers in this Community?
/S5AQ20T 	"What is the third problem faced by the farmers in this Community?
/S5AQ21 	"Were there any disasters in the past 12 months? "              
/S5AQ22 	"How many major disasters were there during the last 5 years? "
.
EXECUTE.

val labels 
 /REGION
	 0 'Southern'
	1 'Eastern'
	2 'Northen'
	3 'Western'	 
 /DISTRICT
	 01 'Bo'
	02 'Bonthe'
	03 'Moyamba'
	04 'Pujehun'
	05 'Bonthe'
	11 'Kailahun'
	12 'Kenema'
	13 'Kono'
	21 'Bombali'
	22 'Kambia'
	23 'Koinadugu'
	24 'Porto Loko'
	25 'Tonkolili'
	31 'Freetown'
	32 'Western Other'	 	 	
 /URBRUR
	1 'Urban'
	2 'Rural' 
/S5AQC1 S5AQC2 S5AQC3 S5AQC4 S5AQC5 S5AQC6 S5AQC7 S5AQC8 S5AQC9 
	1 'Cocoa'
	2 'Coffee'
	3 'Rubber'
	4 'Coconut'
	5 'Palm oil'
	6 'Plantain'
	7 'Bananas'
	8 'Oranges'
            9 'Other Foods'
	10 'Sorghum/Couscous'
	11 'Cola Nuts'
	12 'Palm Kernel'
	13 'Cotton'
	14 'Ground nut'
	15 'Tobacco'
	16 'Pine Apple'
	17 'Sugar Cane'
	18 'Cassava'
	19 'Yam'
	20 'Coco Yam'
	21 'Sweet Potatoes'
	22 'Maize'
	23 'Rice'
	24 'Sorghum'
	25 'Tomatoes'
	26 'Okra'
	27 'Garden Egg'
	28 'Beans/Peas'
	29 'Pepper'
	30 'Leafy Vegetables'
	31 'Other Vegetables'
	32 'Other Crops'
	33 'Onions'
	34 'Avocado Pear'
	35 'Mango'
	36 'Pawpaw'
/S5AQT1 S5AQT2 S5AQT3 S5AQT4 S5AQT5 S5AQT6 S5AQT7 S5AQT8 S5AQT9 
	1 'Once a year'
	2 'Twice a year'
	3 'Three or more times a year'
 	4 'Perenial crop'        	  	   	   	    	    	 
/S5A3P11 S5A3P12 S5A3P13 S5A3P14 S5A3P15 S5A3P16 S5A3P17 S5A3P18 S5A3P19
	1 'January'
	2 'February'
	3 'March'
	4 'April'
	5 'May'
	6 'June'
	7 'July'
	8 'August'
	9 'September'
	10 'October'
	11 'November'
	12 'December'
/S5A3P21 S5A3P22 S5A3P23 S5A3P24 S5A3P25 S5A3P26 S5A3P27 S5A3P28 S5A3P29
	1 'January'
	2 'February'
	3 'March'
	4 'April'
	5 'May'
	6 'June'
	7 'July'
	8 'August'
	9 'September'
	10 'October'
	11 'November'
	12 'December'
/S5A3P31 S5A3P312 S5A3P33 S5A3P34 S5A3P35 S5A3P36 S5A3P37 S5A3P38 S5A3P39
	1 'January'
	2 'February'
	3 'March'
	4 'April'
	5 'May'
	6 'June'
	7 'July'
	8 'August'
	9 'September'
	10 'October'
	11 'November'
	12 'December'
/S5A3H11 S5A3H12 S5A3P13 S5A3H14 S5A3H15 S5A3H16 S5A3H17 S5A3H18 S5A3H19
	1 'January'
	2 'February'
	3 'March'
	4 'April'
	5 'May'
	6 'June'
	7 'July'
	8 'August'
	9 'September'
	10 'October'
	11 'November'
	12 'December'
/S5A3H21 S5A3H22 S5A3H23 S5A3H24 S5A3H25 S5A3H26 S5A3H27 S5A3H28 S5A3H29
	1 'January'
	2 'February'
	3 'March'
	4 'April'
	5 'May'
	6 'June'
	7 'July'
	8 'August'
	9 'September'
	10 'October'
	11 'November'
	12 'December'
/S5A3H31 S5A3H312 S5A3H33 S5A3H34 S5A3H35 S5A3H36 S5A3H37 S5A3H38 S5A3H39
	1 'January'
	2 'February'
	3 'March'
	4 'April'
	5 'May'
	6 'June'
	7 'July'
	8 'August'
	9 'September'
	10 'October'
	11 'November'
	12 'December'
/S5AQ4F1 S5AQ4F2 S5AQ4F3 S5AQ4F4 S5AQ4F5 S5AQ4F6 S5AQ4F7 S5AQ4F8 S5AQ4F9
	1 'At farm gate
 	2 'At the local market'
	3 'At another market'
	4 'To government'
	5 'To cooperative'
	6 'To a private buyer'
	7 'Not sold'
	8 'Other'
/S5AQ4S1 S5AQ4S2 S5AQ4S3 S5AQ4S4 S5AQ4S5 S5AQ4S6 S5AQ4S7 S5AQ4S8 S5AQ4S9
	1 'At farm gate
 	2 'At the local market'
	3 'At another market'
	4 'To government'
	5 'To cooperative'
	6 'To a private buyer'
	7 'Not sold'
	8 'Other'
/S5AQ4T1 S5AQ4T2 S5AQ4T3 S5AQ4T4 S5AQ4T5 S5AQ4T6 S5AQ4T7 S5AQ4T8 S5AQ4T9
	1 'At farm gate
 	2 'At the local market'
	3 'At another market'
	4 'To government'
	5 'To cooperative'
	6 'To a private buyer'
	7 'Not sold'
	8 'Other'
/S5AQ5 
	1 'Inherited'
	2 'Communal'
	3 'Lease'
	4 'Rented'
	5 'Purchased'
	6 'Others'  
 /S5AQ6 
	1 'Pledged'
	2 'Sold'
	3 'Rented'
	4 'Others'     
 /S5AQ8 S5AQ10 S5AQ12  S5AQ15   S5AQ17  S5AQ19  S5AQ21   
	1 'Yes'
	2 'No'  
 /S5AQ11F  S5AQ11S   S5AQ11T   
	1 'Money'
	2 'Livestock breed'
	3 'Livestock food'
	4 'Vaccination'
	5 'Medcine'
	6 'New seed varieties'
	7 'Advice on chemical'
	8 'Fertilizers'
	9 'Advice on pesticides'
	10 'Marketing advice'
	11 'Others' 
 /S5AQ20F S5AQ20S S5AQ20T  
	1 'Transportation access to market'
	2  'Availability of inputs' 
	3 'Drought or flood'
	4 'Insects or rodents'
	5 'Lack of knowledge'
	6 'Modern technology'
	7 'Lack of funds'
	8 'Lack of credit'
	9 'Lack of labour'
	10 'Others'.
EXECUTE.

FILTER OFF.
USE ALL.
SELECT IF(s5aqc1>0).
EXECUTE .

FREQUENCIES
  VARIABLES=REGION to S5AQ22
  /ORDER=  ANALYSIS .

SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Sectional\Comm_Agriculture.sav'.
