
*Prepared By: Geoffrey Greenwell.
*U.S. Census Bureau.
*geoffrey.parke.greenwell@census.gov.
*tel:(301) 763-3467.

*Title: To compute total food consumption by product to derive food budget for caloric intake calculation.
*Purpose: To gather the variables from food purchases and own produce.
*Data: Food purchases and own produce

*Calculate food quintiles.

GET FILE='C:\Sierra Leone_Household Survey_2003\AggData\HHEXP.sav'.

COMPUTE AEQ = fdtotdr/ctry_adq .
EXECUTE .

SORT CASES BY
  aeq (A) .


SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Poverty\Food_Quintiles.sav'.

CREATE
  /CMLT=CSUM(hhsize).

IF (cmlt<=22896/5) FQUINT = 1 .
EXECUTE .

IF (cmlt>22896/5 and cmlt<=2*(22896/5)) FQUINT = 2 .
EXECUTE .

IF (cmlt>(22896/5)*2 and cmlt<=3*(22896/5)) FQUINT = 3 .
EXECUTE .

IF (cmlt>(22896/5)*3 and cmlt<=4*(22896/5)) FQUINT = 4 .
EXECUTE .


IF (cmlt>(22896/5)*4 and cmlt<=5*(22896/5)) FQUINT = 5 .
EXECUTE .


SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Poverty\Food_Quintiles.sav'.



GET FILE='C:\Sierra Leone_Household Survey_2003\InterFiles\Sec9_B_Filtered.sav'.


COMPUTE FDSRC = 1 .
VARIABLE LABELS FDSRC 'Food Src Code' .
EXECUTE .



SORT CASES BY
  hhid (A) s9bq0 (A) .

ADD FILES /FILE=*
 /RENAME (aecon ctry_adq fao_adq pid_1 s9bq1 s9bq2 s9bq3 s9bq4 s9bq5 s9bq6 =
  d0 d1 d2 d3 d4 d5 d6 d7 d8 d9)
 /FILE='C:\Sierra Leone_Household Survey_2003\InterFiles\Sec8H_Filtered.sav'
 /RENAME (aecon aecyc cyc_con fao_adq pid_1 s8hq1 s8hq10 s8hq2 s8hq3 s8hq4
  s8hq5 s8hq6 s8hq7 s8hq8 s8hq9 unit_con = d10 d11 d12 d13 d14 d15 d16 d17 d18
  d19 d20 d21 d22 d23 d24 d25) s8hq0=s9bq0 ancon=ann_prch
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18 d19
  d20 d21 d22 d23 d24 d25.
EXECUTE.


SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\InterFiles\Combo_Food.sav'.


AGGREGATE
  /OUTFILE='C:\Sierra Leone_Household'+
 ' Survey_2003\InterFiles\Combo_Food_Agg.sav'
  /BREAK=hhid s9bq0
  /TFC 'Total Food' = SUM(ann_prch).

GET FILE='C:\Sierra Leone_Household Survey_2003\InterFiles\Combo_Food_Agg.sav'.


SORT CASES BY hhid s9bq0 .

SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\InterFiles\Combo_Food_Agg.sav'.

AGGREGATE
  /OUTFILE='C:\Sierra Leone_Household Survey_2003\InterFiles\Food_totals.sav'
  /BREAK=hhid
  /tfc_1 = SUM(tfc).


FILTER OFF.
USE ALL.
SELECT IF(tfc>0).
EXECUTE .

MATCH FILES /FILE=*
 /TABLE='C:\Sierra Leone_Household Survey_2003\InterFiles\Food_totals.sav'
 /RENAME  tfc_1=fdtot
 /BY hhid.
EXECUTE.


COMPUTE BShares = tfc/fdtot .
VARIABLE LABELS BShares 'Budget Share' .
EXECUTE .


AGGREGATE
  /OUTFILE='C:\Sierra Leone_Household Survey_2003\Poverty\check.sav'
  /BREAK=hhid
  /bshare_1 = SUM(bshares).

SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\InterFiles\Combo_Food_Agg.sav'.

GET FILE='C:\Sierra Leone_Household Survey_2003\Poverty\check.sav'.

GET FILE='C:\Sierra Leone_Household Survey_2003\InterFiles\Combo_Food_Agg.sav'.

FILTER OFF.
USE ALL.
SELECT IF(s9bq0<>999).
EXECUTE .

*To evaluate budget share across distructs.



MATCH FILES /FILE=*
 /TABLE='C:\Sierra Leone_Household Survey_2003\Poverty\HH_PovertyLine.sav'
 /RENAME (aecondr aeexp aeexpdr aenfd corep ctry_adq cycle edtexp fao_adq
  fdpv fdtot fdtotby fdtotdr fdtotpr foodp fpindex hhexp hhexpdr hhsize
  hhsize_1 hltexp nfdfqtot nfdiqtot nfdtot nfdtotdr nfdusevl nfpindex pcexp
  pcexpdr quinttr rectype region rntea rnthh rnthh2 rntv sharefd strat timp
  timp2ea timpee totp urbrur = d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13
  d14 d15 d16 d17 d18 d19 d20 d21 d22 d23 d24 d25 d26 d27 d28 d29 d30 d31 d32
  d33 d34 d35 d36 d37 d38 d39 d40 d41 d42)
 /BY hhid
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18 d19
  d20 d21 d22 d23 d24 d25 d26 d27 d28 d29 d30 d31 d32 d33 d34 d35 d36 d37 d38
  d39 d40 d41 d42.
EXECUTE.

SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\InterFiles\District_Food_Agg.sav'.

*Verify household budget.

*aggregating product into quintiles


AGGREGATE
  /OUTFILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Poverty\Shares_Food_District.sav'
  /BREAK=district s9bq0
  /tfc_1 = SUM(tfc).




*total food expended

AGGREGATE
  /OUTFILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Poverty\Shares_Food_District_Total.sav'
  /BREAK=district
  /tfc_1 = SUM(tfc).


GET FILE='C:\Sierra Leone_Household Survey_2003\Poverty\Shares_Food_District.sav'.

COMPUTE qfshare = tfc_1/total .
EXECUTE .


MEANS
  TABLES=qfshare  BY district  BY s9bq0
  /CELLS MEAN COUNT STDDEV  .

SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Poverty\Shares_Food_District.sav'.

*Non food componenent
GET FILE='C:\Sierra Leone_Household Survey_2003\InterFiles\Sec9_A2_Filtered.sav'.

FILTER OFF.
USE ALL.
SELECT IF(s9a2q0<>332).
EXECUTE .

SORT CASES BY
  hhid (A) .


MATCH FILES /FILE=*
 /TABLE='C:\Sierra Leone_Household Survey_2003\AggData\HHexp.sav'
 /RENAME (aecon edtexp fao_adq hhsize_1 hltexp nfdfqtot nfdiqtot nfdtot
  nfdtotpr rnthh = d0 d1 d2 d3 d4 d5 d6 d7 d8 d9)
 /BY hhid
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8 d9.
EXECUTE.



AGGREGATE
  /OUTFILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Poverty\Shares_NF_Agg1.sav'
  /BREAK=quint s9a2q0
  /ann_qnf = SUM(ann_nf).

AGGREGATE
  /OUTFILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Poverty\Shares_NF_Agg2.sav'
  /BREAK=quint
  /ann_tot = SUM(ann_nf).



GET FILE='C:\Sierra Leone_Household Survey_2003\Poverty\Shares_NF_Agg1.sav'.
EXECUTE.

MATCH FILES /FILE=*
 /TABLE='C:\Sierra Leone_Household Survey_2003\Poverty\Shares_NF_Agg2.sav'
 /BY quint.
EXECUTE.

COMPUTE NFShare = ann_qnf/ann_tot .
EXECUTE .

MEANS
  TABLES=nfshare  BY quint  BY s9a2q0
  /CELLS MEAN COUNT STDDEV  .


SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\InterFiles\Shares_NonFood_Quintile.sav'.

*Prepare person ids for mapping.


GET FILE='C:\Sierra Leone_Household Survey_2003\AggData\HHEXP.sav'.


SORT CASES BY
  aecondr (A) .

CREATE
  /hhsize_2=CSUM(hhsize).


SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Poverty\HH_PovertyLine.sav'.

CREATE
  /hhtp=CSUM(hhsize).
*Calculating quintiles on per capita.

*Tagging poverty line to highlight nutritional poverty and to determine non food proportions.

IF (aecondr<=377045) FoodP = 1 .
EXECUTE .

IF (aecondr>377045) FoodP = 2 .
EXECUTE .


SAVE TRANSLATE OUTFILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Poverty\BelowPovertyLine.xls'
  /TYPE=XLS /MAP /REPLACE /FIELDNAMES.

*Compute core (i.e food) and total line and add basic needs by working the spreadsheet.

IF (pcexpdr<=377045) CoreP = 1 .
EXECUTE .


IF (pcexpdr>377045) CoreP = 2 .
EXECUTE .



IF (aeexpdr<=770678) TotP = 1 .
EXECUTE .


IF (aeexpdr>770678) TotP = 2 .
EXECUTE .


SORT CASES BY
  hhid (A) .

SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Poverty\HH_PovertyLine.sav'.

GET FILE='C:\Sierra Leone_Household Survey_2003\Sectional\HHRoster_Sec1.sav'.


SORT CASES BY
  hhid (A) .

FILTER OFF.
USE ALL.
SELECT IF(s1q23<>2).
EXECUTE .

SORT CASES BY
  hhid (A) .

SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Poverty\HH_PovertyLine_Detail.sav'.


MATCH FILES /FILE=*
 /TABLE='C:\Sierra Leone_Household Survey_2003\Poverty\HH_PovertyLine.sav'
 /RENAME (aecondr aeexp aeexpdr aenfd ctry_adq edtexp fao_adq fdtot fdtotby
  fdtotdr fdtotpr fpindex hhexp hhexpdr hhsize hhsize_1 hltexp month nfdfqtot
  nfdiqtot nfdtot nfdtotdr nfdtotpr nfpindex pcexp rnthh sharefd year = d0 d1
  d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18 d19 d20 d21 d22
  d23 d24 d25 d26 d27)
 /BY hhid
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18 d19
  d20 d21 d22 d23 d24 d25 d26 d27.
EXECUTE.

*This adjustment was made to eliminate members who because of mis-match could not be classified.

USE ALL.
SELECT IF(totp>0).
EXECUTE .

SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Poverty\HH_PovertyLine_Detail.sav'.


*checking Freewotn vs. the rest.

FILTER OFF.
USE ALL.
IF (district=31) Strat = 1 .
EXECUTE .


FILTER OFF.
USE ALL.
IF (district<>31 and urbrur=2) Strat = 2 .
EXECUTE .


FILTER OFF.
USE ALL.
IF (district<>31 and urbrur=1) Strat = 3 .
EXECUTE .


SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Poverty\HH_PovertyLine_Detail.sav'.

*Produce some indicators.

CROSSTABS
  /TABLES=district  BY foodp
  /FORMAT= AVALUE TABLES
  /CELLS= COUNT ROW .


MEANS
  TABLES=share  BY fquint BY s9a2q0
  /CELLS MEAN COUNT STDDEV  .
FILTER OFF.

CROSSTABS
  /TABLES=strat  BY totp
  /FORMAT= AVALUE TABLES
  /CELLS= COUNT ROW .

CROSSTABS
  /TABLES=strat  BY corep
  /FORMAT= AVALUE TABLES
  /CELLS= COUNT ROW .

FILTER OFF.
USE ALL.
SELECT IF(s1q3=1).
EXECUTE .

*Examine sex of Head of household.

CROSSTABS
  /TABLES=s1q2  BY foodp
  /FORMAT= AVALUE TABLES
  /CELLS= COUNT ROW .


CROSSTABS
  /TABLES=s1q2  BY totp
  /FORMAT= AVALUE TABLES
  /CELLS= COUNT ROW .



SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Poverty\HH_PovertyLine_Head.sav'.


*Examine marital status.

CROSSTABS
  /TABLES=s1q6  BY totp
  /FORMAT= AVALUE TABLES
  /CELLS= COUNT ROW .
CROSSTABS
  /TABLES=s1q6  BY foodp
  /FORMAT= AVALUE TABLES
  /CELLS= COUNT ROW .






*Calculating depth of poverty

GET FILE='C:\Sierra Leone_Household Survey_2003\Poverty\HH_PovertyLine.sav'.




*NATIONAL  CORE POVERTY---------------------------------------.

*National averages


AGGREGATE
  /OUTFILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Poverty\Core_National_Mean.sav'
  /BREAK=corep
  /tot_av = MEAN(aeexpdr).


*National Counts


AGGREGATE
  /OUTFILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Poverty\Core_National_Count.sav'
  /BREAK=corep
  /tot_cnt =SUM(hhsize).


*Standard Deviations

AGGREGATE
  /OUTFILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Poverty\Core_National_SD.sav'
  /BREAK=corep
  /tot_dev = SD(aeexpdr).




*NATIONAL  TOTAL POVERTY---------------------------------------.

*National averages


AGGREGATE
  /OUTFILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Poverty\Poverty_National_Mean.sav'
  /BREAK=totp
  /tot_av = MEAN(aeexpdr).


*National Counts


AGGREGATE
  /OUTFILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Poverty\Poverty_National_Count.sav'
  /BREAK=totp
  /tot_cnt =SUM(hhsize).


*Standard Deviations

AGGREGATE
  /OUTFILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Poverty\Poverty_National_SD.sav'
  /BREAK=totp
  /tot_dev = SD(aeexpdr).


*NATIONAL  FOOD POVERTY---------------------------------------.

*National averages

AGGREGATE
  /OUTFILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Poverty\FoodPoverty_National_Mean.sav'
  /BREAK=foodp
  /ae_av= MEAN(aecondr).

*National Counts

AGGREGATE
  /OUTFILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Poverty\FoodPoverty_National_Count.sav'
  /BREAK=foodp
  /ae_cnt = SUM(hhsize).

*Standard Deviations

AGGREGATE
  /OUTFILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Poverty\FoodPoverty_National_SD.sav'
  /BREAK=foodp
  /ae_sd= SD(aecondr).


*National core poverty indicators.

GET FILE='C:\Sierra Leone_Household Survey_2003\Poverty\Core_National_Mean.sav'.

MATCH FILES /FILE=*
 /FILE='C:\Sierra Leone_Household Survey_2003\Poverty\Core_National_Count.sav'
 /BY corep.
EXECUTE.

MATCH FILES /FILE=*
 /FILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Poverty\Core_National_SD.sav'
 /BY corep.
EXECUTE.

IF (corep=1) P1 = (10366/22852)*((377045-tot_av)/377045) .
EXECUTE .

IF (corep=2) P1= (12486/22852)*((tot_av-377045)/377045) .
EXECUTE .


IF (corep=1) DP2 = (10366/22852)*((377045-tot_av)/377045)**2 + (tot_dev/377045)**2.
EXECUTE .

IF (corep=2) DP2= (12486/22852)*((tot_av-377045)/377045)**2 + (tot_dev/377045)**2 .
EXECUTE .




SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Poverty\Poverty_National_Indicators.sav'.



*National total poverty indicators.

GET FILE='C:\Sierra Leone_Household Survey_2003\Poverty\Poverty_National_Mean.sav'.

MATCH FILES /FILE=*
 /FILE='C:\Sierra Leone_Household Survey_2003\Poverty\Poverty_National_Count.sav'
 /BY totp.
EXECUTE.

MATCH FILES /FILE=*
 /FILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Poverty\Poverty_National_SD.sav'
 /BY totp.
EXECUTE.

IF (totp=1) P1 = (18919/22852)*((770680-tot_av)/770680) .
EXECUTE .

IF (totp=2) P1= (3933/22852)*((tot_av-770680)/770680) .
EXECUTE .


IF (totp=1) DP2 = (18919/22852)*((770680-tot_av)/770680)**2 + (tot_dev/770680)**2.
EXECUTE .

IF (totp=2) DP2= (3933/22852)*((tot_av-770680)/770680)**2 + (tot_dev/770680)**2 .
EXECUTE .




SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Poverty\Poverty_National_Indicators.sav'.

*Merging Food Files

GET FILE='C:\Sierra Leone_Household Survey_2003\Poverty\FoodPoverty_National_Mean.sav'.

MATCH FILES /FILE=*
 /FILE='C:\Sierra Leone_Household Survey_2003\Poverty\FoodPoverty_National_Count.sav'
 /BY foodp.
EXECUTE.

MATCH FILES /FILE=*
 /FILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Poverty\FoodPoverty_National_SD.sav'
 /BY foodp.
EXECUTE.

IF (foodp=1) FP1 = (15455/22839)*((377045-ae_av)/377045) .
EXECUTE .

IF (foodp=2) FP1= (7384/22839)*((ae_av-377045)/377045) .
EXECUTE .


IF (foodp=1) FDP2 = (15455/22839)*(((377045-ae_av)/377045)**2) + (ae_sd/377045)**2.
EXECUTE .

IF (foodp=2) FDP2= (7384/22839)*(((ae_av-377045)/377045)**2) + (ae_sd/377045)**2 .
EXECUTE .



SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Poverty\FoodPoverty_National_Indicators.sav'.


GET FILE='C:\Sierra Leone_Household Survey_2003\Poverty\HH_PovertyLine.sav'.



MATCH FILES /FILE=*
 /TABLE='C:\Sierra Leone_Household Survey_2003\Sectional\House_Sec7.sav'
 /RENAME (chiefdom ea hhnum s7aq1 s7aq2 s7aq3 s7aq4m s7aq4y s7aq5 s7aq6
  s7bq10 s7bq11 s7bq12 s7bq12a s7bq12b s7bq7 s7bq8 s7bq9 s7cq13 s7cq14t
  s7cq14v s7cq15 s7cq16 s7cq17 s7cq18 s7cq19t s7cq19v s7cq20 s7dq21 s7dq22c
  s7dq22d s7dq23 s7dq24a s7dq24t s7dq25 s7dq26 s7dq27 s7dq28 s7dq29 s7dq29t
  s7dq30 s7dq31 s7dq32 s7dq32t s7dq33 s7eq34 s7eq35 s7eq36 s7eq37 s7fq38
  s7fq39a s7fq39b s7fq39c s7fq40 s7fq41a s7fq41b s7fq41c s7fq42 s7fq43 s7fq44
  s7fq45 s7fq46 s7fq47 s7fq48 s7fq49 s7fq50 s7fq51 s7fq52 = d0 d1 d2 d3 d4 d5
  d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18 d19 d20 d21 d22 d23 d24 d25
  d26 d27 d28 d29 d30 d31 d32 d33 d34 d35 d36 d37 d38 d39 d40 d41 d42 d43 d44
  d45 d46 d47 d48 d49 d50 d51 d52 d53 d54 d55 d56 d57 d58 d59 d60 d61 d62 d63
  d64 d65 d66 d67)
 /BY hhid
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18 d19
  d20 d21 d22 d23 d24 d25 d26 d27 d28 d29 d30 d31 d32 d33 d34
d35 d36 d37 d38 d39 d40 d41 d42 d43 d44 d45 d46 d47 d48 d49 d50 d51 d52 d53
  d54 d55 d56 d57 d58 d59 d60 d61 d62 d63 d64 d65 d66 d67.
EXECUTE.



*CORE POVERTY BY DISTRICT---------------------------------------.

AGGREGATE
  /OUTFILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Poverty\Core_District_Mean.sav'
  /BREAK=district corep
  /dis_av = MEAN(pcexpdr).

AGGREGATE
  /OUTFILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Poverty\Core_District_Count.sav'
  /BREAK=district corep
  /dis_cnt = SUM(hhsize).


AGGREGATE
  /OUTFILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Poverty\Core_District_SD.sav'
  /BREAK=district corep
  /dis_sd = SD(pcexpdr).

AGGREGATE
  /OUTFILE='C:\Sierra Leone_Household Survey_2003\Poverty\Core_Count.sav'
  /BREAK=district
  /hhdist = SUM(hhsize).



*NATIONAL  TOTAL POVERTY BY DISTRICT---------------------------------------.

AGGREGATE
  /OUTFILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Poverty\Poverty_District_Mean.sav'
  /BREAK=district totp
  /dis_av = MEAN(aeexpdr).

AGGREGATE
  /OUTFILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Poverty\Poverty_District_Count.sav'
  /BREAK=district totp
  /dis_cnt = SUM(hhsize).


AGGREGATE
  /OUTFILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Poverty\Poverty_District_SD.sav'
  /BREAK=district totp
  /dis_sd = SD(aeexpdr).

AGGREGATE
  /OUTFILE='C:\Sierra Leone_Household Survey_2003\Poverty\District_Count.sav'
  /BREAK=district
  /hhdist = SUM(hhsize).

*Core Poverty.


GET FILE='C:\Sierra Leone_Household Survey_2003\Poverty\Core_District_Mean.sav'.

MATCH FILES /FILE=*
 /FILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Poverty\Core_District_Count.sav'
 /BY district corep.
EXECUTE.

MATCH FILES /FILE=*
 /FILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Poverty\Core_District_SD.sav'
 /BY district corep.
EXECUTE.

MATCH FILES /FILE=*
 /TABLE='C:\Sierra Leone_Household Survey_2003\Poverty\Core_Count.sav'
 /BY district.
EXECUTE.


IF (corep=1) DP0 = (dis_cnt/hhdist).
EXECUTE .

IF (corep=2) DP0= (dis_cnt/hhdist) .
EXECUTE .


IF (corep=1) DP1 = (dis_cnt/hhdist)*((377045-dis_av)/377045) .
EXECUTE .

IF (corep=2) DP1= (dis_cnt/hhdist)*((dis_av-377045)/377045) .
EXECUTE .

IF (corep=1) DP2 = (dis_cnt/hhdist)*((377045-dis_av)/377045)**2 + (dis_sd/377045)**2.
EXECUTE .

IF (corep=2) DP2= (dis_cnt/hhdist)*((dis_av-377045)/377045)**2 + (dis_sd/377045)**2 .
EXECUTE .


SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Poverty\Core_District_Indicators.sav'.




*District total.
GET FILE='C:\Sierra Leone_Household Survey_2003\Poverty\Poverty_District_Mean.sav'.

MATCH FILES /FILE=*
 /FILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Poverty\Poverty_District_Count.sav'
 /BY district totp.
EXECUTE.

MATCH FILES /FILE=*
 /FILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Poverty\Poverty_District_SD.sav'
 /BY district totp.
EXECUTE.

MATCH FILES /FILE=*
 /TABLE='C:\Sierra Leone_Household Survey_2003\Poverty\District_Count.sav'
 /BY district.
EXECUTE.


IF (totp=1) DP0 = (dis_cnt/hhdist).
EXECUTE .

IF (totp=2) = (dis_cnt/hhdist) .
EXECUTE .


IF (totp=1) DP1 = DP0*((770680-dis_av)/770680) .
EXECUTE .

IF (totp=2) DP1= (dis_cnt/hhdist)*((dis_av-770680)/770680) .
EXECUTE .

IF (totp=1) DP2 = (dis_cnt/hhdist)*((770680-dis_av)/770680)**2 + (dis_sd/770680)**2.
EXECUTE .

IF (totp=2) DP2= (dis_cnt/hhdist)*((dis_av-770680)/770680)**2 + (dis_sd/770680)**2 .
EXECUTE .


SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Poverty\Poverty_District_Indicators.sav'.




GET FILE='C:\Sierra Leone_Household Survey_2003\Poverty\HH_PovertyLine.sav'.




*FOOD POVERTY BY DISTRICT---------------------------------------.

AGGREGATE
  /OUTFILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Poverty\FoodPoverty_District_Mean.sav'
  /BREAK=district foodp
  /fdis_av = MEAN(aecondr).

AGGREGATE
  /OUTFILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Poverty\FoodPoverty_District_Count.sav'
  /BREAK=district foodp
  /fdis_cnt = SUM(hhsize).


AGGREGATE
  /OUTFILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Poverty\FoodPoverty_District_SD.sav'
  /BREAK=district foodp
  /fdis_sd = SD(aecondr).


GET FILE='C:\Sierra Leone_Household Survey_2003\Poverty\FoodPoverty_District_Mean.sav'.

MATCH FILES /FILE=*
 /FILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Poverty\FoodPoverty_District_Count.sav'
 /BY district foodp.
EXECUTE.

MATCH FILES /FILE=*
 /FILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Poverty\FoodPoverty_District_SD.sav'
 /BY district foodp.
EXECUTE.

MATCH FILES /FILE=*
 /TABLE='C:\Sierra Leone_Household Survey_2003\Poverty\District_Count.sav'
 /BY district.
EXECUTE.


IF (foodp=1) DP0 = (fdis_cnt/hhdist).
EXECUTE .

IF (foodp=2) DP0= (fdis_cnt/hhdist) .
EXECUTE .


IF (foodp=1) DP1 = (fdis_cnt/hhdist)*((377045-fdis_av)/377045) .
EXECUTE .

IF (foodp=2) DP1= (fdis_cnt/hhdist)*((fdis_av-377045)/377045) .
EXECUTE .

IF (foodp=1) DP2 = (fdis_cnt/hhdist)*((377045-fdis_av)/377045)**2 + (fdis_sd/377045)**2.
EXECUTE .

IF (foodp=2) DP2= (fdis_cnt/hhdist)*((fdis_av-377045)/377045)**2 + (fdis_sd/377045)**2 .
EXECUTE .


SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Poverty\FoodPoverty_District_Indicators.sav'.


*XXX.
*NATIONAL  CORE POVERTY BY STRATA---------------------------------------.
GET FILE='C:\Sierra Leone_Household Survey_2003\Poverty\HH_PovertyLine.sav'.

AGGREGATE
  /OUTFILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Poverty\Core_Strata_Mean.sav'
  /BREAK=strat corep
  /st_av = MEAN(pcexpdr).

AGGREGATE
  /OUTFILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Poverty\Core_Strata_Count.sav'
  /BREAK=strat corep
  /st_cnt = SUM(hhsize).


AGGREGATE
  /OUTFILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Poverty\Core_Strata_SD.sav'
  /BREAK=strat corep
  /st_sd = SD(pcexpdr).

AGGREGATE
  /OUTFILE='C:\Sierra Leone_Household Survey_2003\Poverty\Core_Count.sav'
  /BREAK=strat
  /hhdist = SUM(hhsize).



GET FILE='C:\Sierra Leone_Household Survey_2003\Poverty\Core_Strata_Mean.sav'.

MATCH FILES /FILE=*
 /FILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Poverty\Core_Strata_Count.sav'
 /BY strat corep.
EXECUTE.

MATCH FILES /FILE=*
 /FILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Poverty\Core_Strata_SD.sav'
 /BY strat corep.
EXECUTE.

MATCH FILES /FILE=*
 /TABLE='C:\Sierra Leone_Household Survey_2003\Poverty\Core_Count.sav'
 /BY strat.
EXECUTE.


IF (corep=1) SP0 = (st_cnt/hhdist).
EXECUTE .

IF (corep=2) SP0= (st_cnt/hhdist) .
EXECUTE .


IF (corep=1) SP1 = (st_cnt/hhdist)*((377045-st_av)/377045) .
EXECUTE .

IF (corep=2) SP1= (st_cnt/hhdist)*((st_av-377045)/377045) .
EXECUTE .

IF (corep=1) SP2 = (st_cnt/hhdist)*((377045-st_av)/377045)**2 + (st_sd/377045)**2.
EXECUTE .

IF (corep=2) SP2= (st_cnt/hhdist)*((st_av-377045)/377045)**2 + (st_sd/377045)**2 .
EXECUTE .


SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Poverty\Core_Strata_Indicators.sav'.




GET FILE='C:\Sierra Leone_Household Survey_2003\Poverty\HH_PovertyLine.sav'.

*XXX.
*NATIONAL  TOTAL POVERTY BY STRATA---------------------------------------.

FILTER OFF.
USE ALL.
IF (district=31) Strat = 1 .
EXECUTE .


FILTER OFF.
USE ALL.
IF (district<>31 and urbrur=2) Strat = 2 .
EXECUTE .


FILTER OFF.
USE ALL.
IF (district<>31 and urbrur=1) Strat = 3 .
EXECUTE .





AGGREGATE
  /OUTFILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Poverty\Poverty_Strata_Mean.sav'
  /BREAK=strat totp
  /st_av = MEAN(aeexpdr).

AGGREGATE
  /OUTFILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Poverty\Poverty_Strata_Count.sav'
  /BREAK=strat totp
  /st_cnt = SUM(hhsize).


AGGREGATE
  /OUTFILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Poverty\Poverty_Strata_SD.sav'
  /BREAK=strat totp
  /st_sd = SD(aeexpdr).

AGGREGATE
  /OUTFILE='C:\Sierra Leone_Household Survey_2003\Poverty\Strata_Count.sav'
  /BREAK=strat
  /hhdist = SUM(hhsize).



GET FILE='C:\Sierra Leone_Household Survey_2003\Poverty\Poverty_Strata_Mean.sav'.

MATCH FILES /FILE=*
 /FILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Poverty\Poverty_Strata_Count.sav'
 /BY strat totp.
EXECUTE.

MATCH FILES /FILE=*
 /FILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Poverty\Poverty_Strata_SD.sav'
 /BY strat totp.
EXECUTE.

MATCH FILES /FILE=*
 /TABLE='C:\Sierra Leone_Household Survey_2003\Poverty\Strata_Count.sav'
 /BY strat.
EXECUTE.


IF (totp=1) SP0 = (st_cnt/hhdist).
EXECUTE .

IF (totp=2) SP0= (st_cnt/hhdist) .
EXECUTE .


IF (totp=1) SP1 = (st_cnt/hhdist)*((770680-st_av)/770680) .
EXECUTE .

IF (totp=2) SP1= (st_cnt/hhdist)*((st_av-770680)/770680) .
EXECUTE .

IF (totp=1) SP2 = (st_cnt/hhdist)*((770680-st_av)/770680)**2 + (st_sd/770680)**2.
EXECUTE .

IF (totp=2) SP2= (st_cnt/hhdist)*((st_av-770680)/770680)**2 + (st_sd/770680)**2 .
EXECUTE .


SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Poverty\Poverty_Strata_Indicators.sav'.


*FOOD POVERTY BY STRATA---------------------------------------.

GET FILE='C:\Sierra Leone_Household Survey_2003\Poverty\HH_PovertyLine.sav'.

AGGREGATE
  /OUTFILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Poverty\FoodPoverty_Strata_Mean.sav'
  /BREAK=strat foodp
  /fst_av = MEAN(aecondr).

AGGREGATE
  /OUTFILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Poverty\FoodPoverty_Strata_Count.sav'
  /BREAK=strat foodp
  /fst_cnt = SUM(hhsize).


AGGREGATE
  /OUTFILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Poverty\FoodPoverty_Strata_SD.sav'
  /BREAK=strat foodp
  /fst_sd = SD(aecondr).



GET FILE='C:\Sierra Leone_Household Survey_2003\Poverty\FoodPoverty_Strata_Mean.sav'.

MATCH FILES /FILE=*
 /FILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Poverty\FoodPoverty_Strata_Count.sav'
 /BY strat foodp.
EXECUTE.

MATCH FILES /FILE=*
 /FILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Poverty\FoodPoverty_Strata_SD.sav'
 /BY strat foodp.
EXECUTE.

MATCH FILES /FILE=*
 /TABLE='C:\Sierra Leone_Household Survey_2003\Poverty\Strata_Count.sav'
 /BY strat.
EXECUTE.


IF (foodp=1) FSP0 = (fst_cnt/hhdist).
EXECUTE .

IF (foodp=2) FSP0= (fst_cnt/hhdist) .
EXECUTE .


IF (foodp=1) FSP1 = (fst_cnt/hhdist)*((377045-fst_av)/377045) .
EXECUTE .

IF (foodp=2) FSP1= (fst_cnt/hhdist)*((fst_av-377045)/377045) .
EXECUTE .

IF (foodp=1) FSP2 = (fst_cnt/hhdist)*((377045-fst_av)/377045)**2 + (fst_sd/377045)**2.
EXECUTE .

IF (foodp=2) FSP2= (fst_cnt/hhdist)*((fst_av-377045)/377045)**2 + (fst_sd/377045)**2 .
EXECUTE .


SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Poverty\FoodPoverty_Strata_Indicators.sav'.


*TOTAL POVERTY BY CYCLE Checking poverty by cycle.

GET FILE='C:\Sierra Leone_Household Survey_2003\Poverty\HH_PovertyLine.sav'.

MATCH FILES /FILE=*
 /TABLE='C:\Sierra Leone_Household Survey_2003\Sectional\Cycles.sav'
 /BY hhid.
EXECUTE.




AGGREGATE
  /OUTFILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Poverty\Poverty_Cycle_Mean.sav'
  /BREAK=cycle totp
  /st_av = MEAN(aeexpdr).

AGGREGATE
  /OUTFILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Poverty\Poverty_Cycle_Count.sav'
  /BREAK=cycle totp
  /st_cnt = SUM(hhsize).


AGGREGATE
  /OUTFILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Poverty\Poverty_Cycle_SD.sav'
  /BREAK=cycle totp
  /st_sd = SD(aeexpdr).

AGGREGATE
  /OUTFILE='C:\Sierra Leone_Household Survey_2003\Poverty\Cycle_Count.sav'
  /BREAK=cycle
  /hhdist = SUM(hhsize).



GET FILE='C:\Sierra Leone_Household Survey_2003\Poverty\Poverty_Cycle_Mean.sav'.

MATCH FILES /FILE=*
 /FILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Poverty\Poverty_Cycle_Count.sav'
 /BY cycle totp.
EXECUTE.

MATCH FILES /FILE=*
 /FILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Poverty\Poverty_Cycle_SD.sav'
 /BY cycle totp.
EXECUTE.

MATCH FILES /FILE=*
 /TABLE='C:\Sierra Leone_Household Survey_2003\Poverty\Cycle_Count.sav'
 /BY cycle.
EXECUTE.


IF (totp=1) CP0 = (st_cnt/hhdist).
EXECUTE .

IF (totp=2) CP0= (st_cnt/hhdist) .
EXECUTE .


IF (totp=1) CP1 = (st_cnt/hhdist)*((770680-st_av)/770680) .
EXECUTE .

IF (totp=2) CP1= (st_cnt/hhdist)*((st_av-770680)/770680) .
EXECUTE .

IF (totp=1) CP2 = (st_cnt/hhdist)*((770680-st_av)/770680)**2 + (st_sd/770680)**2.
EXECUTE .

IF (totp=2) CP2= (st_cnt/hhdist)*((st_av-770680)/770680)**2 + (st_sd/770680)**2 .
EXECUTE .


SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Poverty\Poverty_Cycle_Indicators.sav'.


*FOOD POVERTY BY CYCLE---------------------------------------.

GET FILE='C:\Sierra Leone_Household Survey_2003\Poverty\HH_PovertyLine.sav'.

AGGREGATE
  /OUTFILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Poverty\FoodPoverty_Cycle_Mean.sav'
  /BREAK=cycle foodp
  /fst_av = MEAN(aecondr).

AGGREGATE
  /OUTFILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Poverty\FoodPoverty_Cycle_Count.sav'
  /BREAK=cycle foodp
  /fst_cnt = SUM(hhsize).


AGGREGATE
  /OUTFILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Poverty\FoodPoverty_Cycle_SD.sav'
  /BREAK=cycle foodp
  /fst_sd = SD(aecondr).



GET FILE='C:\Sierra Leone_Household Survey_2003\Poverty\FoodPoverty_Cycle_Mean.sav'.

MATCH FILES /FILE=*
 /FILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Poverty\FoodPoverty_Cycle_Count.sav'
 /BY cycle foodp.
EXECUTE.

MATCH FILES /FILE=*
 /FILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Poverty\FoodPoverty_Cycle_SD.sav'
 /BY cycle foodp.
EXECUTE.

MATCH FILES /FILE=*
 /TABLE='C:\Sierra Leone_Household Survey_2003\Poverty\Cycle_Count.sav'
 /BY cycle.
EXECUTE.


IF (foodp=1) FCP0 = (fst_cnt/hhdist).
EXECUTE .

IF (foodp=2) FCP0= (fst_cnt/hhdist) .
EXECUTE .


IF (foodp=1) FCP1 = (fst_cnt/hhdist)*((377045-fst_av)/377045) .
EXECUTE .

IF (foodp=2) FCP1= (fst_cnt/hhdist)*((fst_av-377045)/377045) .
EXECUTE .

IF (foodp=1) FCP2 = (fst_cnt/hhdist)*((377045-fst_av)/377045)**2 + (fst_sd/377045)**2.
EXECUTE .

IF (foodp=2) FCP2= (fst_cnt/hhdist)*((fst_av-377045)/377045)**2 + (fst_sd/377045)**2 .
EXECUTE .


SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Poverty\FoodPoverty_Cycle_Indicators.sav'.







*Lorenz Curve prep

GET FILE='C:\Sierra Leone_Household Survey_2003\Poverty\HH_PovertyLine_Detail.sav'.

SORT CASES BY
  hhid (A) .


MATCH FILES /FILE=*
 /RENAME (foodp hhnum pid quinttr s1q12 s1q15 s1q16 s1q19 s1q2 s1q3 s1q5m
  s1q5y s1q6 totp = d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13)
 /TABLE='C:\Sierra Leone_Household Survey_2003\Poverty\HH_PovertyLine.sav'
 /RENAME (aecondr aeexp aeexpdr aenfd ctry_adq district edtexp fao_adq fdtot
  fdtotby fdtotdr fdtotpr foodp fpindex hhexp hhexpdr hhsize hhsize_1 hltexp
  nfdfqtot nfdiqtot nfdtot nfdtotdr nfpindex pcexp quinttr rectype region
  rnthh sharefd strat totp urbrur = d14 d15 d16 d17 d18 d19 d20 d21 d22 d23
  d24 d25 d26 d27 d28 d29 d30 d31 d32 d33 d34 d35 d36 d37 d38 d39 d40 d41 d42
  d43 d44 d45 d46)
 /BY hhid
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18 d19
  d20 d21 d22 d23 d24 d25 d26 d27 d28 d29 d30 d31 d32 d33 d34 d35 d36 d37 d38
  d39 d40 d41 d42 d43 d44 d45 d46.
EXECUTE.




SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Poverty\Lorenz.sav'.


SORT CASES BY
  pcexpdr (A) .



COMPUTE Tally = 1 .
EXECUTE .

CREATE
  /cumcon=CSUM(pcexpdr).


CREATE
  /pcon=CSUM(tally).

SAVE TRANSLATE OUTFILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Poverty\LorenzHold'
  /TYPE=XLS /MAP /REPLACE /FIELDNAMES.

SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Poverty\Lorenz.sav'.

*Use the excel file for Lorenz cuver computation and doing the maps.
*Evaluating Income.

GET FILE='C:\Sierra Leone_Household Survey_2003\Sectional\Income_Sec11A.sav'.

AGGREGATE
  /OUTFILE='C:\Sierra Leone_Household'+
 ' Survey_2003\poverty\Income_Aggregate.sav'
  /BREAK=hhid
  /s11aq1_1 = SUM(s11aq1) /s11aq2_1 = SUM(s11aq2) /s11aq3_1 = SUM(s11aq3)
 /s11aq4_1 = SUM(s11aq4) /s11aq5_1 = SUM(s11aq5) /s11aq6_1 = SUM(s11aq6)
 /s11aq7_1 = SUM(s11aq7) /s11aq8_1 = SUM(s11aq8) /s11aq9_1 = SUM(s11aq9)
 /s11aq1_2 = SUM(s11aq10) /s11aq1_3 = SUM(s11aq11) /s11aq1_4 = SUM(s11aq12)
 /s11aq1_5 = SUM(s11aq13) /s11aq1_6 = SUM(s11aq14) /s11aq1_7 = SUM(s11aq15).


GET FILE='C:\Sierra Leone_Household Survey_2003\InterFiles\Income_Aggregate.sav'.

IF (sysmis(s11aq1_1)) s11aq1_1 = 0 .
EXECUTE .


IF (sysmis(s11aq2_1)) s11aq2_1 = 0 .
EXECUTE .


IF (sysmis(s11aq3_1)) s11aq3_1 = 0 .
EXECUTE .


IF (sysmis(s11aq4_1)) s11aq4_1 = 0 .
EXECUTE .


IF (sysmis(s11aq5_1)) s11aq5_1 = 0 .
EXECUTE .


IF (sysmis(s11aq6_1)) s11aq6_1 = 0 .
EXECUTE .


IF (sysmis(s11aq7_1)) s11aq7_1 = 0 .
EXECUTE .


IF (sysmis(s11aq8_1)) s11aq8_1 = 0 .
EXECUTE .


IF (sysmis(s11aq9_1)) s11aq9_1 = 0 .
EXECUTE .


IF (sysmis(s11aq1_2)) s11aq1_2 = 0 .
EXECUTE .


IF (sysmis(s11aq1_3)) s11aq1_3 = 0 .
EXECUTE .


IF (sysmis(s11aq1_4)) s11aq1_4 = 0 .
EXECUTE .


IF (sysmis(s11aq1_5)) s11aq1_5 = 0 .
EXECUTE .


IF (sysmis(s11aq1_6)) s11aq1_6 = 0 .
EXECUTE .


IF (sysmis(s11aq1_7)) s11aq1_7 = 0 .
EXECUTE .

COMPUTE TOTAL = (s11aq1_1+s11aq2_1+s11aq3_1+s11aq4_1+s11aq5_1+s11aq6_1
 +s11aq7_1+s11aq8_1+s11aq1_2+s11aq1_3+s11aq1_4+s11aq1_5+s11aq1_6+s11aq1_7)*12 .
EXECUTE .


MATCH FILES /FILE=*
 /TABLE='C:\Sierra Leone_Household Survey_2003\AggData\HHEXP.sav'
 /RENAME (aecon aeexpdr aquint ctry_adq edtexp fao_adq fdtot fdtotby fdtotdr
  fdtotpr fpindex hhexpdr hhquint hhsize hltexp naeexpdr nfdfqtot nfdiqtot
  nfdtot nfdtotdr nfdtotpr pcexp pcexpdr rnthh sharefd = d0 d1 d2 d3 d4 d5 d6
  d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18 d19 d20 d21 d22 d23 d24)
 /BY hhid
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18 d19
  d20 d21 d22 d23 d24.
EXECUTE.

COMPUTE NETINC = total-hhexp .
EXECUTE .


MATCH FILES /FILE=*
 /TABLE='C:\Sierra Leone_Household Survey_2003\Sectional\House_Sec7.sav'
 /RENAME (chiefdom ea hhnum rectype s7aq1 s7aq2 s7aq3 s7aq4m s7aq4y s7aq5
  s7aq6 s7bq10 s7bq11 s7bq12 s7bq12a s7bq12b s7bq7 s7bq8 s7bq9 s7cq13 s7cq14t
  s7cq14v s7cq15 s7cq16 s7cq17 s7cq18 s7cq19t s7cq19v s7cq20 s7dq21 s7dq22c
  s7dq22d s7dq23 s7dq24a s7dq24t s7dq25 s7dq26 s7dq27 s7dq28 s7dq29 s7dq29t
  s7dq30 s7dq31 s7dq32 s7dq32t s7dq33 s7eq34 s7eq35 s7eq36 s7eq37 s7fq38
  s7fq39a s7fq39b s7fq39c s7fq40 s7fq41a s7fq41b s7fq41c s7fq42 s7fq43 s7fq44
  s7fq45 s7fq46 s7fq47 s7fq48 s7fq49 s7fq50 s7fq51 s7fq52 urbrur = d0 d1 d2 d3
  d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18 d19 d20 d21 d22 d23
  d24 d25 d26 d27 d28 d29 d30 d31 d32 d33 d34 d35 d36 d37 d38 d39 d40 d41 d42
  d43 d44 d45 d46 d47 d48 d49 d50 d51 d52 d53 d54 d55 d56 d57 d58 d59 d60 d61
  d62 d63 d64 d65 d66 d67 d68 d69)
 /BY hhid
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18 d19
  d20 d21 d22 d23 d24 d25 d26 d27 d28
 d29 d30 d31 d32 d33 d34 d35 d36 d37 d38 d39 d40 d41 d42 d43 d44 d45 d46 d47
  d48 d49 d50 d51 d52 d53 d54 d55 d56 d57 d58 d59 d60 d61 d62 d63 d64 d65 d66
  d67 d68 d69.
EXECUTE.



SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\InterFiles\Income_Aggregate.sav'.

SAVE TRANSLATE OUTFILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Poverty\Income_Aggregate.xls'
  /TYPE=XLS /MAP /REPLACE /FIELDNAMES.

MEANS
  TABLES=total  BY quinttr
  /CELLS MEAN COUNT STDDEV MEDIAN  .

MEANS
  TABLES=s11aq1_1 s11aq2_1 s11aq3_1 s11aq4_1 s11aq5_1 s11aq6_1 s11aq7_1
  s11aq8_1 s11aq1_2 s11aq1_3 s11aq1_4 s11aq1_5 s11aq1_6 s11aq1_7  BY quinttr
  /CELLS MEAN COUNT STDDEV MEDIAN  .

*Looking at access to credit.

GET FILE='C:\Sierra Leone_Household Survey_2003\Sectional\Credits_Sec12A.sav'.

MATCH FILES /FILE=*
 /TABLE='C:\Sierra Leone_Household Survey_2003\AggData\HHEXP.sav'
 /RENAME (aecon aeexpdr aquint ctry_adq edtexp fao_adq fdtot fdtotby fdtotdr
  fdtotpr fpindex hhexp hhexpdr hhquint hhsize hltexp naeexpdr nfdfqtot
  nfdiqtot nfdtot nfdtotdr nfdtotpr pcexp pcexpdr rnthh sharefd = d0 d1 d2 d3
  d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18 d19 d20 d21 d22 d23
  d24 d25)
 /BY hhid
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18 d19
  d20 d21 d22 d23 d24 d25.
EXECUTE.

AGGREGATE
  /OUTFILE='C:\Sierra Leone_Household Survey_2003\Poverty\Credit.sav'
  /BREAK=hhid
  /Credit 'Credit' = SUM(s12aq6).


MEANS
  TABLES=s12aq6  BY quinttr
  /CELLS MEAN COUNT STDDEV MEDIAN .
MEANS
  TABLES=s12aq6  BY quinttr  BY s12aq5
  /CELLS MEAN COUNT STDDEV  MEDIAN.
MEANS
  TABLES=s12aq6  BY quinttr  BY s12aq7
  /CELLS MEAN COUNT STDDEV MEDIAN .


GET FILE='C:\Sierra Leone_Household Survey_2003\Sectional\Credits_Sec12C.sav'.

MATCH FILES /FILE=*
 /TABLE='C:\Sierra Leone_Household Survey_2003\AggData\HHEXP.sav'
 /RENAME (aecon aeexpdr aquint ctry_adq edtexp fao_adq fdtot fdtotby fdtotdr
  fdtotpr fpindex hhexp hhexpdr hhquint hhsize hltexp naeexpdr nfdfqtot
  nfdiqtot nfdtot nfdtotdr nfdtotpr pcexp pcexpdr rnthh sharefd = d0 d1 d2 d3
  d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18 d19 d20 d21 d22 d23
  d24 d25)
 /BY hhid
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18 d19
  d20 d21 d22 d23 d24 d25.
EXECUTE.

MEANS
  TABLES=s12cq4 s12cq5 s12cq6  BY quinttr
  /CELLS COUNT MEDIAN.
*Computing a quick wealth indicator.


AGGREGATE
  /OUTFILE='C:\Sierra Leone_Household Survey_2003\Poverty\Savings.sav'
  /BREAK=hhid
  /SAVE 'Household value of savings' = SUM(s12cq4).

GET FILE='C:\Sierra Leone_Household Survey_2003\InterFiles\Sec12_B_Filtered.sav'.

IF (sysmis(s12bq4a)) s12bq4a = 0 .
EXECUTE .

IF (sysmis(s12bq4b)) s12bq4b = 0 .
EXECUTE .

COMPUTE ASSET = s12bq4a+s12bq4b .
EXECUTE .

AGGREGATE
  /OUTFILE='C:\Sierra Leone_Household Survey_2003\Poverty\Assets.sav'
  /BREAK=hhid
  /Asset 'Household Assets' = SUM(asset).


GET FILE='C:\Sierra Leone_Household Survey_2003\Poverty\Savings.sav'.

MATCH FILES /FILE=*
 /FILE='C:\Sierra Leone_Household Survey_2003\Poverty\Assets.sav'
 /BY hhid.
EXECUTE.

MATCH FILES /TABLE=*
 /FILE='C:\Sierra Leone_Household Survey_2003\AggData\HHEXP.sav'
 /RENAME (aecon aeexpdr aquint ctry_adq edtexp fao_adq fdtot fdtotby fdtotdr
  fdtotpr fpindex hhexp hhexpdr hhquint hhsize hltexp naeexpdr nfdfqtot
  nfdiqtot nfdtot nfdtotdr nfdtotpr pcexp pcexpdr rnthh sharefd = d0 d1 d2 d3
  d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18 d19 d20 d21 d22 d23
  d24 d25)
 /BY hhid
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18 d19
  d20 d21 d22 d23 d24 d25.
EXECUTE.


IF (sysmis(asset)) asset = 0 .
EXECUTE .


IF (sysmis(save)) save = 0 .
EXECUTE .

COMPUTE WLTH = save+asset .
VARIABLE LABELS WLTH 'Household Wealth' .
EXECUTE .


SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Poverty\Capital.sav'.


MATCH FILES /FILE=*
 /TABLE='C:\Sierra Leone_Household Survey_2003\Sectional\House_Sec7.sav'
 /RENAME (chiefdom ea rectype = d0 d1 d2)
 /BY hhid
 /DROP= d0 d1 d2.
EXECUTE.


SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Poverty\AssetsTotal.sav'.

MEANS
  TABLES=wlth  BY district
  /CELLS MEAN COUNT STDDEV MEDIAN  .


GET FILE='C:\Sierra Leone_Household Survey_2003\Poverty\Assets.sav'.


GET FILE='C:\Sierra Leone_Household Survey_2003\Poverty\Capital.sav'.

MATCH FILES /FILE=*
 /TABLE='C:\Sierra Leone_Household Survey_2003\Poverty\Credit.sav'
 /BY hhid.
EXECUTE.

MATCH FILES /FILE=*
 /TABLE='C:\Sierra Leone_Household'+
 ' Survey_2003\InterFiles\Income_Aggregate.sav'
 /RENAME (quinttr s11aq1_1 s11aq1_2 s11aq1_3 s11aq1_4 s11aq1_5 s11aq1_6
  s11aq1_7 s11aq2_1 s11aq3_1 s11aq4_1 s11aq5_1 s11aq6_1 s11aq7_1 s11aq8_1
  s11aq9_1 = d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15)
  total=Income
 /BY hhid
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15.
EXECUTE.

MATCH FILES /FILE=*
 /TABLE='C:\Sierra Leone_Household Survey_2003\AggData\HHEXP.sav'
 /RENAME (aecon aeexpdr aquint ctry_adq edtexp fao_adq fdtot fdtotby fdtotdr
  fdtotpr fpindex hhexpdr hhquint hhsize hltexp naeexpdr nfdfqtot nfdiqtot
  nfdtot nfdtotdr nfdtotpr pcexp pcexpdr quinttr rnthh sharefd = d0 d1 d2 d3
  d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18 d19 d20 d21 d22 d23
  d24 d25)
 /BY hhid
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18 d19
  d20 d21 d22 d23 d24 d25.
EXECUTE.


IF (sysmis(credit)) credit = 0 .
EXECUTE .

COMPUTE checkIE = income/hhexp .
EXECUTE .

COMPUTE Q1 = (hhexp*wlth) .
EXECUTE .
COMPUTE Q2 = (credit*hhexp) .
EXECUTE .
COMPUTE Q3 = (credit*income) .
EXECUTE .
COMPUTE Q4 = (wlth*income) .
EXECUTE .

COMPUTE VOL = Q1+Q2+Q3+Q4 .
EXECUTE .

COMPUTE S1 = Q1/vOL .
EXECUTE .

COMPUTE S2 = Q2/vOL .
EXECUTE .

COMPUTE S3 = Q3/vOL .
EXECUTE .

COMPUTE S4 = Q4/vOL .
EXECUTE .

IF (sysmis(s1)) S1 = 0 .
EXECUTE .


IF (sysmis(s2)) S2 = 0 .
EXECUTE .


IF (sysmis(s3)) S3 = 0 .
EXECUTE .


IF (sysmis(s4)) S4 = 0 .
EXECUTE .


SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Poverty\Box.sav'.
COMPUTE A1 = income+wlth .
EXECUTE .

*Computing inter cycle budget to see variations.

GET FILE='C:\Sierra Leone_Household Survey_2003\InterFiles\Combo_Food_Agg.sav'.

MATCH FILES /FILE=*
 /TABLE='C:\Sierra Leone_Household Survey_2003\Sectional\Cycles.sav'
 /BY hhid.
EXECUTE.


IF (cycle<=6) KBreak = 1 .
EXECUTE .



IF (cycle<=6) KBreak = 1 .
EXECUTE .



AGGREGATE
  /OUTFILE='C:\Sierra Leone_Household Survey_2003\Poverty\CycleBudget.sav'
  /BREAK=cycle s9bq0
  /tfc_1 = SUM(tfc).

GET FILE='C:\Sierra Leone_Household Survey_2003\Poverty\CycleBudget.sav'.

AGGREGATE
  /OUTFILE='C:\Sierra Leone_Household Survey_2003\Poverty\CycleTotals.sav'
  /BREAK=cycle
  /tfc_1_1 = SUM(tfc_1).

MATCH FILES /FILE=*
 /TABLE='C:\Sierra Leone_Household Survey_2003\Poverty\CycleTotals.sav'
 /BY cycle.
EXECUTE.

COMPUTE Share = tfc_1/tfc_1_1 .
EXECUTE .


MEANS
  TABLES=share  BY cycle  BY s9bq0
  /CELLS MEAN COUNT STDDEV  .

*Calculating no food share for COL.

GET FILE='C:\Sierra Leone_Household Survey_2003\InterFiles\Sec9_A2_Filtered.sav'.

*Because there is so much redundancy in the items considered as frequent and non frequent the one file Secion A2 has included all.
 
ADD FILES /FILE=*
 /RENAME (chiefdom district ea hhnum rectype region s9a2q1 s9a2q2 s9a2q3
  s9a2q4 s9a2q5 s9a2q6 urbrur = d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12)
 /FILE='C:\Sierra Leone_Household Survey_2003\AggData\EXEDU.sav'
 /RENAME (edbooks edextra edoth edoth1 edoth2 edrmbrd edtrnsp edtuitio
  edunifms expc pid_1 schol = d13 d14 d15 d16 d17 d18 d19 d20 d21 d22 d23 d24)
  edtexp=ann_nf
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18 d19
  d20 d21 d22 d23 d24.
EXECUTE.


IF (sysmis(s9a2q0)) s9a2q0 = 1 .
EXECUTE .


ADD FILES /FILE=*
 /FILE='C:\Sierra Leone_Household Survey_2003\AggData\EXHLTH.sav'
 /RENAME (hlcnslt hlcon hlhospt hlmedc hlpost hlprev hltrsp paid prenat = d0
  d1 d2 d3 d4 d5 d6 d7 d8) hltexp=ann_nf
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8.
EXECUTE.


IF (sysmis(s9a2q0)) s9a2q0 = 2 .
EXECUTE .

ADD FILES /FILE=*
 /FILE='C:\Sierra Leone_Household Survey_2003\AggData\EXNFDFQ.sav'
 /RENAME (nfdfqtot nfdtotpr rntactl rntif rntimp v1 v2 v3 v4 v5 v6 v7 v8 = d0
  d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12) rnthh=ann_nf
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12.
EXECUTE.


IF (sysmis(s9a2q0)) s9a2q0 = 3 .
EXECUTE .

ADD FILES /FILE=*
 /FILE='C:\Sierra Leone_Household Survey_2003\AggData\EXNFDFQ.sav'
 /RENAME (nfdfqtot nfdtotpr rntactl rnthh rntif rntimp v1 v3 v4 v5 v6 v7 v8 =
  d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12) v2=ann_nf
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12.
EXECUTE.


IF (sysmis(s9a2q0)) s9a2q0 = 4 .
EXECUTE .


val labels 
  /
  /rectype
/S9A2Q0
	1 'Education' 
	2 'Health'
	3 'Rent'
	4 'Utilities'
	201 ' Cotton ' 
	202 ' Silk ' 
	203 ' Hand Loomed Cloth ' 
	204 ' Polyester Material ' 
	205 ' All Other Clothing Material (Natural fibre or otherwise) ' 
	206 ' Tailoring Charges ' 
	207 ' Suit / Safari Suit ' 
	208 ' Smock or Other Hand Woven Garment ' 
	209 ' Dress (ladies/girls) ' 
	210 '  Trousers  Slacks  Shorts  Blouse  Shirts  ' 
	211 ' Underwear (Incl.Vests and Underpants) ' 
	212 ' Other Readymade Clothes ' 
	213 ' Mens Shoes ' 
	214 ' Mens Slippers ' 
	215 ' Ladies Shoes ' 
	216 ' Ladies Slippers ' 
	217 ' Boys shoes ' 
	218 ' Girls shoes ' 
	219 ' Repair of footwear ' 
	222 ' Bed sheets  Bed Cover  Blanket  Curtains   ' 
	223 ' Mattress  Pillow & Cases  ' 
	278 'Water Charges '
	279 'Kerosene and other liquid fuel (incl. Palm Kernel Oil)  '
	280 'Gas for Cooking '
	281 'Charcoal '
	282 'Firewood and Other Solid fuel '
	283 'Repairs to Clothing '
	284 'Repairs to Footwear '
	285 'Repairs to Soft Furnishings '
	286 'Repairs to Furniture and Fittings '
	287 'Repairs to Appliances '
	288 'Soap and Washing Powder '
	289 'Insecticides  Disinfectants and Household Cleaners  '
	290 'Matches '
	291 'Toilet paper '
	292 'Light Globes / Bulbs '
	293 'Candles '
	294 'Other Non-durable goods '
	295 'Household services (Lawns Boy  Washman  etc.)  '
	296 'Cooks '
	297 'Baby Sitters / Day Care Attendants  Nannies   Cleaners  '
	298 'Gardeners '
	299 'Security Guards '
	300 'Washmen '
	301 'Plumbing & Repairs '
	302 'Furniture and Furnishing Hire '
	303 'Pain Killers (Aspirin.) '
	304 'Antibiotics '
	305 'Anti malaria medicines '
	306 'Other Medical and Pharmaceutical Products  '
	307 'Medical Services such as Doctor or Healer and other Medical Expenses '
	308 'Car '
	309 'Motorcycle '
	310 'Bicycle '
	311 'Boat '
	312 'Other Personal Transport Equipment '
	313 'Tyres  Tubes  Pants  '
	314 'Other Accessories '
	315 'Petrol '
	316 'Diesel '
	317 'Oil & Grease '
	318 'Chiffonier and Driver Services '
	319 'Other Equipment  including repairs & serving  '
	320 'Road a rail Transport '
	321 'Inland water Transport '
	322 'Air Transport '
	323 'Ocean Transport '
	324 'Other Transport '
	325 'Postal Charges (Including stamps and courier services) '
	326 'Telegrams  Telephones  Faxes  etc  '
	327 'School Fees and Related Charges '
	328 'School Books and Stationery '
	329 'School Transport '
	330 'Boarding Lodging at School '
	331 'Other Expenses on Education '
	332 'School Uniform '
	333 'TV  Video  Radio  Cassette Player'
	334 'Musical Instruments '
	335 'Camera  Video Camera and Other Durable Photographic Equipment   '
	336 'Typewriter  Binoculars  Sports Equipment  '
	337 'Other Accessories and Repairs '
	338 'Books and Magazines '
	339 'Newspapers '
	340 'Transistor Batteries / Films & Other Non-Durable Photo Items '
	341 'Other Non-durable Items '
	342 'Football Cinema  Video Tickets and Charges  '
	343 'Membership of Sports  Video Societies and Other Clubs  '
	344 'Stationery Supplies  Wring Pad  Pens  Pall Pens  Pencils  Ink etc.  '
	345 'Drawing Equipment and Accessories '
	346 'Other Items and Repairs '
	346 'Services of Barber  Beauty Shops  and Others  '	
	347 'Personal Care Services  '
	348 'Barber Beauty Saloon '
	349 'Other Personal Care services '
	350 'Stationery Supplies  Wring Pad  Pens  Ball Pens  Pencils  Ink etc.  '
	351 'Drawing Equipment and Accessories '
	352 'Other Items and Repairs '
	353 'Services of Barber  Beauty Shops  and Others  '
	354 'Personal Care Services  '
	355 'Barber Beauty Salon '
	356 'Other Personal Care services '
	357 'Goods for Personal Care (eg. Razor Blades  Cosmetics  Powder  Tooth Paste  etc.)  '
	358 'Writing and Drawing Equipment and Supplies  '
	359 'Expenditure in Restaurants and Hotels '
	360 'Financial Services (N.E.S = Not Elsewhere Specified) '
	361 'Jewellery & Watcher '
	362 'Other Personal Goods '
	363 'Package Tours '
	364 'Goods N.E.C '
	365 'Other Services (N.E.S) '
	999 'Tobacco'.
EXECUTE.

SAVE OUTFILE='C:\Sierra Leone_Household Survey_2003\Poverty\PovertyNonFoodShares.sav'.

USE ALL.
SELECT IF(ann_nf>0).
EXECUTE .


SORT CASES BY
  hhid (A) .

MATCH FILES /FILE=*
 /TABLE='C:\Sierra Leone_Household Survey_2003\Poverty\Food_Quintiles.sav'
 /RENAME (aeq cmlt ctry_adq fao_adq fdtot fdtotby fdtotdr fdtotpr fpindex
  hhsize nfdfqtot nfdtotpr rnthh = d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12)
 /BY hhid
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12.
EXECUTE.

USE ALL.
SELECT IF(fquint>0).
EXECUTE .



AGGREGATE
  /OUTFILE='C:\Sierra Leone_Household Survey_2003\Poverty\NonFood_Agg1.sav'
  /BREAK=s9a2q0 fquint
  /ann_pr_1 = SUM(ann_nf).
AGGREGATE
  /OUTFILE='C:\Sierra Leone_Household Survey_2003\Poverty\NonFood_Agg2.sav'
  /BREAK=fquint
  /total = SUM(ann_nf).

GET FILE='C:\Sierra Leone_Household Survey_2003\Poverty\NonFood_Agg1.sav'.

SORT CASES BY
  fquint (A) .

MATCH FILES /FILE=*
 /TABLE='C:\Sierra Leone_Household Survey_2003\Poverty\NonFood_Agg2.sav'
 /BY fquint.
EXECUTE.

COMPUTE Share = ann_pr_1/total .
EXECUTE .
MATCH FILES /TABLE=*
 /FILE='C:\Sierra Leone_Household Survey_2003\Sectional\Edu_Sec2A.sav'
 /RENAME (chiefdom district ea hhnum rectype region s2aq0 s2aq1 s2aq10 s2aq11
  s2aq12 s2aq13 s2aq14 s2aq15 s2aq16 s2aq17 s2aq18 s2aq19 s2aq3 s2aq4 s2aq5h
  s2aq5m s2aq6 s2aq7 s2aq8 s2aq9 urbrur = d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10
  d11 d12 d13 d14 d15 d16 d17 d18 d19 d20 d21 d22 d23 d24 d25 d26)
 /BY hhid pid
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18 d19
  d20 d21 d22 d23 d24 d25 d26.
EXECUTE.
SAVE TRANSLATE OUTFILE='C:\Sierra Leone_Household'+
 ' Survey_2003\Poverty\AggPerCapQ.xls'
  /TYPE=XLS /MAP /REPLACE /FIELDNAMES.
